"use strict";
exports.id = 1388;
exports.ids = [1388];
exports.modules = {

/***/ 1388:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__);




const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_1__.makeStyles)(theme => ({
  root: {
    // backgroundColor: "#fdfdff",
    backgroundColor: "transparent",
    // padding: theme.spacing(3, 0, 3, 3),
    marginBottom: theme.spacing(4),
    display: "flex",
    justifyContent: "center",
    flexDirection: "column",
    borderRadius: theme.spacing(1.5)
  },
  pageHeader: {
    padding: theme.spacing(3),
    display: "flex",
    marginBottom: theme.spacing(2)
  },
  pageIcon: {
    // display: "inline-block",
    padding: theme.spacing(2),
    color: "#3c44b1",
    display: "flex",
    justifyContent: "center",
    alignItems: "center"
  },
  pageTitle: {
    paddingLeft: theme.spacing(0),
    color: theme.palette.primary.main,
    fontWeight: 500,
    marginBottom: theme.spacing(0.5),
    "& .MuiTypography-subtitle2": {
      opacity: "0.6"
    },
    backgroundColor: `transparent !important`
  },
  subTitle: {
    color: "#888",
    backgroundColor: `transparent !important`,
    paddingLeft: `0 !important`
  }
}));

const PageHeader = props => {
  const classes = useStyles();
  const {
    title,
    subTitle,
    icon
  } = props;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)(_material_ui_core__WEBPACK_IMPORTED_MODULE_1__.Paper, {
    elevation: 0,
    square: true,
    className: classes.root,
    children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_1__.Typography, {
      variant: "h6",
      className: classes.pageTitle,
      children: title
    }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_1__.Typography, {
      variant: "subtitle2",
      className: classes.subTitle,
      children: subTitle
    })]
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (PageHeader);

/***/ })

};
;