"use strict";
exports.id = 2063;
exports.ids = [2063];
exports.modules = {

/***/ 4088:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _material_ui_core___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5673);
/* harmony import */ var _material_ui_core___WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1664);
/* harmony import */ var _hooks_useWindowSize__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2389);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__);
/* eslint-disable jsx-a11y/anchor-is-valid */







const useStyles = (0,_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.makeStyles)(theme => ({
  root: {
    padding: theme.spacing(2, 2, 0, 2),
    borderRadius: theme.spacing(2),
    maxWidth: props => props && props.windowWidth < 768 ? "100vw" : 350 // maxWidth: (props) =>
    //   props && props.windowWidth < 768
    //     ? props.windowWidth
    //     : props.windowWidth < 950
    //     ? 300
    //     : props.windowWidth < 1150
    //     ? 325
    //     : props.windowWidth < 1300
    //     ? 300
    //     : props.windowWidth < 1600
    //     ? 325
    //     : 360,
    // backgroundColor: (props) => {
    //   if (props) {
    //     if (props.windowWidth < 768) {
    //       return "red";
    //     }
    //     if (props.windowWidth < 950) {
    //       return "purple";
    //     }
    //     if (props.windowWidth < 1150) {
    //       return "green";
    //     }
    //     if (props.windowWidth < 1300) {
    //       return "pink";
    //     }
    //     if (props.windowWidth < 1600) {
    //       return "blue";
    //     }
    //   }
    // },

  },

  /*  show={width < 768 ? 1 : width < 1200 ? 3 : 3.5} */
  media: {
    // height: 350,
    paddingTop: "56.25%",
    // 16:9
    backgroundSize: "9.375rem"
  },
  expand: {
    marginLeft: "auto"
  },
  link: {
    textDecoration: "none"
  }
}));

const CardComponent = ({
  item: {
    image,
    title,
    description,
    withPrice,
    href,
    name
  }
}) => {
  const windowWidth = (0,_hooks_useWindowSize__WEBPACK_IMPORTED_MODULE_3__/* .useWindowSize */ .i)();
  const {
    width
  } = windowWidth;
  const classes = useStyles({
    windowWidth: width
  });
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Card, {
    className: classes.root,
    raised: true,
    children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.CardMedia, {
      className: classes.media,
      image: image,
      title: title
    }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.CardContent, {
      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx("center", {
        children: typeof href !== "undefined" ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(next_link__WEBPACK_IMPORTED_MODULE_2__.default, {
          href: href,
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("a", {
            className: classes.link,
            children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
              variant: "h6",
              color: "textSecondary",
              component: "p",
              children: title
            }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
              variant: "subtitle2",
              color: "textSecondary",
              style: {
                fontSize: 16
              },
              component: "p",
              children: name
            }), description ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
              variant: "subtitle2",
              color: "textSecondary",
              component: "p",
              children: description
            }) : /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
              variant: "subtitle2",
              color: "textSecondary",
              component: "p",
              children: "Demo Description"
            })]
          })
        }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.Fragment, {
          children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
            variant: "h6",
            color: "textSecondary",
            component: "p",
            children: title
          }), description ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
            variant: "subtitle2",
            color: "textSecondary",
            component: "p",
            children: description
          }) : /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
            variant: "subtitle2",
            color: "textSecondary",
            component: "p",
            children: "Demo Description"
          })]
        })
      })
    })]
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CardComponent);

/***/ }),

/***/ 2243:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__) => {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (/* binding */ CaraouselComponentSwiper)
/* harmony export */ });
/* harmony import */ var swiper_react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2156);
/* harmony import */ var swiper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4074);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([swiper_react__WEBPACK_IMPORTED_MODULE_0__, swiper__WEBPACK_IMPORTED_MODULE_1__]);
([swiper_react__WEBPACK_IMPORTED_MODULE_0__, swiper__WEBPACK_IMPORTED_MODULE_1__] = __webpack_async_dependencies__.then ? await __webpack_async_dependencies__ : __webpack_async_dependencies__);
// Import Swiper React components
 // Import Swiper styles


 // import Swiper core and required modules

 // install Swiper modules



swiper__WEBPACK_IMPORTED_MODULE_1__.default.use([swiper__WEBPACK_IMPORTED_MODULE_1__.Navigation, swiper__WEBPACK_IMPORTED_MODULE_1__.Autoplay]);
function CaraouselComponentSwiper({
  children,
  autoPlay
}) {
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.Fragment, {
    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(swiper_react__WEBPACK_IMPORTED_MODULE_0__.Swiper, {
      navigation: true,
      autoplay: autoPlay && {
        delay: 2500,
        disableOnInteraction: false,
        pauseOnMouseEnter: true
      },
      slidesPerView: 1,
      spaceBetween: 10,
      breakpoints: {
        640: {
          slidesPerView: 1,
          spaceBetween: 20
        },
        768: {
          slidesPerView: 2,
          spaceBetween: 40
        },
        900: {
          slidesPerView: 3,
          spaceBetween: 40
        },
        1024: {
          slidesPerView: 3,
          spaceBetween: 50
        },
        1300: {
          slidesPerView: 4,
          spaceBetween: 40
        }
      },
      className: "mySwiper",
      children: children
    })
  });
}
});

/***/ }),

/***/ 1885:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__);



const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  root: {
    fontWeight: 500,
    fontSize: 25,
    // color: theme.palette.primary.main,
    color: "#000",
    // textAlign: "center",
    marginLeft: 22,
    // padding: theme.spacing(2, 0, 2, 0),
    fontFamily: "Roboto" // textTransform: "uppercase",

  }
}));

const MainHeading = ({
  children
}) => {
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Typography, {
    className: `${classes.root} `,
    children: children
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MainHeading);

/***/ })

};
;