"use strict";
exports.id = 2208;
exports.ids = [2208];
exports.modules = {

/***/ 7641:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(79);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _material_ui_lab_Alert__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4562);
/* harmony import */ var _material_ui_core_styles__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1120);
/* harmony import */ var _redux_actions_alert_action__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4187);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__);






const useStyles = (0,_material_ui_core_styles__WEBPACK_IMPORTED_MODULE_3__/* .default */ .Z)(theme => ({
  root: {
    width: "100%",
    "& > * + *": {
      marginTop: theme.spacing(2)
    }
  }
}));

const AlertMessage = () => {
  const classes = useStyles();
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_1__.useDispatch)();
  const {
    alertOpen,
    alertType,
    alertMessage
  } = (0,react_redux__WEBPACK_IMPORTED_MODULE_1__.useSelector)(state => state.alert);

  const handleClose = (event, reason) => {
    if (reason === "clickaway") {
      return;
    }

    dispatch((0,_redux_actions_alert_action__WEBPACK_IMPORTED_MODULE_4__/* .setAlertMessage */ .G)(false, alertType, alertMessage));
  }; //   useEffect(() => {
  //     setTimeout(() => {
  //       dispatch(setAlertMessage(false, alertType, alertMessage));
  //     });
  //   }, [dispatch, alertType, alertMessage]);


  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx("div", {
    className: classes.root,
    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_lab_Alert__WEBPACK_IMPORTED_MODULE_5__/* .default */ .Z, {
      severity: alertType,
      open: alertOpen,
      className: classes.alert,
      onClose: handleClose,
      elevation: 1,
      style: {
        height: 50,
        display: "flex",
        alignItems: "center",
        fontSize: 15,
        borderRadius: 10,
        marginBottom: 20
      },
      children: alertMessage
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (AlertMessage);

/***/ }),

/***/ 3175:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__);



const DrawerExample = props => {
  const {
    modalProps: {
      component: Component
    }
  } = props;
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx("div", {
    children: Component
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DrawerExample);

/***/ }),

/***/ 1890:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "r": () => (/* binding */ Link)
/* harmony export */ });
/* harmony import */ var styled_jsx_style__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3289);
/* harmony import */ var styled_jsx_style__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(styled_jsx_style__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6731);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__);




const Link = ({
  children,
  href
}) => {
  const router = (0,next_router__WEBPACK_IMPORTED_MODULE_1__.useRouter)();
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("button", {
    // href="#"
    onClick: e => {
      e.preventDefault();
      router.push(href);
    },
    className: "jsx-1213245191",
    children: [children, /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx((styled_jsx_style__WEBPACK_IMPORTED_MODULE_0___default()), {
      id: "1213245191",
      children: ["a.jsx-1213245191{margin-right:10px;}"]
    })]
  });
};

/***/ }),

/***/ 9625:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (/* binding */ requireAuthentication),
/* harmony export */   "s": () => (/* binding */ validateLoginUser)
/* harmony export */ });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2376);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);

const requireAuthentication = gssp => {
  return async ctx => {
    const {
      req
    } = ctx;

    if (typeof req.headers.cookie !== "undefined") {
      var _tokens$find, _tokens$find2, _tokens$find3, _tokens$find4;

      const tokens = req.headers.cookie.split(";");
      const ip = (_tokens$find = tokens.find(token => token.includes("ip"))) === null || _tokens$find === void 0 ? void 0 : _tokens$find.split("=")[1];
      const mobile = (_tokens$find2 = tokens.find(token => token.includes("mobile"))) === null || _tokens$find2 === void 0 ? void 0 : _tokens$find2.split("=")[1];
      const loginKey = (_tokens$find3 = tokens.find(token => token.includes("loginKey"))) === null || _tokens$find3 === void 0 ? void 0 : _tokens$find3.split("=")[1];
      const password = (_tokens$find4 = tokens.find(token => token.includes("password"))) === null || _tokens$find4 === void 0 ? void 0 : _tokens$find4.split("=")[1];
      const {
        data
      } = await validateLoginUser({
        ip,
        loginKey,
        password,
        mobile
      });

      if ((data === null || data === void 0 ? void 0 : data.err) !== "101") {
        return {
          redirect: {
            permanent: false,
            destination: "/mobile"
          }
        };
      }
    } else {
      return {
        redirect: {
          permanent: false,
          destination: "/mobile"
        }
      };
    }

    return await gssp(ctx);
  };
};
async function validateLoginUser(payload) {
  const {
    mobile,
    ip,
    loginKey,
    password
  } = payload;
  const {
    data
  } = await axios__WEBPACK_IMPORTED_MODULE_0___default()({
    method: "POST",
    url: "https://aaipay.in:10002/api/apps/v1/login_validate.jsp",
    headers: {
      "content-type": "application/json"
    },
    data: {
      mobile: mobile,
      data: {
        device: "1244115844",
        ip,
        login_key: loginKey,
        password
      }
    }
  });
  return data;
}

/***/ }),

/***/ 4187:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "G": () => (/* binding */ setAlertMessage)
/* harmony export */ });
/* harmony import */ var _constants_alert_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5526);

const setAlertMessage = (alertOpen, alertType = "success", alertMessage = "") => ({
  type: _constants_alert_constants__WEBPACK_IMPORTED_MODULE_0__/* .SET_ALERT */ .k,
  alertOpen,
  alertType,
  alertMessage
});

/***/ }),

/***/ 4859:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "b9": () => (/* binding */ sendOtp),
/* harmony export */   "a$": () => (/* binding */ registerUser),
/* harmony export */   "I4": () => (/* binding */ loginNewUser),
/* harmony export */   "jr": () => (/* binding */ setOtp),
/* harmony export */   "kS": () => (/* binding */ logout),
/* harmony export */   "x4": () => (/* binding */ loginValidate),
/* harmony export */   "gt": () => (/* binding */ userValidate),
/* harmony export */   "US": () => (/* binding */ getMyProfile),
/* harmony export */   "b6": () => (/* binding */ populateProfile),
/* harmony export */   "jQ": () => (/* binding */ populateProfileFailed),
/* harmony export */   "ck": () => (/* binding */ updateProfile)
/* harmony export */ });
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6155);
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(js_cookie__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9597);
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }



/*----------------------------------
          SEND OTP         
==================================*/

const sendOtp = mbl => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .LOGIN_OTP_REQUEST */ .hR,
    payload: {
      mbl
    }
  };
};
/*----------------------------------
          REGISTER USER     
==================================*/

const registerUser = (mbl, fullName, email, owId) => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .REGISTER_USER_REQUEST */ .O2,
    payload: {
      mbl,
      fullName,
      email,
      owId
    }
  };
};
/*----------------------------------
          NEW LOGIN    
==================================*/

const loginNewUser = (mbl, otp, owId, history) => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .NEW_LOGIN_REQUEST */ .k5,
    payload: {
      mbl,
      otp,
      owId,
      history
    }
  };
};
/*----------------------------------
          SET OTP    
==================================*/

const setOtp = (mbl, otp, history) => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .SET_OTP_REQUEST */ .RS,
    payload: {
      mbl,
      otp,
      history
    }
  };
};
/*-----------------------
         LOGOUT          
========================*/

const logout = () => {
  js_cookie__WEBPACK_IMPORTED_MODULE_0___default().remove("loginKey");
  js_cookie__WEBPACK_IMPORTED_MODULE_0___default().remove("ip");
  js_cookie__WEBPACK_IMPORTED_MODULE_0___default().remove("mobile");
  js_cookie__WEBPACK_IMPORTED_MODULE_0___default().remove("regId");
  js_cookie__WEBPACK_IMPORTED_MODULE_0___default().remove("password");
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .USER_LOGOUT */ .lK
  };
};
/*----------------------------------
          VALIDATE LOGIN          
==================================*/

const loginValidate = payload => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .LOGIN_VALIDATE_REQUEST */ .Ur,
    payload
  };
};
/*----------------------------------
         USER VALIDATE          
==================================*/

const userValidate = payload => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .USER_VALIDATE_REQUEST */ .h$,
    payload
  };
};
/*----------------------------------
         GET PROFILE    
==================================*/

const getMyProfile = (reg_id, mbl) => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .GET_PROFILE_REQUEST */ .T0,
    payload: {
      reg_id,
      mbl
    }
  };
};
const populateProfile = user => {
  console.log(user.data, "action success");
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .GET_PROFILE_SUCCESS */ .Jz,
    payload: _objectSpread({}, user.data)
  };
};
const populateProfileFailed = error => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .GET_PROFILE_FAILED */ .fS,
    payload: error
  };
};
/*----------------------------------
          UPDATE PROFILE    
==================================*/

const updateProfile = entry => {
  return {
    type: _constants_auth_constants__WEBPACK_IMPORTED_MODULE_1__/* .UPDATE_PROFILE_REQUEST */ .gb,
    payload: entry
  };
};

/***/ }),

/***/ 9159:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "F": () => (/* binding */ openDrawer),
/* harmony export */   "d": () => (/* binding */ closeDrawer)
/* harmony export */ });
/* harmony import */ var _redux_constants_drawer_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(44);
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


const openDrawer = modalParams => {
  return _objectSpread({
    type: _redux_constants_drawer_constants__WEBPACK_IMPORTED_MODULE_0__/* .OPEN_DRAWER */ .X
  }, modalParams);
};
const closeDrawer = modalParams => {
  return _objectSpread({
    type: _redux_constants_drawer_constants__WEBPACK_IMPORTED_MODULE_0__/* .CLOSE_DRAWER */ .F
  }, modalParams);
};

/***/ }),

/***/ 5045:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "dw": () => (/* binding */ getAllDTHCategory),
/* harmony export */   "VN": () => (/* binding */ populateDTHCategory),
/* harmony export */   "Do": () => (/* binding */ populateDTHCategoryFailed)
/* harmony export */ });
/* harmony import */ var _redux_constants_dth_category_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9858);

const getAllDTHCategory = () => {
  return {
    type: _redux_constants_dth_category_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_DTH_CATEGORY_REQUEST */ .S8
  };
};
const populateDTHCategory = entries => {
  console.log(entries, "action offers");
  return {
    type: _redux_constants_dth_category_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_DTH_CATEGORY_SUCCESS */ .L1,
    payload: entries.data
  };
};
const populateDTHCategoryFailed = error => {
  return {
    type: _redux_constants_dth_category_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_DTH_CATEGORY_FAILURE */ .NH,
    payload: error
  };
};

/***/ }),

/***/ 7905:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Qc": () => (/* binding */ getAllOffers),
/* harmony export */   "DJ": () => (/* binding */ populateOffers),
/* harmony export */   "dV": () => (/* binding */ populateOffersFailed)
/* harmony export */ });
/* harmony import */ var _redux_constants_featured_offers_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1092);

const getAllOffers = () => {
  return {
    type: _redux_constants_featured_offers_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_FEATURED_OFFERS_REQUEST */ .lt
  };
};
const populateOffers = entries => {
  console.log(entries, "action offers");
  return {
    type: _redux_constants_featured_offers_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_FEATURED_OFFERS_SUCCESS */ .rS,
    payload: entries.data
  };
};
const populateOffersFailed = error => {
  return {
    type: _redux_constants_featured_offers_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_FEATURED_OFFERS_FAILURE */ .VA,
    payload: error
  };
};

/***/ }),

/***/ 7139:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Y6": () => (/* binding */ getAllOperators),
/* harmony export */   "t": () => (/* binding */ populateOperators),
/* harmony export */   "kv": () => (/* binding */ populateOperatorsFailed),
/* harmony export */   "T9": () => (/* binding */ getAllPlans),
/* harmony export */   "uy": () => (/* binding */ populatePlans),
/* harmony export */   "AV": () => (/* binding */ populatePlansFailed),
/* harmony export */   "cu": () => (/* binding */ setPlan),
/* harmony export */   "y7": () => (/* binding */ setPlanDone),
/* harmony export */   "PF": () => (/* binding */ setPlanFail),
/* harmony export */   "hD": () => (/* binding */ validateCoupon),
/* harmony export */   "W3": () => (/* binding */ validateCouponDone),
/* harmony export */   "s8": () => (/* binding */ validateCouponFail)
/* harmony export */ });
/* harmony import */ var _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2856);

/*----------------------------------
         GET ALL OPERATOR          
==================================*/

const getAllOperators = service => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_OPERATOR_REQUEST */ ._h,
    payload: service
  };
};
const populateOperators = entries => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_OPERATOR_SUCCESS */ .SP,
    payload: entries
  };
};
const populateOperatorsFailed = error => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_OPERATOR_FAILURE */ .ax,
    payload: error
  };
};
/*----------------------------------
          GET ALL PLANS       
==================================*/

const getAllPlans = mbl => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_PLANS_REQUEST */ .Bs,
    payload: mbl
  };
};
const populatePlans = entries => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_PLANS_SUCCESS */ .S6,
    payload: entries
  };
};
const populatePlansFailed = error => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .LOAD_PLANS_FAILURE */ .m2,
    payload: error
  };
};
/*----------------------------------
          SET PLAN       
==================================*/

const setPlan = entry => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .SET_PLAN_REQUEST */ .YU,
    payload: entry
  };
};
const setPlanDone = entries => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .SET_PLAN_SUCCESS */ .er,
    payload: entries
  };
};
const setPlanFail = error => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .SET_PLAN_FAILURE */ .Rm,
    payload: error
  };
};
/*----------------------------------
          VALIDATE COUPON          
==================================*/

const validateCoupon = entry => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .VALIDATE_COUPON_REQUEST */ .UE,
    payload: entry
  };
};
const validateCouponDone = entries => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .VALIDATE_COUPON_SUCCESS */ .n3,
    payload: entries
  };
};
const validateCouponFail = error => {
  return {
    type: _redux_constants_mobile_recharge_constants__WEBPACK_IMPORTED_MODULE_0__/* .VALIDATE_COUPON_FAILURE */ .yu,
    payload: error
  };
};

/***/ }),

/***/ 5526:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "k": () => (/* binding */ SET_ALERT)
/* harmony export */ });
const SET_ALERT = "SET_ALERT";

/***/ }),

/***/ 9597:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "hR": () => (/* binding */ LOGIN_OTP_REQUEST),
/* harmony export */   "b3": () => (/* binding */ LOGIN_OTP_SUCCESS),
/* harmony export */   "Dp": () => (/* binding */ LOGIN_OTP_FAILED),
/* harmony export */   "s": () => (/* binding */ RESET_OTP_STATUS),
/* harmony export */   "lK": () => (/* binding */ USER_LOGOUT),
/* harmony export */   "O2": () => (/* binding */ REGISTER_USER_REQUEST),
/* harmony export */   "Vx": () => (/* binding */ REGISTER_USER_SUCCESS),
/* harmony export */   "W1": () => (/* binding */ REGISTER_USER_FAILED),
/* harmony export */   "CX": () => (/* binding */ RESET_REGISTER_STATUS),
/* harmony export */   "RS": () => (/* binding */ SET_OTP_REQUEST),
/* harmony export */   "mz": () => (/* binding */ SET_OTP_SUCCESS),
/* harmony export */   "A": () => (/* binding */ SET_OTP_FAILED),
/* harmony export */   "T0": () => (/* binding */ GET_PROFILE_REQUEST),
/* harmony export */   "Jz": () => (/* binding */ GET_PROFILE_SUCCESS),
/* harmony export */   "fS": () => (/* binding */ GET_PROFILE_FAILED),
/* harmony export */   "gb": () => (/* binding */ UPDATE_PROFILE_REQUEST),
/* harmony export */   "z9": () => (/* binding */ UPDATE_PROFILE_SUCCESS),
/* harmony export */   "wM": () => (/* binding */ UPDATE_PROFILE_FAILED),
/* harmony export */   "Ur": () => (/* binding */ LOGIN_VALIDATE_REQUEST),
/* harmony export */   "yt": () => (/* binding */ LOGIN_VALIDATE_SUCCESS),
/* harmony export */   "Pl": () => (/* binding */ LOGIN_VALIDATE_FAILED),
/* harmony export */   "h$": () => (/* binding */ USER_VALIDATE_REQUEST),
/* harmony export */   "p7": () => (/* binding */ USER_VALIDATE_SUCCESS),
/* harmony export */   "Nu": () => (/* binding */ USER_VALIDATE_FAILED),
/* harmony export */   "k5": () => (/* binding */ NEW_LOGIN_REQUEST),
/* harmony export */   "dl": () => (/* binding */ NEW_LOGIN_SUCCESS),
/* harmony export */   "j3": () => (/* binding */ NEW_LOGIN_FAILED)
/* harmony export */ });
/*----------------------------------
          GET OTP       
==================================*/
const LOGIN_OTP_REQUEST = "LOGIN_OTP_REQUEST";
const LOGIN_OTP_SUCCESS = "LOGIN_OTP_SUCCESS";
const LOGIN_OTP_FAILED = "LOGIN_OTP_FAILED";
const RESET_OTP_STATUS = "RESET_OTP_STATUS";
const USER_LOGOUT = "USER_LOGOUT";
/*----------------------------------
      REGISTER USER     
==================================*/

const REGISTER_USER_REQUEST = "REGISTER_USER_REQUEST";
const REGISTER_USER_SUCCESS = "REGISTER_USER_SUCCESS";
const REGISTER_USER_FAILED = "REGISTER_USER_FAILED";
const RESET_REGISTER_STATUS = "RESET_REGISTER_STATUS";
/*----------------------------------
      SET OTP LOGIN    
==================================*/

const SET_OTP_REQUEST = "SET_OTP_REQUEST";
const SET_OTP_SUCCESS = "SET_OTP_SUCCESS";
const SET_OTP_FAILED = "SET_OTP_FAILED";
/*----------------------------------
      GET PROFILE    
==================================*/

const GET_PROFILE_REQUEST = "GET_PROFILE_REQUEST";
const GET_PROFILE_SUCCESS = "GET_PROFILE_SUCCESS";
const GET_PROFILE_FAILED = "GET_PROFILE_FAILED";
/*----------------------------------
      UPDATE PROFILE    
==================================*/

const UPDATE_PROFILE_REQUEST = "UPDATE_PROFILE_REQUEST";
const UPDATE_PROFILE_SUCCESS = "UPDATE_PROFILE_SUCCESS";
const UPDATE_PROFILE_FAILED = "UPDATE_PROFILE_FAILED";
/*----------------------------------
      LOGIN VALIDATE  
==================================*/

const LOGIN_VALIDATE_REQUEST = "LOGIN_VALIDATE_REQUEST";
const LOGIN_VALIDATE_SUCCESS = "LOGIN_VALIDATE_SUCCESS";
const LOGIN_VALIDATE_FAILED = "LOGIN_VALIDATE_FAILED";
/*----------------------------------
      USER VALIDATE  
==================================*/

const USER_VALIDATE_REQUEST = "USER_VALIDATE_REQUEST";
const USER_VALIDATE_SUCCESS = "USER_VALIDATE_SUCCESS";
const USER_VALIDATE_FAILED = "USER_VALIDATE_FAILED";
/*----------------------------------
      NEW LOGIN  
==================================*/

const NEW_LOGIN_REQUEST = "NEW_LOGIN_REQUEST";
const NEW_LOGIN_SUCCESS = "NEW_LOGIN_SUCCESS";
const NEW_LOGIN_FAILED = "NEW_LOGIN_FAILED";

/***/ }),

/***/ 44:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "X": () => (/* binding */ OPEN_DRAWER),
/* harmony export */   "F": () => (/* binding */ CLOSE_DRAWER)
/* harmony export */ });
const OPEN_DRAWER = 'OPEN_DRAWER';
const CLOSE_DRAWER = 'CLOSE_DRAWER';

/***/ }),

/***/ 9858:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "S8": () => (/* binding */ LOAD_DTH_CATEGORY_REQUEST),
/* harmony export */   "L1": () => (/* binding */ LOAD_DTH_CATEGORY_SUCCESS),
/* harmony export */   "NH": () => (/* binding */ LOAD_DTH_CATEGORY_FAILURE)
/* harmony export */ });
const LOAD_DTH_CATEGORY_REQUEST = "LOAD_DTH_CATEGORY_REQUEST";
const LOAD_DTH_CATEGORY_SUCCESS = "LOAD_DTH_CATEGORY_SUCCESS";
const LOAD_DTH_CATEGORY_FAILURE = "LOAD_DTH_CATEGORY_FAILURE";

/***/ }),

/***/ 1092:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "lt": () => (/* binding */ LOAD_FEATURED_OFFERS_REQUEST),
/* harmony export */   "rS": () => (/* binding */ LOAD_FEATURED_OFFERS_SUCCESS),
/* harmony export */   "VA": () => (/* binding */ LOAD_FEATURED_OFFERS_FAILURE)
/* harmony export */ });
const LOAD_FEATURED_OFFERS_REQUEST = "LOAD_FEATURED_OFFERS_REQUEST";
const LOAD_FEATURED_OFFERS_SUCCESS = "LOAD_FEATURED_OFFERS_SUCCESS";
const LOAD_FEATURED_OFFERS_FAILURE = "LOAD_FEATURED_OFFERS_FAILURE";

/***/ }),

/***/ 2856:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "_h": () => (/* binding */ LOAD_OPERATOR_REQUEST),
/* harmony export */   "SP": () => (/* binding */ LOAD_OPERATOR_SUCCESS),
/* harmony export */   "ax": () => (/* binding */ LOAD_OPERATOR_FAILURE),
/* harmony export */   "Bs": () => (/* binding */ LOAD_PLANS_REQUEST),
/* harmony export */   "S6": () => (/* binding */ LOAD_PLANS_SUCCESS),
/* harmony export */   "m2": () => (/* binding */ LOAD_PLANS_FAILURE),
/* harmony export */   "YU": () => (/* binding */ SET_PLAN_REQUEST),
/* harmony export */   "er": () => (/* binding */ SET_PLAN_SUCCESS),
/* harmony export */   "Rm": () => (/* binding */ SET_PLAN_FAILURE),
/* harmony export */   "UE": () => (/* binding */ VALIDATE_COUPON_REQUEST),
/* harmony export */   "n3": () => (/* binding */ VALIDATE_COUPON_SUCCESS),
/* harmony export */   "yu": () => (/* binding */ VALIDATE_COUPON_FAILURE),
/* harmony export */   "Ih": () => (/* binding */ CLEAR_COUPON_ERROR),
/* harmony export */   "Od": () => (/* binding */ RESET_COUPON)
/* harmony export */ });
const LOAD_OPERATOR_REQUEST = "LOAD_OPERATOR_REQUEST";
const LOAD_OPERATOR_SUCCESS = "LOAD_OPERATOR_SUCCESS";
const LOAD_OPERATOR_FAILURE = "LOAD_OPERATOR_FAILURE";
const LOAD_PLANS_REQUEST = "LOAD_PLANS_REQUEST";
const LOAD_PLANS_SUCCESS = "LOAD_PLANS_SUCCESS";
const LOAD_PLANS_FAILURE = "LOAD_PLANS_FAILURE";
const SET_PLAN_REQUEST = "SET_PLAN_REQUEST";
const SET_PLAN_SUCCESS = "SET_PLAN_SUCCESS";
const SET_PLAN_FAILURE = "SET_PLAN_FAILURE";
const VALIDATE_COUPON_REQUEST = "VALIDATE_COUPON_REQUEST";
const VALIDATE_COUPON_SUCCESS = "VALIDATE_COUPON_SUCCESS";
const VALIDATE_COUPON_FAILURE = "VALIDATE_COUPON_FAILURE";
const CLEAR_COUPON_ERROR = "CLEAR_COUPON_ERROR";
const RESET_COUPON = "RESET_COUPON";

/***/ }),

/***/ 9974:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* reexport */ LoginComponent_LoginComponent)
});

// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./redux/actions/auth.actions.js
var auth_actions = __webpack_require__(4859);
// EXTERNAL MODULE: external "yup"
var external_yup_ = __webpack_require__(9440);
// EXTERNAL MODULE: ./components/AlertMessage.js
var AlertMessage = __webpack_require__(7641);
// EXTERNAL MODULE: ./redux/actions/alert.action.js
var alert_action = __webpack_require__(4187);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(7717);
// EXTERNAL MODULE: ./components/Link.js
var Link = __webpack_require__(1890);
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/LoginComponent/LoginComponent.jsx
















const useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    width: props => props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5)
  },
  image: {
    display: "flex",
    justifyContent: "center",
    // paddingTop: theme.spacing(0),
    // paddingBottom: theme.spacing(5),
    flexDirection: "column",
    alignItems: "center"
  },
  heading: {
    fontWeight: 500,
    // textTransform: "uppercase",
    fontSize: 24,
    marginTop: theme.spacing(1)
  },
  divider: {
    width: "90%",
    marginTop: theme.spacing(3),
    marginBottom: theme.spacing(3)
  },
  actionButton: {
    width: "30px",
    height: "30px"
  },
  alert: {
    marginBottom: theme.spacing(2),
    border: `1px solid ${theme.palette.success.main}`
  },
  resendOtp: {
    border: "none",
    color: "#3da3e3",
    fontSize: 13,
    textDecoration: "underline",
    textDecorationStyle: "dashed",
    fontWeight: 600,
    background: "transparent",
    "&:hover": {
      cursor: "pointer"
    }
  },
  resendOtpContainer: {
    display: "flex",
    width: "100%",
    alignItems: "flex-end",
    justifyContent: "flex-end",
    padding: theme.spacing(2)
  }
}));
const phoneRegExp = /^((\\+[1-9]{1,4}[ \\-]*)|(\\([0-9]{2,3}\\)[ \\-]*)|([0-9]{2,4})[ \\-]*)*?[0-9]{3,4}?[ \\-]*[0-9]{3,4}?$/;
const validationSchema = external_yup_.object({
  mbl: external_yup_.string().required("Enter your mobile number").matches(phoneRegExp, "Phone number is not valid").min(10, "Mobile should be of minimum 10 characters length").max(10, "Mobile should be of maximum 10 characters length")
});

const LoginComponent = props => {
  const windowWidth = (0,useWindowSize/* useWindowSize */.i)();
  const router = (0,router_.useRouter)();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    status
  } = (0,external_react_redux_.useSelector)(state => state.otp);
  const {
    status: userStatus
  } = (0,external_react_redux_.useSelector)(state => state.registerUser);
  const {
    alertOpen
  } = (0,external_react_redux_.useSelector)(state => state.alert);
  const {
    loadingButton
  } = (0,external_react_redux_.useSelector)(state => state.otp);
  const {
    loadingButton: optSentLoadingButton
  } = (0,external_react_redux_.useSelector)(state => state.setOtp);
  const {
    0: otpSent,
    1: setOtpSent
  } = (0,external_react_.useState)(false);
  const {
    width
  } = windowWidth;
  const classes = useStyles({
    windowWidth: width
  });
  const formik = (0,external_formik_.useFormik)({
    initialValues: {
      mbl: props.mbl ? props.mbl : "",
      otp: ""
    },
    validationSchema: validationSchema,
    onSubmit: otpSent === false ? values => {
      dispatch((0,auth_actions/* sendOtp */.b9)(values.mbl));
    } : values => {
      dispatch((0,auth_actions/* setOtp */.jr)(values.mbl, values.otp, router));
      console.log(values);
    }
  });
  (0,external_react_.useEffect)(() => {
    if ((status === null || status === void 0 ? void 0 : status.toUpperCase()) === "Success".toUpperCase() || (userStatus === null || userStatus === void 0 ? void 0 : userStatus.toUpperCase()) === "Success".toUpperCase()) {
      // alert("hi");
      console.log(props.mbl);
      setOtpSent(true);
    } else {
      setOtpSent(false);
    }
  }, [status, setOtpSent, props.mbl, userStatus]);
  (0,external_react_.useEffect)(() => {
    return () => {
      dispatch((0,alert_action/* setAlertMessage */.G)(false, "", ""));
    };
  }, [dispatch]);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    className: classes.root,
    children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.image,
      children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
        variant: "h4",
        component: "div",
        children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
          src: "/assets/images/logos/logo.png",
          alt: "logo",
          width: "174",
          height: "45"
        })
      }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
        className: classes.divider
      })]
    }), alertOpen === true ? /*#__PURE__*/jsx_runtime_.jsx(AlertMessage/* default */.Z, {}) : null, /*#__PURE__*/jsx_runtime_.jsx("form", {
      onSubmit: formik.handleSubmit,
      children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
        container: true,
        spacing: 2,
        children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Input */.Z.Input, {
            fullWidth: true,
            label: "Mobile",
            name: "mbl",
            variant: "standard",
            placeholder: "Please Enter your mobile number" // value={mbl}
            ,
            maxLength: 10 // onChange={(e) => setMobile(e.target.value)}
            ,
            value: formik.values.mbl,
            onChange: formik.handleChange,
            error: formik.touched.mbl && Boolean(formik.errors.mbl),
            helperText: formik.touched.mbl && formik.errors.mbl
          })
        }), otpSent && /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Input */.Z.Input, {
            fullWidth: true,
            label: "OTP",
            name: "otp",
            variant: "standard",
            placeholder: "Please Enter OTP" // value={otp || ""}
            // onChange={(e) => setOtp(e.target.value)}
            ,
            value: formik.values.otp,
            onChange: formik.handleChange,
            error: formik.touched.otp && Boolean(formik.errors.otp),
            helperText: formik.touched.otp && formik.errors.otp
          })
        }), otpSent ? /*#__PURE__*/jsx_runtime_.jsx("div", {
          className: classes.resendOtpContainer,
          children: /*#__PURE__*/jsx_runtime_.jsx("button", {
            className: classes.resendOtp,
            onClick: e => {
              e.preventDefault();
              dispatch((0,auth_actions/* sendOtp */.b9)(formik.values.mbl));
            },
            children: "Resend OTP"
          })
        }) : null, otpSent ? /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
            fullWidth: true,
            text: "LOGIN",
            type: "submit",
            loadingButton: optSentLoadingButton,
            loadingIndicator: true,
            fullWidthButton: true,
            disabled: formik.values.otp === "" || formik.values.otp === "null" ? true : false
          })
        }) : /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
          fullWidth: true,
          text: "GET OTP",
          type: "submit",
          loadingButton: loadingButton,
          loadingIndicator: true,
          fullWidthButton: true
        })]
      })
    })]
  });
};

/* harmony default export */ const LoginComponent_LoginComponent = (LoginComponent);
;// CONCATENATED MODULE: ./screens/LoginComponent/index.js


/***/ })

};
;