exports.id = 3044;
exports.ids = [3044];
exports.modules = {

/***/ 8634:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6731);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var next_link__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1664);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__);
const _excluded = ["children", "activeclassname", "onClick"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }






const ActiveLink = _ref => {
  let {
    children,
    activeclassname,
    onClick
  } = _ref,
      props = _objectWithoutProperties(_ref, _excluded);

  const {
    asPath
  } = (0,next_router__WEBPACK_IMPORTED_MODULE_0__.useRouter)();
  const child = react__WEBPACK_IMPORTED_MODULE_2__.Children.only(children);
  const childClassName = child.props.className || ''; // pages/index.js will be matched via props.href
  // pages/about.js will be matched via props.href
  // pages/[slug].js will be matched via props.as

  const className = asPath === (props === null || props === void 0 ? void 0 : props.href) || asPath === props.as ? `${childClassName} ${activeclassname}`.trim() : childClassName;
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx(next_link__WEBPACK_IMPORTED_MODULE_1__.default, _objectSpread(_objectSpread({}, props), {}, {
    children: /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_2___default().cloneElement(child, {
      className: className || null,
      onClick: onClick || null,
      as: asPath || null
    })
  }));
};

ActiveLink.defaultProps = {
  activeclassname: 'active'
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ActiveLink);

/***/ }),

/***/ 2669:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ components_Overlay)
});

;// CONCATENATED MODULE: ./public/assets/images/logos/preloader.gif
/* harmony default export */ const preloader = ({"src":"/_next/static/image/public/assets/images/logos/preloader.931af8f328faae935a7ec75aa0946fd5.gif","height":240,"width":303});
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Overlay.js




const Overlay = () => {
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    className: "overlay",
    children: /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: "overlay__inner",
      children: /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: "overlay__content",
        children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default // className="spinner"
        , {
          src: preloader,
          alt: "aaipay",
          width: "100",
          height: "100"
        })
      })
    })
  });
};

/* harmony default export */ const components_Overlay = (Overlay);

/***/ }),

/***/ 9298:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_slugify__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6419);
/* harmony import */ var react_slugify__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_slugify__WEBPACK_IMPORTED_MODULE_0__);

const navData = [{
  id: "929182",
  href: "Cable TV"
}, {
  id: "422066",
  href: "FASTag"
}, {
  id: "144613",
  href: "Electricity"
}, {
  id: "908316",
  href: "LPG Gas"
}, {
  id: "635353",
  href: "Credit Card"
}, {
  id: "8904",
  href: "Water"
}, {
  id: "195184",
  href: "Broadband"
}, {
  id: "369717",
  href: "Landline"
}, {
  id: "439964",
  href: "Piped Gas"
}, {
  id: "771124",
  href: "Education Fees"
}, {
  id: "827356",
  href: "Municipal Services"
}, {
  id: "879068",
  href: "Municipal Taxes"
}, {
  id: "791317",
  href: "Insurance"
}, {
  id: "769215",
  href: "DTH"
}, {
  id: "643275",
  href: "Hospital and Pathology"
}, {
  id: "608959",
  href: "Loan Repayment"
}, {
  id: "152945",
  href: "Subscription"
}, {
  id: "131770",
  href: "Clubs and Associations"
}, {
  id: "107661",
  href: "Mobile Postpaid"
}, {
  id: "70786",
  href: "Housing Society"
}];
const sluggedNavData = navData.map(item => {
  return {
    id: item.id,
    href: `/${react_slugify__WEBPACK_IMPORTED_MODULE_0___default()(item.href)}`
  };
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (sluggedNavData);

/***/ }),

/***/ 2431:
/***/ (() => {

/* (ignored) */

/***/ })

};
;