"use strict";
exports.id = 3309;
exports.ids = [3309];
exports.modules = {

/***/ 3309:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ MyProfile_MyProfileComponent)
});

// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: ./components/Overlay.js + 1 modules
var Overlay = __webpack_require__(2669);
// EXTERNAL MODULE: ./components/PageHeader.jsx
var PageHeader = __webpack_require__(1388);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
;// CONCATENATED MODULE: ./screens/MyProfile/utils.js


/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const validate = values => {
  const errors = {};

  if (values.Mobile.length !== 10 || !(0,customFunctions/* checkNumeric */.jd)(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }

  if (!(0,customFunctions/* validateEmail */.oH)(values.Email)) {
    errors.Email = "Invalid Email Address.";
  }

  if (!values.Email) {
    errors.Email = "Email address is required.";
  }

  if (!values.Name) {
    errors.Name = "Name is required.";
  }

  return errors;
};

const initialValues = {
  Mobile: "",
  Email: "",
  Address: "",
  gender: "male",
  Name: "",
  zip: "",
  city: "",
  state: "",
  reg_date: ""
};
const useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5)
  }
}));

// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(3804);
var external_lodash_default = /*#__PURE__*/__webpack_require__.n(external_lodash_);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(7717);
// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: ./redux/actions/auth.actions.js
var auth_actions = __webpack_require__(4859);
// EXTERNAL MODULE: ./components/AlertMessage.js
var AlertMessage = __webpack_require__(7641);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/MyProfile/_Form.jsx
 // import PropTypes from 'prop-types';













const LoadOperators = ({
  userInfo,
  loading
}) => {
  const {
    values,
    setFieldValue
  } = (0,external_formik_.useFormikContext)(); // useEffect(() => {
  //   if (typeof userInfoWithRegId.regId !== "undefined") {
  //     dispatch(
  //       getMyProfile(userInfoWithRegId?.regId, userInfoWithRegId?.mobile)
  //     );
  //   }
  // }, [userInfoWithRegId.regId, userInfoWithRegId.mobile, dispatch]);
  // useEffect(() => {
  //   console.log(userInfo.Name);
  //   if (userInfo.Name === "undefined") {
  //     router.push("/mobile");
  //   }
  // }, [userInfo.Name, router]);

  (0,external_react_.useEffect)(() => {
    if (!external_lodash_default().isEmpty(userInfo) && !loading) {
      setFieldValue("Mobile", userInfo.Mobile);
      setFieldValue("Email", userInfo.Email);
      setFieldValue("Name", userInfo.Name);
      setFieldValue("gender", userInfo.gender);
      setFieldValue("Address", userInfo.Address);
      setFieldValue("city", userInfo.city);
      setFieldValue("state", userInfo.state);
      setFieldValue("zip", userInfo.zip);
      setFieldValue("reg_date", String(new Date(userInfo.reg_date)));
    }
  }, [userInfo, loading, setFieldValue]);
  return null;
};

const MyProfileForm = ({
  userInfo
}) => {
  const {
    loading,
    loadingButton
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const {
    userInfo: userInfoWithRegId
  } = (0,external_react_redux_.useSelector)(state => state.setOtp);
  const {
    alertOpen
  } = (0,external_react_redux_.useSelector)(state => state.alert);
  const dispatch = (0,external_react_redux_.useDispatch)();
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Formik, {
      initialValues: initialValues,
      validator: validate,
      onSubmit: (values, actions) => {
        // setTimeout(() => {
        //   alert(JSON.stringify(values, null, 2));
        //   actions.setSubmitting(false);
        // }, 1000);
        console.log(values);
        dispatch((0,auth_actions/* updateProfile */.ck)(values));
      },
      children: ({
        setFieldValue,
        values,
        handleSubmit,
        handleChange,
        touched,
        errors,
        setErrors
      }) => {
        return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
          children: [alertOpen === true ? /*#__PURE__*/jsx_runtime_.jsx(AlertMessage/* default */.Z, {}) : null, /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Form, {
            onSubmit: handleSubmit,
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
              container: true,
              spacing: 5,
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 4,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  fullWidth: true,
                  id: "Mobile",
                  name: "Mobile",
                  label: "Primary Mobile Number",
                  value: values.Mobile,
                  onChange: handleChange,
                  error: touched.Mobile && Boolean(errors.Mobile),
                  helperText: touched.Mobile && errors.Mobile,
                  variant: "standard",
                  margin: "normal",
                  placeholder: "Please Enter your Primary Mobile Number",
                  disabled: true
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 4,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  fullWidth: true,
                  id: "Email",
                  name: "Email",
                  label: "Email",
                  value: values.Email,
                  onChange: handleChange,
                  error: touched.Email && Boolean(errors.Email),
                  helperText: touched.Email && errors.Email,
                  variant: "standard",
                  margin: "normal",
                  placeholder: "Please Enter your Email Address"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 4,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  fullWidth: true,
                  id: "Name",
                  name: "Name",
                  label: "Name",
                  value: values.Name,
                  onChange: handleChange,
                  error: touched.Name && Boolean(errors.Name),
                  helperText: touched.Name && errors.Name,
                  variant: "standard",
                  margin: "normal",
                  placeholder: "Please Enter your Full Name"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 12,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.RadioGroup */.Z.RadioGroup,
                  row: true,
                  label: "Gender",
                  id: "gender",
                  name: "gender",
                  value: values.gender || "male",
                  onChange: event => {
                    setFieldValue("gender", event.currentTarget.value);
                  },
                  items: [{
                    id: "male",
                    title: "Male"
                  }, {
                    id: "female",
                    title: "Female"
                  }, {
                    id: "others",
                    title: "Others"
                  }]
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 12,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  multiline: true,
                  label: "Address",
                  id: "Address",
                  name: "Address",
                  value: values.Address,
                  onChange: handleChange,
                  fullWidth: true,
                  placeholder: "Please Enter your Address",
                  margin: "normal"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 4,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  fullWidth: true,
                  id: "city",
                  name: "city",
                  label: "City",
                  value: values.city,
                  onChange: handleChange,
                  error: touched.city && Boolean(errors.city),
                  helperText: touched.city && errors.city,
                  variant: "standard",
                  margin: "normal",
                  placeholder: "Please Enter your City"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 4,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  fullWidth: true,
                  id: "state",
                  name: "state",
                  label: "State",
                  value: values.state,
                  onChange: handleChange,
                  error: touched.state && Boolean(errors.state),
                  helperText: touched.state && errors.state,
                  variant: "standard",
                  margin: "normal",
                  placeholder: "Please Enter your State"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 4,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  fullWidth: true,
                  id: "zip",
                  name: "zip",
                  label: "Zip Code",
                  value: values.zip,
                  onChange: handleChange,
                  error: touched.zip && Boolean(errors.zip),
                  helperText: touched.zip && errors.zip,
                  variant: "standard",
                  margin: "normal",
                  placeholder: "Please Enter your Zip Code"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 12,
                md: 12,
                children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                  component: Controls/* default.Input */.Z.Input,
                  multiline: true,
                  label: "Member Since",
                  id: "reg_date",
                  name: "reg_date",
                  value: values.reg_date,
                  onChange: handleChange,
                  fullWidth: true //   placeholder={"Please Enter your reg_date"}
                  ,
                  margin: "normal",
                  disabled: true
                })
              }), /*#__PURE__*/jsx_runtime_.jsx("div", {
                style: {
                  width: "100%",
                  display: "flex",
                  justifyContent: "flex-end"
                },
                children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
                  color: "primary",
                  variant: "contained",
                  type: "submit",
                  text: "Update Profile",
                  loadingIndicator: true,
                  loadingButton: loadingButton // style={{
                  //   fontSize: 16,
                  // }}

                })
              })]
            })
          }), /*#__PURE__*/jsx_runtime_.jsx(LoadOperators, {
            userInfo: userInfo,
            loading: loading,
            userInfoWithRegId: userInfoWithRegId
          })]
        });
      }
    })
  });
};

/* harmony default export */ const _Form = (MyProfileForm);
;// CONCATENATED MODULE: ./screens/MyProfile/MyProfileComponent.jsx













const MyProfileComponent = () => {
  const classes = useStyles();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    loading,
    isAuthenticated,
    userInfo
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const reg_id = external_js_cookie_default().get("regId");
  const mbl = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    isAuthenticated && dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl
    }));
  }, [dispatch, reg_id, mbl, isAuthenticated]);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
    children: [loading && /*#__PURE__*/jsx_runtime_.jsx(Overlay/* default */.Z, {}), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(PageHeader/* default */.Z, {
        title: "My Profile",
        subTitle: "Manage Your Profile from Here"
      }), /*#__PURE__*/jsx_runtime_.jsx(_Form, {
        userInfo: userInfo
      })]
    })]
  });
};

/* harmony default export */ const MyProfile_MyProfileComponent = (MyProfileComponent);

/***/ })

};
;