"use strict";
exports.id = 4600;
exports.ids = [4600];
exports.modules = {

/***/ 180:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _material_ui_core___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5673);
/* harmony import */ var _material_ui_core___WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _hooks_useWindowSize__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2389);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__);
/* eslint-disable jsx-a11y/anchor-is-valid */






const useStyles = (0,_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.makeStyles)(theme => ({
  root: {
    padding: theme.spacing(2, 2, 0, 2),
    borderRadius: theme.spacing(2),
    maxWidth: props => props && props.windowWidth < 768 ? "100vw" : 350,
    textAlign: "center",
    marginTop: theme.spacing(8),
    display: "flex",
    alignItems: "center",
    minHeight: 350,
    justifyContent: "center",
    flexDirection: props => props && props.btnText ? "column" : "row",
    paddingTop: props => props && props.btnText ? theme.spacing(9) : 0
  },
  link: {
    textDecoration: "none"
  },
  icon: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    fontSize: 55,
    marginBottom: theme.spacing(2),
    color: theme.palette.primary.main
  },
  title: {
    marginBottom: theme.spacing(1)
  }
}));

const CardComponentNoMedia = props => {
  const {
    btnText,
    title,
    icon,
    description
  } = props;
  const windowWidth = (0,_hooks_useWindowSize__WEBPACK_IMPORTED_MODULE_2__/* .useWindowSize */ .i)();
  const {
    width
  } = windowWidth;
  const classes = useStyles({
    windowWidth: width,
    btnText: btnText
  });
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.Fragment, {
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Card, {
      className: classes.root,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.CardContent, {
        children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx("div", {
          className: classes.icon,
          children: icon
        }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
          variant: "h5",
          component: "h2",
          className: classes.title,
          children: title
        }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Typography, {
          variant: "body1",
          component: "p",
          children: description
        })]
      }), btnText && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.CardActions, {
        children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx(_material_ui_core___WEBPACK_IMPORTED_MODULE_1__.Button, {
          size: "small",
          children: btnText
        })
      })]
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CardComponentNoMedia);

/***/ }),

/***/ 2593:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_icons_md__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5434);
/* harmony import */ var react_icons_gi__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2585);
/* harmony import */ var react_icons_fa__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9583);
/* harmony import */ var react_icons_bi__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7516);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);





const aboutCards = [{
  id: 1,
  title: "Secure Payments",
  description: "Moving your card details to a much more secured place.",
  icon: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_icons_md__WEBPACK_IMPORTED_MODULE_1__/* .MdVerifiedUser */ .K7e, {})
}, {
  id: 2,
  title: "Trust pay",
  description: "100% Payment Protection. Easy Return Policy.",
  icon: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_icons_gi__WEBPACK_IMPORTED_MODULE_2__/* .GiReceiveMoney */ .BUm, {})
}, {
  id: 3,
  title: "Refer & Earn",
  description: "Invite a friend to sign up and earn with aaipay.",
  icon: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_icons_fa__WEBPACK_IMPORTED_MODULE_3__/* .FaRetweet */ .FxE, {})
}, {
  id: 4,
  title: "24/7 Support",
  description: "We're here to help. Have a query and need help ?",
  icon: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_icons_bi__WEBPACK_IMPORTED_MODULE_4__/* .BiSupport */ .LVi, {}),
  btnText: "Click here"
}];
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (aboutCards);

/***/ })

};
;