"use strict";
exports.id = 9769;
exports.ids = [9769];
exports.modules = {

/***/ 8926:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__);



const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(8, 0)
  }
}));

const FormAndPreview = ({
  form,
  preview
}) => {
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Container, {
    maxWidth: "lg",
    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx("div", {
      className: classes.root,
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsxs)(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
        container: true,
        spacing: 4,
        children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
          item: true,
          xs: 12,
          lg: 4,
          md: 5,
          children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Paper, {
            borderRadius: 24,
            component: _material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Box,
            className: "box box-form",
            p: 5,
            children: form
          })
        }), preview && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
          item: true,
          xs: 12,
          lg: 8,
          md: 7,
          children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Paper, {
            borderRadius: 24,
            component: _material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Box,
            className: "box box-form preview",
            p: 5,
            children: preview
          })
        })]
      })
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FormAndPreview);

/***/ }),

/***/ 6268:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ components_Page)
});

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);
// EXTERNAL MODULE: external "next/head"
var head_ = __webpack_require__(701);
var head_default = /*#__PURE__*/__webpack_require__.n(head_);
// EXTERNAL MODULE: external "styled-jsx/style"
var style_ = __webpack_require__(3289);
var style_default = /*#__PURE__*/__webpack_require__.n(style_);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/AppBar/AppBar.js
var AppBar = __webpack_require__(5258);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/Toolbar/Toolbar.js
var Toolbar = __webpack_require__(8358);
// EXTERNAL MODULE: ./components/ActiveLink.jsx
var ActiveLink = __webpack_require__(8634);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
// EXTERNAL MODULE: ./config/navData.js
var navData = __webpack_require__(9298);
// EXTERNAL MODULE: external "@material-ui/icons/MoreHoriz"
var MoreHoriz_ = __webpack_require__(4106);
var MoreHoriz_default = /*#__PURE__*/__webpack_require__.n(MoreHoriz_);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Container/RichToolTip/RichToolTip.js
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }





const useStyles = (0,core_.makeStyles)(theme => {
  const color = theme.palette.background.paper; // Feel free to customise this like they do in Tooltip

  return {
    popoverRoot: {
      backgroundColor: color,
      maxWidth: 1000 // position: (props) => (props && props.width ? "relative" : ""),
      // left: (props) => (props && props.width ? 20 : 0),

    },
    paper: {
      position: props => props && props.width ? "relative" : "",
      left: props => props && props.width ? 20 : "",
      backgroundCololr: "red"
    },
    content: {
      padding: theme.spacing(2) // backgroundColor: "blue",
      // position: (props) => (props && props.width ? "relative" : ""),
      // left: (props) => (props && props.width ? 20 : 0),

    },
    popper: {
      position: props => props && props.width ? "relative" : "",
      left: props => props && props.width ? 20 : 0,
      zIndex: 2000,
      '&[x-placement*="bottom"] $arrow': {
        left: 0,
        marginTop: "-0.71em",
        marginLeft: 4,
        marginRight: 4,
        "&::before": {
          transformOrigin: "0 100%"
        }
      },
      '&[x-placement*="top"] $arrow': {
        bottom: 0,
        left: 0,
        marginBottom: "-0.71em",
        marginLeft: 4,
        marginRight: 4,
        "&::before": {
          transformOrigin: "100% 0"
        }
      },
      '&[x-placement*="right"] $arrow': {
        left: 0,
        marginLeft: "-0.71em",
        height: "1em",
        width: "0.71em",
        marginTop: 4,
        marginBottom: 4,
        "&::before": {
          transformOrigin: "100% 100%"
        }
      },
      '&[x-placement*="left"] $arrow': {
        right: 0,
        marginRight: "-0.71em",
        height: "1em",
        width: "0.71em",
        marginTop: 4,
        marginBottom: 4,
        "&::before": {
          transformOrigin: "0 0"
        }
      }
    },
    arrow: {
      overflow: "hidden",
      position: "absolute",
      width: "1em",
      height: "0.71em"
      /* = width / sqrt(2) = (length of the hypotenuse) */
      ,
      boxSizing: "border-box",
      color,
      "&::before": {
        content: '""',
        margin: "auto",
        display: "block",
        width: "100%",
        height: "100%",
        boxShadow: theme.shadows[1],
        backgroundColor: "currentColor",
        transform: "rotate(45deg)"
      }
    }
  };
});

const RichTooltip = ({
  placement = "top",
  arrow = true,
  open,
  onClose = () => {},
  content,
  width,
  children
}) => {
  const classes = useStyles({
    width: width
  });
  const [arrowRef, setArrowRef] = external_react_default().useState(null);
  const [childNode, setChildNode] = external_react_default().useState(null);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    style: width && {
      width: width
    },
    children: [/*#__PURE__*/external_react_default().cloneElement(children, _objectSpread(_objectSpread({}, children.props), {}, {
      ref: setChildNode
    })), /*#__PURE__*/jsx_runtime_.jsx(core_.Popper, {
      open: open,
      anchorEl: childNode,
      placement: placement,
      transition: true,
      className: classes.popper,
      modifiers: {
        preventOverflow: {
          enabled: true,
          boundariesElement: "window"
        },
        arrow: {
          enabled: arrow,
          element: arrowRef
        }
      },
      children: ({
        TransitionProps
      }) => /*#__PURE__*/jsx_runtime_.jsx(core_.Fade, _objectSpread(_objectSpread({
        style: {
          position: "relative",
          top: width ? -15 : 15
        }
      }, TransitionProps), {}, {
        // className={classes.paper}
        timeout: 350,
        children: /*#__PURE__*/jsx_runtime_.jsx(core_.Paper, {
          children: /*#__PURE__*/jsx_runtime_.jsx(core_.ClickAwayListener, {
            onClickAway: onClose,
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Paper, {
              className: classes.popoverRoot,
              children: [arrow ? /*#__PURE__*/jsx_runtime_.jsx("span", {
                className: classes.arrow,
                ref: setArrowRef
              }) : null, /*#__PURE__*/jsx_runtime_.jsx(core_.Box, {
                className: classes.content,
                children: content
              })]
            })
          })
        })
      }))
    })]
  });
};

/* harmony default export */ const RichToolTip = (RichTooltip);
;// CONCATENATED MODULE: ./components/Container/RichToolTip/ClickableRichTooltip.js
function ClickableRichTooltip_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function ClickableRichTooltip_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ClickableRichTooltip_ownKeys(Object(source), true).forEach(function (key) { ClickableRichTooltip_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ClickableRichTooltip_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function ClickableRichTooltip_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }





const ClickableRichTooltip = ({
  placement,
  arrow,
  content,
  children,
  disabled = false,
  width
}) => {
  const {
    0: open,
    1: setOpen
  } = (0,external_react_.useState)(false);

  if (disabled) {
    return /*#__PURE__*/external_react_default().cloneElement(children, ClickableRichTooltip_objectSpread(ClickableRichTooltip_objectSpread({}, children.props), {}, {
      disabled: true
    }));
  }

  const existingOnClick = children.props.onClick;

  const newOnClick = e => {
    setOpen(!open);
    existingOnClick && existingOnClick(e);
  };

  const contentNode = typeof content === "function" ? content() : content;
  return /*#__PURE__*/jsx_runtime_.jsx(RichToolTip, {
    open: open,
    onClose: () => setOpen(false),
    arrow: arrow,
    placement: placement,
    content: contentNode,
    width: width,
    children: /*#__PURE__*/external_react_default().cloneElement(children, ClickableRichTooltip_objectSpread(ClickableRichTooltip_objectSpread({}, children.props), {}, {
      onClick: newOnClick
    }))
  });
};

/* harmony default export */ const RichToolTip_ClickableRichTooltip = (ClickableRichTooltip);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
;// CONCATENATED MODULE: ./components/NavigationBar/TabNav/index.js


/* eslint-disable jsx-a11y/anchor-is-valid */











 // import rechargeLogo from '@/images/services/smartphone.png';
// import dthLogo from '@/images/services/satellitedish.png';




const TabNav = () => {
  const {
    0: boxWidth,
    1: setBoxWidth
  } = (0,external_react_.useState)(null);
  const {
    loading,
    categories
  } = (0,external_react_redux_.useSelector)(state => state.category);
  const allData = categories.map(item => {
    return {
      id: item.serviceId,
      icon: item.icon,
      serviceTypeName: item.serviceTypeName
    };
  });
  const fullNavdata = (0,customFunctions/* mergeArrayObjects */.ge)(allData, navData/* default */.Z);
  const navItems = fullNavdata.slice(0, 4);
  const secondaryItems = fullNavdata.slice(4, fullNavdata.length);
  const boxRef = (0,external_react_.useRef)(null);
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();
  (0,external_react_.useEffect)(() => {
    const boxWidth = boxRef.current.clientWidth;

    if (boxRef.current.clientWidth < 300) {
      setBoxWidth(boxWidth);
    } else {
      setBoxWidth(120);
    }

    console.log(boxWidth);
  }, [setBoxWidth, windowWidth]);
  return /*#__PURE__*/jsx_runtime_.jsx(AppBar/* default */.Z, {
    position: "static",
    className: "tab",
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Container, {
      maxWidth: "lg",
      children: [/*#__PURE__*/jsx_runtime_.jsx((style_default()), {
        id: "3296149519",
        children: [".nav-link.jsx-3296149519{-webkit-text-decoration:none;text-decoration:none;}", ".active.jsx-3296149519{background-color:#f46703;color:white;}", ".card.jsx-3296149519:nth-child(8):parent{display:none;}"]
      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(Toolbar/* default */.Z, {
        className: "cards",
        children: [/*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: "/mobile",
          activeclassname: "active",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            ref: boxRef,
            className: "jsx-3296149519" + " " + "card",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-icon",
              children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                src: "/assets/images/services/smartphone.png",
                alt: "Aaipay",
                width: "22",
                height: "22",
                className: "imageColor"
              })
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-primary",
              children: "Mobile"
            })]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: "/dth",
          activeclassname: "active",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            className: "jsx-3296149519" + " " + "card",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-icon",
              children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                src: "/assets/images/services/satellitedish.png",
                alt: "Aaipay",
                width: "22",
                height: "22",
                className: "imageColor"
              })
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-primary",
              children: "DTH"
            })]
          })
        }), navItems.length === 0 && [1, 2, 3, 4].map(item => /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: "",
          activeclassname: "active",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            className: "jsx-3296149519" + " " + "card",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-icon"
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-primary"
            })]
          })
        }, item)), navItems.map(item => {
          return /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
            href: `${item.href}`,
            activeclassname: "active",
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
              className: "jsx-3296149519" + " " + "card",
              children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                className: "jsx-3296149519" + " " + "card-icon",
                children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                  src: item.icon,
                  alt: "Aaipay",
                  width: "22",
                  height: "22",
                  className: "imageColor"
                })
              }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                className: "jsx-3296149519" + " " + "card-primary",
                children: [" ", item.serviceTypeName]
              })]
            })
          }, item.id);
        }), /*#__PURE__*/jsx_runtime_.jsx(RichToolTip_ClickableRichTooltip, {
          width: boxWidth || 100,
          content: () => {
            return /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
              container: true,
              spacing: 2,
              style: {
                width: 600
              },
              children: secondaryItems.map(item => {
                return /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                  item: true,
                  xs: 12,
                  sm: 4,
                  children: /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
                    href: `${item.href}`,
                    activeclassname: "active",
                    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
                      className: "jsx-3296149519" + " " + "card3",
                      children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                        className: "jsx-3296149519" + " " + "card-icon",
                        children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                          src: item.icon,
                          alt: "Aaipay",
                          width: "22",
                          height: "22",
                          className: "imageColor"
                        })
                      }), /*#__PURE__*/jsx_runtime_.jsx("div", {
                        className: "jsx-3296149519" + " " + "card-primary",
                        children: item.serviceTypeName
                      })]
                    })
                  }, item.id)
                }, item.id);
              })
            });
          },
          placement: "left-start",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            style: {
              display: "inline-flex",
              width: "100%"
            },
            className: "jsx-3296149519" + " " + "card blackText",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-icon",
              children: /*#__PURE__*/jsx_runtime_.jsx((MoreHoriz_default()), {})
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3296149519" + " " + "card-primary",
              children: "More"
            })]
          })
        })]
      })]
    })
  });
};

/* harmony default export */ const NavigationBar_TabNav = (TabNav);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/Drawer/Drawer.js + 3 modules
var Drawer = __webpack_require__(7159);
;// CONCATENATED MODULE: ./components/Container/Drawers/DrawerCardList.js


/* eslint-disable jsx-a11y/anchor-is-valid */






const DrawerCardList = ({
  setOpen,
  secondaryItems
}) => {
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
    container: true,
    spacing: 0,
    style: {
      paddingTop: 20,
      paddingBottom: 20
    },
    children: [/*#__PURE__*/jsx_runtime_.jsx((style_default()), {
      id: "2228824292",
      children: [".nav-link.jsx-2228824292{-webkit-text-decoration:none;text-decoration:none;}", ".active.jsx-2228824292{background-color:#f46703;color:white;}"]
    }), secondaryItems.map(item => /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
      item: true,
      xs: 4,
      children: /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
        href: `${item.href}`,
        activeclassname: "active",
        onClick: () => setOpen(false),
        children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
          className: "jsx-2228824292" + " " + "card4",
          children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
            className: "jsx-2228824292" + " " + "card-icon",
            children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
              src: item.icon,
              alt: "Aaipay",
              width: "20",
              height: "20",
              className: "imageColor"
            })
          }), /*#__PURE__*/jsx_runtime_.jsx("div", {
            className: "jsx-2228824292" + " " + "card-primary",
            children: item.serviceTypeName
          })]
        })
      }, item.id)
    }, item.id))]
  });
};

/* harmony default export */ const Drawers_DrawerCardList = (DrawerCardList); // export const getStaticProps = async () => {
//   return {
//     setOpen,
//   };
// };

/* import ActiveLink from './ActiveLink'

const Nav = () => (
  <nav>
    <style jsx>{`
      .nav-link {
        text-decoration: none;
      }
      .active:after {
        content: ' (current page)';
      }
    `}</style>
    <ul className="nav">
      <li>
        <ActiveLink activeclassname="active" href="/">
          <a className="nav-link">Home</a>
        </ActiveLink>
      </li>
      <li>
        <ActiveLink activeclassname="active" href="/about">
          <a className="nav-link">About</a>
        </ActiveLink>
      </li>
      <li>
        <ActiveLink activeclassname="active" href="/[slug]" as="/dynamic-route">
          <a className="nav-link">Dynamic Route</a>
        </ActiveLink>
      </li>
    </ul>
  </nav>
)

export default Nav */
;// CONCATENATED MODULE: ./components/Container/Drawers/DrawerCardBox.js





const MaterialDrawerBox = ({
  handleDrawerClose,
  open,
  setOpen,
  anchor,
  secondaryItems
}) => {
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    children: /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
      children: /*#__PURE__*/jsx_runtime_.jsx(Drawer/* default */.ZP, {
        anchor: anchor,
        open: open,
        onClose: handleDrawerClose,
        children: /*#__PURE__*/jsx_runtime_.jsx(Drawers_DrawerCardList, {
          open: open,
          setOpen: setOpen,
          secondaryItems: secondaryItems
        })
      })
    })
  });
};

/* harmony default export */ const DrawerCardBox = (MaterialDrawerBox); // export const getStaticProps = () => {
//   return {
//     props: {
//       handleDrawerClose,
//       open,
//       setOpen,
//     },
//   };
// };
;// CONCATENATED MODULE: ./components/NavigationBar/MobNav/index.js


/* eslint-disable jsx-a11y/no-static-element-interactions */

/* eslint-disable jsx-a11y/click-events-have-key-events */

/* eslint-disable jsx-a11y/anchor-is-valid */








 // import rechargeLogo from '@/images/services/smartphone.png';
// import dthLogo from '@/images/services/satellitedish.png';







const MobNav = () => {
  const [open, setOpen] = external_react_default().useState(false);
  const CategoryState = (0,external_react_redux_.useSelector)(state => state.category);
  const {
    categories
  } = CategoryState;
  const allData = categories.map(item => {
    return {
      id: item.serviceId,
      icon: item.icon,
      serviceTypeName: item.serviceTypeName
    };
  });
  const fullNavdata = (0,customFunctions/* mergeArrayObjects */.ge)(allData, navData/* default */.Z);
  const navItems = fullNavdata.slice(0, 1);
  const secondaryItems = fullNavdata.slice(1, fullNavdata.length);

  const handleDrawerClose = () => {
    setOpen(false);
  };

  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
    children: [/*#__PURE__*/jsx_runtime_.jsx(AppBar/* default */.Z, {
      position: "static",
      className: "tab",
      children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Container, {
        children: [/*#__PURE__*/jsx_runtime_.jsx((style_default()), {
          id: "1561427402",
          children: [".nav-link.jsx-1561427402{-webkit-text-decoration:none;text-decoration:none;}", ".active.jsx-1561427402{background-color:#f46703;color:white;}", ".card.jsx-1561427402:nth-child(4):parent{display:none;}"]
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(Toolbar/* default */.Z, {
          className: "cards",
          children: [/*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
            href: "/mobile",
            activeclassname: "active",
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
              className: "jsx-1561427402" + " " + "card",
              children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                className: "jsx-1561427402" + " " + "card-icon",
                children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                  src: "/assets/images/services/smartphone.png",
                  alt: "Aaipay",
                  width: "22",
                  height: "22",
                  className: "imageColor"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx("div", {
                className: "jsx-1561427402" + " " + "card-primary",
                children: "Mobile"
              })]
            })
          }), /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
            href: "/dth",
            activeclassname: "active",
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
              className: "jsx-1561427402" + " " + "card",
              children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                className: "jsx-1561427402" + " " + "card-icon",
                children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                  src: "/assets/images/services/satellitedish.png",
                  alt: "Aaipay",
                  width: "22",
                  height: "22",
                  className: "imageColor"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx("div", {
                className: "jsx-1561427402" + " " + "card-primary",
                children: "DTH"
              })]
            })
          }), navItems.map((item, index) => {
            return /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
              href: `${item.href}`,
              activeclassname: "active",
              children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
                className: "jsx-1561427402" + " " + "card",
                children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                  className: "jsx-1561427402" + " " + "card-icon",
                  children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                    src: item.icon,
                    alt: "Aaipay",
                    width: "22",
                    height: "22",
                    className: "imageColor"
                  })
                }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                  className: "jsx-1561427402" + " " + "card-primary",
                  children: [" ", item.serviceTypeName]
                })]
              })
            }, item.id);
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            onClick: () => setOpen(true),
            className: "jsx-1561427402" + " " + "card blackText",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-1561427402" + " " + "card-icon",
              children: /*#__PURE__*/jsx_runtime_.jsx((MoreHoriz_default()), {})
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-1561427402" + " " + "card-primary",
              children: "More"
            })]
          })]
        })]
      })
    }), /*#__PURE__*/jsx_runtime_.jsx(DrawerCardBox, {
      open: open,
      setOpen: setOpen,
      handleDrawerClose: handleDrawerClose,
      anchor: "bottom",
      secondaryItems: secondaryItems
    })]
  });
};

/* harmony default export */ const NavigationBar_MobNav = (MobNav);
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
;// CONCATENATED MODULE: ./components/NavigationBar/DeskNav/index.js


/* eslint-disable jsx-a11y/anchor-is-valid */










 // import rechargeLogo from '@/images/services/smartphone.png';
// import dthLogo from '@/images/services/satellite-dish.png';




const DeskNav = () => {
  const {
    0: boxWidth,
    1: setBoxWidth
  } = (0,external_react_.useState)(null);
  const router = (0,router_.useRouter)();
  const CategoryState = (0,external_react_redux_.useSelector)(state => state.category);
  const {
    categories
  } = CategoryState;
  const allData = categories.map(item => {
    return {
      id: item.serviceId,
      icon: item.icon,
      serviceTypeName: item.serviceTypeName
    };
  });
  const fullNavdata = (0,customFunctions/* mergeArrayObjects */.ge)(allData, navData/* default */.Z);
  const navItems = fullNavdata.slice(0, 9);
  const secondaryItems = fullNavdata.slice(9, fullNavdata.length);
  const boxRef = (0,external_react_.useRef)(null);
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)(); // useEffect(() => {
  //   const boxWidth = boxRef.current.clientWidth;
  //   // if (boxRef.current.clientWidth < 300) {
  //   //   setBoxWidth(boxWidth);
  //   // } else {
  //   //   // windowWidth > 1140 ? setBoxWidth(90) : setBoxWidth(100);
  //   //   if (windowWidth < 1140) {
  //   //     setBoxWidth(90);
  //   //   }
  //   //   if (windowWidth > 1140 && windowWidth < 1250) {
  //   //     setBoxWidth(100);
  //   //   }
  //   //   if (windowWidth > 1250 && windowWidth < 1600) {
  //   //     setBoxWidth(90);
  //   //   }
  //   //   if (windowWidth > 1600 && windowWidth < 1921) {
  //   //     setBoxWidth(120);
  //   //   }
  //   // }
  //   // console.log(boxWidth);
  // }, [setBoxWidth, windowWidth, boxRef]);

  (0,external_react_.useEffect)(() => {
    const boxWidth = boxRef.current.clientWidth;

    if (boxRef.current.clientWidth < 300) {
      setBoxWidth(boxWidth);
    } else {
      setBoxWidth(120);
    }

    console.log(boxWidth);
  }, [setBoxWidth, windowWidth]);
  return /*#__PURE__*/jsx_runtime_.jsx(core_.AppBar, {
    position: "static",
    className: "tab",
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Container, {
      children: [/*#__PURE__*/jsx_runtime_.jsx((style_default()), {
        id: "3902873153",
        children: [".nav-link.jsx-3902873153{-webkit-text-decoration:none;text-decoration:none;}", ".active.jsx-3902873153{background-color:#f46703;color:white;}"]
      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Toolbar, {
        className: "cards",
        children: [/*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: "/mobile",
          activeclassname: "active",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            ref: boxRef,
            className: "jsx-3902873153" + " " + "card",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-icon",
              children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                src: "/assets/images/services/smartphone.png",
                alt: "Aaipay",
                width: "22",
                height: "22",
                className: "imageColor"
              })
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-primary",
              children: "Mobile"
            })]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: "/dth",
          activeclassname: "active",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            className: "jsx-3902873153" + " " + "card",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-icon",
              children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                src: "/assets/images/services/satellitedish.png",
                alt: "Aaipay",
                width: "22",
                height: "22",
                className: "imageColor"
              })
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-primary",
              children: "DTH"
            })]
          })
        }), navItems.length === 0 && [1, 2, 3, 4, 5, 6, 7, 8, 9].map(item => /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: "",
          activeclassname: "active",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            className: "jsx-3902873153" + " " + "card",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-icon"
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-primary"
            })]
          })
        }, item)), navItems.map(item => {
          return /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
            href: {
              pathname: item.href // query: { id: item.id, name: item.serviceTypeName },

            },
            activeclassname: "active",
            as: `${item.href}`,
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
              className: "jsx-3902873153" + " " + "card",
              children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                className: "jsx-3902873153" + " " + "card-icon",
                children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                  src: item.icon,
                  alt: "Aaipay",
                  width: "22",
                  height: "22",
                  className: "imageColor"
                })
              }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                className: "jsx-3902873153" + " " + "card-primary",
                children: [" ", item.serviceTypeName]
              })]
            })
          }, item.id);
        }), /*#__PURE__*/jsx_runtime_.jsx(RichToolTip_ClickableRichTooltip, {
          width: boxWidth || 100,
          content: () => {
            return /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
              container: true,
              spacing: 2,
              style: {
                width: 600
              },
              children: secondaryItems.map(item => {
                return /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                  item: true,
                  xs: 12,
                  sm: 4,
                  children: /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z // href={{
                  //   pathname: '/' + item.href,
                  //   // query: { id: item.id, name: item.serviceTypeName },
                  // }}
                  , {
                    href: `${item.href}`,
                    activeclassname: "active",
                    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
                      className: "jsx-3902873153" + " " + "card2",
                      children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                        className: "jsx-3902873153" + " " + "card-icon",
                        children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                          src: item.icon,
                          alt: "Aaipay",
                          width: "22",
                          height: "22",
                          className: "imageColor"
                        })
                      }), /*#__PURE__*/jsx_runtime_.jsx("div", {
                        className: "jsx-3902873153" + " " + "card-primary",
                        children: item.serviceTypeName
                      })]
                    })
                  }, item.id)
                }, item.id);
              })
            });
          },
          placement: "left-start",
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
            style: {
              display: "inline-flex",
              width: "100%"
            },
            className: "jsx-3902873153" + " " + "card blackText",
            children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-icon",
              children: /*#__PURE__*/jsx_runtime_.jsx((MoreHoriz_default()), {})
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: "jsx-3902873153" + " " + "card-primary",
              children: "More"
            })]
          })
        })]
      })]
    })
  });
};

/* harmony default export */ const NavigationBar_DeskNav = (DeskNav);
;// CONCATENATED MODULE: ./components/NavigationBar/index.js




// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
;// CONCATENATED MODULE: ./components/Page.jsx










function Page({
  component: Component,
  title
}) {
  const windowSize = (0,useWindowSize/* useWindowSize */.i)();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const CategoryState = (0,external_react_redux_.useSelector)(state => state.category);
  const {
    loading
  } = CategoryState;
  (0,external_react_.useEffect)(() => {
    dispatch((0,categories_actions/* getAllCategory */.KQ)());
  }, [dispatch]);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)((head_default()), {
      children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("title", {
        children: ["Aaipay || ", title || "Pay with Faith"]
      }), /*#__PURE__*/jsx_runtime_.jsx("meta", {
        name: "description",
        content: "Aaipay Pay with Faith"
      }), /*#__PURE__*/jsx_runtime_.jsx("link", {
        rel: "icon",
        href: "/assets/images/logos/favicon.ico"
      })]
    }), windowSize.width <= 768 ? /*#__PURE__*/jsx_runtime_.jsx(NavigationBar_MobNav, {}) : windowSize.width >= 769 && windowSize.width <= 1140 ? /*#__PURE__*/jsx_runtime_.jsx(NavigationBar_TabNav, {}) : /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
      children: /*#__PURE__*/jsx_runtime_.jsx(NavigationBar_DeskNav, {})
    }), /*#__PURE__*/jsx_runtime_.jsx("section", {
      className: "main-component",
      children: Component
    })]
  });
}

/* harmony default export */ const components_Page = (Page);

/***/ }),

/***/ 8120:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ Slider)
});

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Slider/BtnSlider.js
 // import leftArrow from './icons/left-arrow.svg';
// import rightArrow from './icons/right-arrow.svg';


function BtnSlider({
  direction,
  moveSlide
}) {
  return /*#__PURE__*/jsx_runtime_.jsx("button", {
    onClick: moveSlide,
    className: direction === 'next' ? 'btn-slide next' : 'btn-slide prev',
    children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
      alt: "AAipay",
      src: direction === 'next' ? '/assets/images/icons/right-arrow.svg' : '/assets/images/icons/left-arrow.svg',
      width: "75px",
      height: "75px"
    })
  });
}
// EXTERNAL MODULE: external "shortid"
var external_shortid_ = __webpack_require__(5593);
var external_shortid_default = /*#__PURE__*/__webpack_require__.n(external_shortid_);
;// CONCATENATED MODULE: ./components/Slider/dataSlider.js

const dataSlider = [{
  id: external_shortid_default().generate(),
  title: "Lorem ipsum 1",
  subTitle: "Lorem 1",
  image: "/assets/images/slider/img1.jpg"
}, {
  id: external_shortid_default().generate(),
  title: "Lorem ipsum 2",
  subTitle: "Lorem 2",
  image: "/assets/images/slider/img2.jpg"
}, {
  id: external_shortid_default().generate(),
  title: "Lorem ipsum 3",
  subTitle: "Lorem 3",
  image: "/assets/images/slider/img3.jpg"
}, {
  id: external_shortid_default().generate(),
  title: "Lorem ipsum 4",
  subTitle: "Lorem 4",
  image: "/assets/images/slider/img4.jpg"
}, {
  id: external_shortid_default().generate(),
  title: "Lorem ipsum 5",
  subTitle: "Lorem 5",
  image: "/assets/images/slider/img5.jpg"
}];
/* harmony default export */ const Slider_dataSlider = (dataSlider);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
;// CONCATENATED MODULE: ./components/Slider/Slider.js
/* eslint-disable @next/next/no-img-element */

/* eslint-disable jsx-a11y/click-events-have-key-events */







function Slider({
  slider
}) {
  const {
    0: slideIndex,
    1: setSlideIndex
  } = (0,external_react_.useState)(1);

  const nextSlide = () => {
    if (slideIndex !== Slider_dataSlider.length) {
      setSlideIndex(slideIndex + 1);
    } else if (slideIndex === Slider_dataSlider.length) {
      setSlideIndex(1);
    }
  };

  const prevSlide = () => {
    if (slideIndex !== 1) {
      setSlideIndex(slideIndex - 1);
    } else if (slideIndex === 1) {
      setSlideIndex(Slider_dataSlider.length);
    }
  };

  const moveDot = index => {
    setSlideIndex(index);
  };

  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    className: "container-slider",
    children: [slider === true ? /*#__PURE__*/jsx_runtime_.jsx("style", {
      children: `
        .box.box-form.preview {
          padding: 0 !important;
      }
        `
    }) : /*#__PURE__*/jsx_runtime_.jsx("style", {
      children: `
      .box.box-form.preview {
        padding: 40 !important;
    }
      `
    }), Slider_dataSlider.map((obj, index) => {
      return /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: slideIndex === index + 1 ? "slide active-anim" : "slide",
        children: /*#__PURE__*/jsx_runtime_.jsx("img", {
          alt: "Aaipay",
          src: obj.image
        })
      }, obj.id);
    }), /*#__PURE__*/jsx_runtime_.jsx(BtnSlider, {
      moveSlide: nextSlide,
      direction: "next"
    }), /*#__PURE__*/jsx_runtime_.jsx(BtnSlider, {
      moveSlide: prevSlide,
      direction: "prev"
    }), /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: "container-dots",
      children: Array.from({
        length: Slider_dataSlider.length
      }).map((item, index) =>
      /*#__PURE__*/
      // eslint-disable-next-line jsx-a11y/click-events-have-key-events
      // eslint-disable-next-line jsx-a11y/no-static-element-interactions
      // eslint-disable-next-line jsx-a11y/click-events-have-key-events
      // eslint-disable-next-line jsx-a11y/no-static-element-interactions
      jsx_runtime_.jsx("div", {
        onClick: () => moveDot(index + 1),
        className: slideIndex === index + 1 ? "dot active" : "dot"
      }, index))
    })]
  });
}

/***/ })

};
;