(() => {
var exports = {};
exports.id = 8067;
exports.ids = [8067];
exports.modules = {

/***/ 7912:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ complaints),
  "getServerSideProps": () => (/* binding */ getServerSideProps)
});

// EXTERNAL MODULE: ./components/PageSecondary.jsx
var PageSecondary = __webpack_require__(5688);
// EXTERNAL MODULE: ./components/RequireAuthentication/RequireAuthentication.js
var RequireAuthentication = __webpack_require__(9625);
// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: ./components/PageHeader.jsx
var PageHeader = __webpack_require__(1388);
// EXTERNAL MODULE: ./components/Spinner.js
var Spinner = __webpack_require__(5564);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(3804);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
;// CONCATENATED MODULE: ./screens/ComplaintsComponent/utils.js


/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const validate = values => {
  const errors = {};

  if (values.Mobile.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }

  if (!validateEmail(values.Email)) {
    errors.Email = "Invalid Email Address.";
  }

  if (!values.Email) {
    errors.Email = "Email address is required.";
  }

  if (!values.Name) {
    errors.Name = "Name is required.";
  }

  if (!values.recharge_amount || values.recharge_amount === "") {
    errors.recharge_amount = "Recharge amount is required.";
  }

  return errors;
};
/* initialValues: {
//       Mobile: props?.userInfo?.Mobile ? props?.userInfo?.Mobile : "",
//       Email: props?.userInfo?.Email ? props?.userInfo?.Email : "",
//       Address: props?.userInfo?.Address ? props?.userInfo?.Address : "",
//       gender:
//         props?.userInfo?.gender && props?.userInfo?.gender !== "NA"
//           ? props?.userInfo?.gender
//           : "male",
//       Name: props?.userInfo?.Name ? props?.userInfo?.Name : "",
//       zip: props?.userInfo?.zip ? props?.userInfo?.zip : "",
//       city: props?.userInfo?.city ? props?.userInfo?.city : "",
//       state: props?.userInfo?.state ? props?.userInfo?.state : "",
//       reg_date: props?.userInfo?.reg_date ? props?.userInfo?.reg_date : "",
//     }, */


const initialValues = {
  Mobile: "",
  Email: "",
  Address: "",
  gender: "male",
  Name: "",
  zip: "",
  city: "",
  state: "",
  reg_date: ""
};
const columns = [{
  id: "Type",
  align: "center",
  minWidth: 90,
  label: "Recharge Type",
  textTransform: "capitalize"
}, {
  id: "validity",
  align: "center",
  minWidth: 120,
  label: "Validity",
  textTransform: "uppercase" // textTransformFirstChar: true,

}, {
  id: "desc",
  align: "left",
  minWidth: 90,
  label: "Description",
  // textTransform: 'lowercase',
  textTransformFirstChar: true
}, {
  id: "rs",
  align: "center",
  minWidth: 90,
  label: "Price",
  textTransform: "lowercase",
  button: true // textTransformFirstChar: true,

}];
const useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 500 // color: "#ccc",

  },
  text: {
    marginTop: theme.spacing(2)
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.secondary
  }
}));

// EXTERNAL MODULE: external "react-moment"
var external_react_moment_ = __webpack_require__(3818);
// EXTERNAL MODULE: ./components/Overlay.js + 1 modules
var Overlay = __webpack_require__(2669);
// EXTERNAL MODULE: ./node_modules/next/link.js
var next_link = __webpack_require__(1664);
// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: external "styled-components"
var external_styled_components_ = __webpack_require__(9914);
var external_styled_components_default = /*#__PURE__*/__webpack_require__.n(external_styled_components_);
;// CONCATENATED MODULE: ./components/Styled/LinkImageButton.js

const LinkImageButton = (external_styled_components_default()).div`
  margin-top: 20px;
  display: flex;
  margin-right: 20px;
  border-radius: 20px;
  height: 100px;
  width: 100px;
  background-size: 100px 100px;
  background-image: ${props => `url(${props.backgroundImage})`};
  justify-content: center;
  align-items: center;
`;
;// CONCATENATED MODULE: ./config/complaintList.js
const complaintList = [{
  id: 1,
  image: "/assets/images/complaints/cregistration.png",
  href: "/complaints/registration",
  text: "Complaint Registration"
}, {
  id: 2,
  image: "/assets/images/complaints/tracking.png",
  href: "/complaints/tracking",
  text: "Complaint History"
}, {
  id: 3,
  image: "/assets/images/complaints/Tsearch.png",
  href: "/complaints/transaction-history",
  text: "Transaction Search"
}];
/* harmony default export */ const config_complaintList = (complaintList);
// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: ./redux/actions/auth.actions.js
var auth_actions = __webpack_require__(4859);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/ComplaintsComponent/ComplaintsComponent.js
/* eslint-disable jsx-a11y/anchor-is-valid */
// import Overlay from "@/components/Overlay";
// import PageHeader from "@/components/PageHeader";

















 // import MyProfileForm from "./_Form";





const ComplaintsComponent = () => {
  const classes = useStyles();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    isValid,
    loading
  } = (0,external_react_redux_.useSelector)(state => state.userValidate);
  const {
    isAuthenticated,
    loadProf
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const {
    passbook,
    loading: loadPass
  } = (0,external_react_redux_.useSelector)(state => state.passbook);
  const {
    wallet,
    loading: loadWallet
  } = (0,external_react_redux_.useSelector)(state => state.wallet);
  const reg_id = external_js_cookie_default().get("regId");
  const mobile = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getPassBook */.dp)({
      reg_id,
      mobile
    }));
  }, [dispatch, reg_id, mobile]); // useEffect(() => {
  //   isAuthenticated &&
  //     dispatch(
  //       getWalletBalance({
  //         reg_id,
  //         mbl: mobile,
  //       })
  //     );
  // }, [dispatch, reg_id, mobile, isAuthenticated]);

  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl: mobile
    }));
  }, [dispatch, reg_id, mobile]);
  (0,external_react_.useEffect)(() => {
    console.log(reg_id, mobile); // dispatch(getMyProfile(reg_id, mobile));
  }, [dispatch, reg_id, mobile]);
  (0,external_react_.useMemo)(() => () => {
    dispatch((0,auth_actions/* getMyProfile */.US)(reg_id, mobile));
  }, [dispatch, reg_id, mobile]); // function handleClick(event) {
  //   event.preventDefault();
  //   console.info("You clicked a breadcrumb.");
  // }
  // const myLoader = ({ src, width, quality }) => {
  //   return `http://aaipay.in/${src}?w=${width}&q=${quality || 40}`;
  // };

  if (loadProf === true) {
    return /*#__PURE__*/jsx_runtime_.jsx(Overlay/* default */.Z, {});
  }

  if (loadPass === true) {
    return /*#__PURE__*/jsx_runtime_.jsx(Overlay/* default */.Z, {});
  }

  if (loadWallet === true) {
    return /*#__PURE__*/jsx_runtime_.jsx(Overlay/* default */.Z, {});
  }

  console.table({
    loadProf,
    loadPass,
    loadWallet
  });
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(PageHeader/* default */.Z, {
        title: "BBPS COMPLAINT",
        subTitle: "Manage BBPS Complaints from Here"
      }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
        container: true,
        children: config_complaintList.map(item => /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          sm: 6,
          md: 4,
          style: {
            display: "flex",
            justifyContent: "center",
            alignItems: "center"
          },
          children: /*#__PURE__*/jsx_runtime_.jsx(core_.Paper, {
            elevation: 2,
            style: {
              display: "flex",
              justifyContent: "center",
              alignItems: "center",
              padding: 40,
              minWidth: 250,
              marginTop: 60,
              borderRadius: 20
            },
            children: /*#__PURE__*/jsx_runtime_.jsx("center", {
              children: /*#__PURE__*/jsx_runtime_.jsx(next_link.default, {
                href: item.href,
                children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("a", {
                  className: classes.link,
                  children: [/*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                    alt: item.id,
                    width: 100,
                    height: 100,
                    src: item.image,
                    className: "imageColorComplaint"
                  }), /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                    variant: "subtitle2",
                    className: classes.text,
                    children: item.text
                  })]
                })
              })
            })
          })
        }, item.id))
      })]
    })
  });
};

/* harmony default export */ const ComplaintsComponent_ComplaintsComponent = (ComplaintsComponent);
;// CONCATENATED MODULE: ./screens/ComplaintsComponent/index.js

// EXTERNAL MODULE: external "@redux-saga/core"
var external_redux_saga_core_ = __webpack_require__(3530);
;// CONCATENATED MODULE: ./pages/complaints/index.js








const Complaints = () => {
  return /*#__PURE__*/jsx_runtime_.jsx(PageSecondary/* PageSecondary */.$, {
    paper: true,
    children: /*#__PURE__*/jsx_runtime_.jsx(ComplaintsComponent_ComplaintsComponent, {})
  });
};

const getServerSideProps = (0,RequireAuthentication/* requireAuthentication */.Z)(store/* wrapper.getServerSideProps */.YS.getServerSideProps(async ctx => {
  ctx.store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  ctx.store.dispatch(external_redux_saga_core_.END);
  await ctx.store.sagaTask.toPromise(); // return {
  //   props: {},
  // };
}));
/* harmony default export */ const complaints = (Complaints);

/***/ }),

/***/ 1172:
/***/ ((module) => {

"use strict";
module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/core");

/***/ }),

/***/ 7985:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/icons");

/***/ }),

/***/ 4508:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

"use strict";
module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

"use strict";
module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

"use strict";
module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

"use strict";
module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

"use strict";
module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

"use strict";
module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

"use strict";
module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

"use strict";
module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

"use strict";
module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

"use strict";
module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

"use strict";
module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 9325:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/server/denormalize-page-path.js");

/***/ }),

/***/ 822:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 5378:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/i18n/normalize-locale-path.js");

/***/ }),

/***/ 7162:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/mitt.js");

/***/ }),

/***/ 8773:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router-context.js");

/***/ }),

/***/ 2248:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/get-asset-path-from-route.js");

/***/ }),

/***/ 9372:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/is-dynamic.js");

/***/ }),

/***/ 665:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/parse-relative-url.js");

/***/ }),

/***/ 2747:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/querystring.js");

/***/ }),

/***/ 333:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/route-matcher.js");

/***/ }),

/***/ 3456:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/route-regex.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 7620:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/utils.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

"use strict";
module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

"use strict";
module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

"use strict";
module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

"use strict";
module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

"use strict";
module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

"use strict";
module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

"use strict";
module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

"use strict";
module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

"use strict";
module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

"use strict";
module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

"use strict";
module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

"use strict";
module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

"use strict";
module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

"use strict";
module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

"use strict";
module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

"use strict";
module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

"use strict";
module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

"use strict";
module.exports = require("redux-saga/effects");

/***/ }),

/***/ 9914:
/***/ ((module) => {

"use strict";
module.exports = require("styled-components");

/***/ }),

/***/ 3289:
/***/ ((module) => {

"use strict";
module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

"use strict";
module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

"use strict";
module.exports = require("yup");

/***/ }),

/***/ 2431:
/***/ (() => {

/* (ignored) */

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,1664,9163,4105,352,2208,6941,8615,1388,5688,5564], () => (__webpack_exec__(7912)));
module.exports = __webpack_exports__;

})();