"use strict";
(() => {
var exports = {};
exports.id = 9396;
exports.ids = [9396];
exports.modules = {

/***/ 740:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__);


const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  container: {
    paddingTop: theme.spacing(12),
    paddingBottom: theme.spacing(10)
  }
}));

const ContainerComponent = ({
  maxWidth,
  style,
  children
}) => {
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Container, {
    maxWidth: maxWidth,
    className: classes.container,
    style: style,
    children: children
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ContainerComponent);

/***/ }),

/***/ 9851:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ privacy_policy),
  "getStaticProps": () => (/* binding */ getStaticProps)
});

// EXTERNAL MODULE: ./components/ContainerComponent.jsx
var ContainerComponent = __webpack_require__(740);
// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: external "@redux-saga/core"
var core_ = __webpack_require__(3530);
// EXTERNAL MODULE: external "next/head"
var head_ = __webpack_require__(701);
var head_default = /*#__PURE__*/__webpack_require__.n(head_);
// EXTERNAL MODULE: ./components/CardComponentNoMedia/index.js
var CardComponentNoMedia = __webpack_require__(180);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "@material-ui/core"
var external_material_ui_core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
;// CONCATENATED MODULE: ./screens/PrivacyPolicyComponent/utils.js


/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const validate = values => {
  const errors = {};

  if (values.Mobile.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }

  if (!validateEmail(values.Email)) {
    errors.Email = "Invalid Email Address.";
  }

  if (!values.Email) {
    errors.Email = "Email address is required.";
  }

  if (!values.Name) {
    errors.Name = "Name is required.";
  }

  if (!values.recharge_amount || values.recharge_amount === "") {
    errors.recharge_amount = "Recharge amount is required.";
  }

  return errors;
};
/* initialValues: {
//       Mobile: props?.userInfo?.Mobile ? props?.userInfo?.Mobile : "",
//       Email: props?.userInfo?.Email ? props?.userInfo?.Email : "",
//       Address: props?.userInfo?.Address ? props?.userInfo?.Address : "",
//       gender:
//         props?.userInfo?.gender && props?.userInfo?.gender !== "NA"
//           ? props?.userInfo?.gender
//           : "male",
//       Name: props?.userInfo?.Name ? props?.userInfo?.Name : "",
//       zip: props?.userInfo?.zip ? props?.userInfo?.zip : "",
//       city: props?.userInfo?.city ? props?.userInfo?.city : "",
//       state: props?.userInfo?.state ? props?.userInfo?.state : "",
//       reg_date: props?.userInfo?.reg_date ? props?.userInfo?.reg_date : "",
//     }, */


const initialValues = {
  Mobile: "",
  Email: "",
  Address: "",
  gender: "male",
  Name: "",
  zip: "",
  city: "",
  state: "",
  reg_date: ""
};
const columns = [{
  id: "Type",
  align: "center",
  minWidth: 90,
  label: "Recharge Type",
  textTransform: "capitalize"
}, {
  id: "validity",
  align: "center",
  minWidth: 120,
  label: "Validity",
  textTransform: "uppercase" // textTransformFirstChar: true,

}, {
  id: "desc",
  align: "left",
  minWidth: 90,
  label: "Description",
  // textTransform: 'lowercase',
  textTransformFirstChar: true
}, {
  id: "rs",
  align: "center",
  minWidth: 90,
  label: "Price",
  textTransform: "lowercase",
  button: true // textTransformFirstChar: true,

}];
const useStyles = (0,external_material_ui_core_.makeStyles)(theme => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 500 // color: "#ccc",

  },
  text: {
    marginTop: theme.spacing(2)
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.primary
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center"
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  },
  para3: {
    lineHeight: 1.8,
    marginLeft: theme.spacing(1.5),
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  },
  para2: {
    lineHeight: 1.8,
    display: "flex",
    alignItems: "center"
  }
}));

// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: external "@material-ui/icons/ArrowForward"
var ArrowForward_ = __webpack_require__(3219);
// EXTERNAL MODULE: ./config/aboutCards.js
var aboutCards = __webpack_require__(2593);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/PrivacyPolicyComponent/PrivacyPolicyComponent.js
/* eslint-disable jsx-a11y/anchor-is-valid */











 // import MyProfileForm from "./_Form";





const PrivacyPolicyComponent = () => {
  const classes = useStyles();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    isAuthenticated,
    loadProf
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const reg_id = external_js_cookie_default().get("regId");
  const mobile = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getPassBook */.dp)({
      reg_id,
      mobile
    }));
  }, [dispatch, reg_id, mobile]);
  (0,external_react_.useEffect)(() => {
    isAuthenticated && dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl: mobile
    }));
  }, [dispatch, reg_id, mobile, isAuthenticated]);
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
        variant: "h6",
        style: {
          fontSize: 28,
          textTransform: "uppercase",
          marginBottom: 30
        },
        children: "PRIVACY POLICY"
      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
        container: true,
        spacing: 2,
        children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "This Privacy Policy explains the approach of AaiPay towards user/ customer information provided on AaiPay. This Privacy Policy is an open to all public document."
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "1. Collection"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "1.1 AaiPay will only collect Personal Information where the information is necessary for AaiPay for carrying out any of the functions which are a part and parcel of the activities of AaiPay."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "1.2 AaiPay collects Personal Data to carry out the functions of the site such as provide online recharge, provide information on promotions new products and services related to Prepaid and Post Paid Recharge and Gadgets related to the mobile industry primarily in India. AaiPay also gathers/collects information for account management, billing services, business planning and marketing."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "1.3 AaiPay will be transparent and notify individuals on the reason for collecting any personal information and whether if the information may be used in the future for any purposes stating an overview of the purpose. The individual may then decide to participate or not or to participate selectively. Individuals may contact AaiPay (Address given at the Contact Us Page) for their personal data be removed ( upon proving their identity first) from the database for any personal reasons which will be promptly acted upon. The type of organisations to whom AaiPay usually Disclose the Personal Information include Related Bodies Corporates and contractors and at any point if required by Government of India and Related Bodies. AaiPay will not collect Sensitive Information from individuals except with consent and only where it is necessary . AaiPay will not collect Personal Data of any Individual in any underhanded manner."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "2. Use"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "2.1 AaiPay might use the data mainly contact information for Direct Marketing for the site. i) individuals can easily unsubscribe to Direct Marketing Program of AaiPay. ii) if the individual Opts Out of all Direct Marketing Program, the wish will be respected by AaiPay and all its Related subsidiaries."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "2.2 AaiPay will not use Sensitive Information for Direct Marketing."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "2.3 AaiPay may use Personal Information for reasons related to law enforcement or internal investigations into unlawful activitiesor if ordered by the Government of India and/or any other law enforcing agency."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "2.4 AaiPay will not use Data where there is a doubt that the information is accurate, complete and up to date."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "3. Disclosure"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "3.1 AaiPay may Disclose Personal Information to related or unrelated third parties if consent has been obtained from the individual."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "3.2 AaiPay may Disclose Personal Data to Related Bodies Corporate. Where that Related Body Corporate is bound by the original Primary Purpose for which the information was collected."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "3.3 AaiPay may Disclose Personal Information to unrelated third parties to enable outsourcing of functions (such as billing, account management) which is expected."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "3.4 AaiPay may Disclose Personal Information to law enforcement agencies, Government of India agencies, courts or external advisers where permitted or required by law."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "3.5 AaiPay may Disclose Personal data for personal or public safety."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "3.6 AaiPay does not sell or share its customer lists on a commercial basis with third parties but if it did, it would only do so only with prior consent of the individual."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "4. Information quality"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "4.1 AaiPay will review from time to time the data collected and ensure the accurateness of the data by asking individuals to participate in updating the same."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "4.2 AaiPay may ask its users to re- enter data in case there is any system failure causing any information loss."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "4.3 AaiPay reserves the right to destroy the data after a particular period of time once it becomes redundant in use or for any other reason to safeguard the interests of AaiPay."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "5. Information security"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "5.1 AaiPay directs its employees to perform duties so as to assist in every way possible to carry out the privacy policy in the truest possible manner."
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: ["5.2 AaiPay will ensure that the records containing Personal Information accessible by staff who have a genuine", " ", "need to know", " as well as ", "right to know", "."]
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "5.3 AaiPay will not falsely protect any employee/ person who is found to have tampered or have used the personal data in an underhanded and/or harmful manner."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "6. Access and correction"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "6.1 AaiPay will allow its records containing Personal Information to be accessed by the individual concerned in accordance with the Privacy Act."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "6.2 AaiPay will correct its records containing Personal Information as soon as practically possible, at the request of the individual concerned ."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "6.3 Individuals wishing to correct/ update/ remove their personal information due to valid reasons may do so by approaching AaiPay Customer Service."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "6.4 Individuals may also update their information where individuals hold an account at AaiPay."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "7. Anonymous transactions"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "7.1 AaiPay will not make it mandatory for visitors to its web sites to provide Personal Information unless such Personal Information is required to answer an inquiry or provide a service. Individuals may however choose to participate in providing personal information (for example, as part of a competition or questionnaire)."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "7.2 AaiPay will allow its customers to transact with it anonymously wherever possible."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "8. Glossary"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "Collection Information means the information outlined in 1.3 notified to individuals prior to, or as soon as practical after, the collection of their Personal Information."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "Direct Marketing means the marketing of goods or services through means of communication including written, verbal or electronic means. The goods or services which are marketed may be those of AaiPay or a Related Body Corporate or those of an independent third party organisation."
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: ["Disclosure generally means the release of information outside AaiPay, including under a contract to carry out an", " ", "outsourced function", "."]
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "AaiPay means all companies in the AaiPay group, including Linkincity.com, Techroxy.com and Aquilis Design."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "Personal Information means information or an opinion (including information or an opinion forming part of a database), whether true or not and whether recorded in a material form or not, about an individual whose identity is apparent, or can reasonably be ascertained from the information or opinion."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "Sensitive Information means:"
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: ["(a) information or an opinion about an ", "individual's", ":"]
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(i) racial or ethnic origin; or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(ii) political opinions; or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(iii) membership of a political association; or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(iv) religious beliefs or affiliations; or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(v) philosophical beliefs; or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(vi) membership of a professional or trade association; or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(vii) membership of a trade union; or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(ix) criminal record;that is also personal information or"
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para3,
            component: "p",
            children: "(x) Health Information about an individual."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "Use means the handling of Personal Information within AaiPay."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {}), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 20,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "Contacting AaiPay"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            style: {
              display: "flex",
              flexDirection: windowWidth > 768 ? "row" : "column"
            },
            children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
              variant: "subtitle2",
              style: {
                fontSize: "1.1rem",
                minWidth: windowWidth > 768 ? 150 : 0
              },
              children: "Address"
            }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
              variant: "body2",
              style: {
                fontSize: "0.9rem"
              },
              children: "222, 2nd Floor, Corporate Parke Pune, Maharshra-7938448"
            })]
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            style: {
              display: "flex",
              flexDirection: windowWidth > 768 ? "row" : "column"
            },
            children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
              variant: "subtitle2",
              style: {
                fontSize: "1.1rem",
                minWidth: windowWidth > 768 ? 150 : 0
              },
              children: "Hotline"
            }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
              variant: "body2",
              style: {
                fontSize: "0.9rem"
              },
              children: /*#__PURE__*/jsx_runtime_.jsx("a", {
                className: classes.link,
                href: "tel: +918888222200",
                children: "+918888222200"
              })
            })]
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            style: {
              display: "flex",
              flexDirection: windowWidth > 768 ? "row" : "column"
            },
            children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
              variant: "subtitle2",
              style: {
                fontSize: "1.1rem",
                minWidth: windowWidth > 768 ? 150 : 0
              },
              children: "Email Us"
            }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
              variant: "body2",
              style: {
                fontSize: "0.9rem"
              },
              children: /*#__PURE__*/jsx_runtime_.jsx("a", {
                className: classes.link,
                href: "mailto:contactus@aaipay.in",
                children: "contactus@aaipay.in"
              })
            })]
          })]
        })]
      })]
    })
  });
};

/* harmony default export */ const PrivacyPolicyComponent_PrivacyPolicyComponent = (PrivacyPolicyComponent);
;// CONCATENATED MODULE: ./screens/PrivacyPolicyComponent/index.js

;// CONCATENATED MODULE: ./pages/privacy-policy/index.js










const PrivacyPolicy = () => {
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
    children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)((head_default()), {
      children: [/*#__PURE__*/jsx_runtime_.jsx("title", {
        children: "Aaipay || Privacy Policy"
      }), /*#__PURE__*/jsx_runtime_.jsx("meta", {
        name: "viewport",
        content: "initial-scale=1.0, width=device-width"
      })]
    }), /*#__PURE__*/jsx_runtime_.jsx(ContainerComponent/* default */.Z, {
      maxWidth: "md",
      children: /*#__PURE__*/jsx_runtime_.jsx(PrivacyPolicyComponent_PrivacyPolicyComponent, {})
    })]
  });
};

const getStaticProps = store/* wrapper.getStaticProps */.YS.getStaticProps(async ({
  store
}) => {
  // store.dispatch(getAllCategory());
  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  store.dispatch(core_.END);
  await store.sagaTask.toPromise();
});
/* harmony default export */ const privacy_policy = (PrivacyPolicy);

/***/ }),

/***/ 1172:
/***/ ((module) => {

module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

module.exports = require("@material-ui/core");

/***/ }),

/***/ 5673:
/***/ ((module) => {

module.exports = require("@material-ui/core/");

/***/ }),

/***/ 7985:
/***/ ((module) => {

module.exports = require("@material-ui/icons");

/***/ }),

/***/ 3219:
/***/ ((module) => {

module.exports = require("@material-ui/icons/ArrowForward");

/***/ }),

/***/ 4508:
/***/ ((module) => {

module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 822:
/***/ ((module) => {

module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,9163,9583,5701,4105,352,2208,6941,8615,4600], () => (__webpack_exec__(9851)));
module.exports = __webpack_exports__;

})();