"use strict";
(() => {
var exports = {};
exports.id = 4783;
exports.ids = [4783];
exports.modules = {

/***/ 740:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__);


const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  container: {
    paddingTop: theme.spacing(12),
    paddingBottom: theme.spacing(10)
  }
}));

const ContainerComponent = ({
  maxWidth,
  style,
  children
}) => {
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Container, {
    maxWidth: maxWidth,
    className: classes.container,
    style: style,
    children: children
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ContainerComponent);

/***/ }),

/***/ 9114:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ terms_of_use),
  "getStaticProps": () => (/* binding */ getStaticProps)
});

// EXTERNAL MODULE: ./components/ContainerComponent.jsx
var ContainerComponent = __webpack_require__(740);
// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: external "@redux-saga/core"
var core_ = __webpack_require__(3530);
// EXTERNAL MODULE: external "next/head"
var head_ = __webpack_require__(701);
var head_default = /*#__PURE__*/__webpack_require__.n(head_);
// EXTERNAL MODULE: ./components/CardComponentNoMedia/index.js
var CardComponentNoMedia = __webpack_require__(180);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "@material-ui/core"
var external_material_ui_core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
;// CONCATENATED MODULE: ./screens/TermsOfUseComponent/utils.js

const useStyles = (0,external_material_ui_core_.makeStyles)(theme => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 500 // color: "#ccc",

  },
  text: {
    marginTop: theme.spacing(2)
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.primary
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center"
  },
  para1: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    fontSize: "1rem",
    display: "flex",
    alignItems: "center"
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  },
  para3: {
    lineHeight: 1.8,
    marginLeft: theme.spacing(1.5),
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  },
  para2: {
    lineHeight: 1.8,
    display: "flex",
    alignItems: "center"
  }
}));

// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: external "@material-ui/icons/ArrowForward"
var ArrowForward_ = __webpack_require__(3219);
// EXTERNAL MODULE: ./config/aboutCards.js
var aboutCards = __webpack_require__(2593);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/TermsOfUseComponent/TermsOfUseComponent.js
/* eslint-disable jsx-a11y/anchor-is-valid */











 // import MyProfileForm from "./_Form";





const TermsOfUseComponent = () => {
  const classes = useStyles();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    isAuthenticated,
    loadProf
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const reg_id = external_js_cookie_default().get("regId");
  const mobile = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getPassBook */.dp)({
      reg_id,
      mobile
    }));
  }, [dispatch, reg_id, mobile]);
  (0,external_react_.useEffect)(() => {
    isAuthenticated && dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl: mobile
    }));
  }, [dispatch, reg_id, mobile, isAuthenticated]);
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
        variant: "h6",
        style: {
          fontSize: 28,
          textTransform: "uppercase",
          marginBottom: 30
        },
        children: "TERMS OF USE"
      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
        container: true,
        spacing: 2,
        children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "subtitle2",
            className: classes.para1,
            component: "p",
            children: "In using this website you are deemed to have read and agreed to the following terms and conditions:"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: ["1 The following terminology applies to these Terms and Conditions:", "Client", ", ", "You", " and ", "Your", " refers to you, the person accessing this website and accepting the ", `Company's`, " terms and conditions.", "The Company", ", ", "Ourselves", ", ", "Aaipay", ", ", "We", " and ", "Us", ", refers to Aaipay.in or Aaiji Technology. ", "Party", ", ", "Parties", " ", "refers to both the Client and ourselves, or either the Client or ourselves."]
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "2 All terms refer to the offer, acceptance and consideration of payment necessary to undertake the process of our assistance to the Client in the most appropriate manner. Any use of the above terminology or other words in the singular, plural, capitalisation and/or he/she or they, are taken as interchangeable and therefore as referring to same."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "3. By becoming a registered user of Aaipay.in and our affiliate sites, you agree to be contacted by Aaipay.in and our affiliates via communication modes including but not limited to email, SMS, MMS, and telephonic calls."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "4. You agree that Aaipay may, in its sole discretion and without prior notice, terminate Your access to the Website and block Your future access to the Website if Aaipay determines that You have violated the terms of these Terms and Conditions or any other agreement(s). You also agree that any violation by You of the agreement(s) will cause irreparable harm to Aaipay, for which monetary damages may be inadequate, and You consent to Aaipay obtaining any injunctive or equitable relief that Aaipay deems necessary or appropriate in such circumstances. These remedies are in addition to any other remedies Aaipay may have at law or in equity."
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "5. Aaipay reserves the right to refuse access to use the services offered at the Website to new Users or to terminate access granted to existing Users at any time without according any reasons for doing so."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["6.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Payment :"
            }), "AaiPay will only collect Personal Information where the information is necessary for AaiPay for carrying out any of the functions which are a part and parcel of the activities of AaiPay."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["7.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Use of The Recharge Facility :"
            }), "AaiPay provides Recharge of Prepaid Phones (India) for personal use and not commercial use. The user in using this facility agrees to the following Terms 1. The User is solely responsible for entering the correct information ( phone number, recharge value, etc.) 2. AaiPay is not responsible for faulty connection on the side of the user while using the Payment Option In case the user has paid and not recieved the recharge amount, the user will have to submit complete transaction details along with contact details to customer support at AaiPay. The matter will be resolved after cross checking with the concerned service provider vendor after which refund, if any, will be made to the users account. This process may take 10 days or longer depending on the response from the vendor.AaiPay will not be liable for late action in such a case. 3. AaiPay will not refund any money oncea sale has taken place. 4. The user hereby agrees that by using the facility of online recharge from AaiPay, the user has agreed to pay out of will any extra charges on account of online service/ sale of online recharge."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: ["8. User is solely responsible for the selection of mobile operator and the recharge amount. Aaipay is not responsible for talk-time given against recharge done through Aaipay.in as this is purely at mobile ", `operator's`, " disposal."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["9.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Consent to use Contact Information:"
            }), "You agree that we may collect, use and share certain information regarding the contacts contained in Your device\xE2\u20AC\u2122s phone book (", "Contact Information", ") for promotional and marketing purpose and also share it with any third party in accordance with the Privacy Policy. By allowing Contact Information to be collected, You give Aaipay a right to use that Contact Information as a part of the service provided by Aaipay and you guarantee that you have any and all permissions required to share such Contact Information with us."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["10.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Refunds:"
            }), "All sales are final with no refund or exchange permitted. You are responsible for the payment of the mobile number or DTH account number or bill payment and all charges that result from these payments. We shall not be responsible for any payment for an incorrect mobile number or DTH account number or bill payment number. In case, money has been charged to your card or bank account or pre-paid payment instrument and a payment/service is not delivered by the service provider within 24 hours of your completion of the transaction then you may inform us regarding the same by sending an email to care@Aaipay.in. Please include in the email the following details: the mobile number or DTH account number or bill payment number, service provider name, payment value, transaction date and order number. We shall investigate such incidents and if it is found that money was indeed charged to your card or bank account or pre-paid payment instrument without delivery of the payment/service then you will be refunded the money within 21 working days from the date of receipt of your email. All refunds will be credited to your card or bank account or the Aaipay Balance Account. We shall have the sole discretion to determine the mode of reversal from the above-mentioned options."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["11.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Coupon Redemption:"
            }), "Coupon redemption is purely subjected to standard and specified terms and conditions mentioned by the respective retailer. Coupons are issued on behalf of the respective retailer. Hence, any damages, injuries, losses incurred by the end user by using the coupon is not the responsibility of Aaipay.in."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["12.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Exclusions and Limitations:"
            }), "The information on this web site is provided on an ", "as is", " ", "basis. To the fullest extent permitted by law, this Company: (a) excludes all representations and warranties relating to this website and its contents or which is or may be provided by any affiliates or any other third party, including in relation to any inaccuracies or omissions in this website and/or the ", `Company's`, "literature; and (b) excludes all liability for damages arising out of or in connection with your use of this website. This includes, without limitation, direct loss, loss of business or profits (whether or not the loss of such profits was foreseeable, arose in the normal course of things or you have advised this Company of the possibility of such potential loss), damage caused to your computer, computer software, systems and programs and the data thereon or any other direct or indirect, consequential and incidental damages."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["13.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Limitation of Liability:"
            }), "All transactions on the Aaipay website, monetary and otherwise, are non-refundable, non-exchangeable and non-reversible, save and except in the event of proven gross negligence on the part of Aaipay or its representatives, in which event the user agrees that the user shall only be entitled to a refund of the amount actually paid by the user and actually received by Aaipay with respect to the recharge done by the user. This limitation applies whether the alleged liability is based on contract, tort, negligence, strict liability, or any other basis, even if Aaipay has been advised of the possibility of such damage. Because some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, Aaipay liability in such jurisdictions shall be limited to the extent of the amount actually paid for by any user while availing any of the services on the Aaipay website."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["14.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Limitation of Liability:"
            }), "The Company reserves the right to change these conditions from time to time as it sees fit and your continued use of the site will signify your acceptance of any adjustment to these terms. User is required to check terms and conditions at every visit. No notification communication will be done subject to change in terms and conditions."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["15.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "Force Majeure:"
            }), "Neither party shall be liable to the other for any failure to perform any obligation under any agreement which is due to an event beyond the control of such party including but not limited to any Act of god, terrorism, war, Political insurgence, insurrection, riot, civil unrest, act of civil or military authority, uprising, earthquake, flood or any other natural or man made eventuality outside of our control, which causes the termination of an agreement or contract entered into, nor which could have been reasonably foreseen. Any Party affected by such event shall forthwith inform the other Party of the same and shall use all reasonable endeavours to comply with the terms and conditions of any agreement contained herein."]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            children: ["16.", /*#__PURE__*/jsx_runtime_.jsx("span", {
              style: {
                fontSize: "1rem",
                fontWeight: 500,
                marginRight: 8,
                marginLeft: 3
              },
              children: "General Provision:"
            }), "All the terms and conditions between you and Aaipay.in shall be governed by the law of India. By visiting Aaipay.in, you agree to the laws. Any dispute of any sort that might arise between you and Aaipay.in or its affiliates is subject to New Delhijurisdiction only."]
          })
        })]
      })]
    })
  });
};

/* harmony default export */ const TermsOfUseComponent_TermsOfUseComponent = (TermsOfUseComponent);
;// CONCATENATED MODULE: ./screens/TermsOfUseComponent/index.js

;// CONCATENATED MODULE: ./pages/terms-of-use/index.js










const TermsOfUse = () => {
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
    children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)((head_default()), {
      children: [/*#__PURE__*/jsx_runtime_.jsx("title", {
        children: "Aaipay || Terms Of Use"
      }), /*#__PURE__*/jsx_runtime_.jsx("meta", {
        name: "viewport",
        content: "initial-scale=1.0, width=device-width"
      })]
    }), /*#__PURE__*/jsx_runtime_.jsx(ContainerComponent/* default */.Z, {
      maxWidth: "md",
      children: /*#__PURE__*/jsx_runtime_.jsx(TermsOfUseComponent_TermsOfUseComponent, {})
    })]
  });
};

const getStaticProps = store/* wrapper.getStaticProps */.YS.getStaticProps(async ({
  store
}) => {
  // store.dispatch(getAllCategory());
  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  store.dispatch(core_.END);
  await store.sagaTask.toPromise();
});
/* harmony default export */ const terms_of_use = (TermsOfUse);

/***/ }),

/***/ 1172:
/***/ ((module) => {

module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

module.exports = require("@material-ui/core");

/***/ }),

/***/ 5673:
/***/ ((module) => {

module.exports = require("@material-ui/core/");

/***/ }),

/***/ 7985:
/***/ ((module) => {

module.exports = require("@material-ui/icons");

/***/ }),

/***/ 3219:
/***/ ((module) => {

module.exports = require("@material-ui/icons/ArrowForward");

/***/ }),

/***/ 4508:
/***/ ((module) => {

module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 822:
/***/ ((module) => {

module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,9163,9583,5701,4105,352,2208,6941,8615,4600], () => (__webpack_exec__(9114)));
module.exports = __webpack_exports__;

})();