import { Container, makeStyles } from "@material-ui/core";
const useStyles = makeStyles((theme) => ({
  container: {
    paddingTop: theme.spacing(12),
    paddingBottom: theme.spacing(10),
  },
}));
const ContainerComponent = ({ maxWidth, style, children }) => {
  const classes = useStyles();
  return (
    <Container maxWidth={maxWidth} className={classes.container} style={style}>
      {children}
    </Container>
  );
};

export default ContainerComponent;
