import { makeStyles } from "@material-ui/core";

const useStyles = makeStyles((theme) => ({
  root: {
    padding: theme.spacing(8, 4),
    // margin: theme.spacing(2, 0, 0, 0),
    // backgroundColor: "#EFF3FB",
    // minHeight: (props) =>
    //   props && props.windowWidth >= 960
    //     ? "calc(100vh - 158px)"
    //     : "calc(100vh - 90px)",
  },
  card: {
    padding: theme.spacing(8, 4),
  },
  recharge_quote: {
    fontSize: "1.2em",
  },
  promo_link: {
    fontSize: "1.2em",
    cursor: "pointer",
    color: theme.palette.primary.main,
    "&:hover": {
      textDecoration: "underline",
    },
  },
  amount_head: {
    fontSize: "1.2em",
  },
  amount_placeholder: {
    fontSize: "1.2em",
    fontWeight: "bold",
  },
  biller_placeholder: {
    fontSize: "1.2em",
  },
  amount: {
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
  },
  couponCodeContainer: {
    display: "flex",
    border: `3px solid ${theme.palette.primary.main}`,
    padding: theme.spacing(1.5, 2, 1.5, 2),
    borderRadius: theme.spacing(1),
    justifyContent: "space-between",
    alignItems: "center",
    backgroundColor: "#c4e8ff",
  },
  recharge_details: {
    display: "flex",
  },
  recharge_company: {
    fontSize: "1.135rem",
  },
  promoLinkContained: {
    display: "flex",
    background: "url('/assets/images/discount-voucher.png')",
    backgroundSize: "40px 40px",
    backgroundRepeat: "no-repeat",
    paddingLeft: 70,
    backgroundPosition: "10px center",
    // backgroundColor: "pink",
    alignItems: "center",
    justifyContent: "space-between",
    paddingRight: theme.spacing(1),
    position: "relative",
    maxWidth: 350,
  },
  cross: {
    display: "flex",
    justifyContent: "center",
    position: "absolute",
    top: 0,
    right: 0,
    width: 20,
    height: 20,
    cursor: "pointer",
    fontSize: 16,
  },
  amountContainer: {
    display: "flex",
    justifyContent: "space-between",
    flexDirection: "column",
  },
  divider: {
    marginBottom: theme.spacing(0.5),
    marginTop: theme.spacing(0.5),
  },
}));

export { useStyles };
