import Image from "next/image";
const SocialIcon = ({ href, alt, src, width, height }) => {
  return (
    <li>
      <a href={href} target="_blank" rel="noreferrer">
        <Image width={width} height={height} alt={alt} src={src} title={href} />
      </a>
    </li>
  );
};

export default SocialIcon;
