import { makeStyles, colors } from "@material-ui/core";

export const useStyles = makeStyles((theme) => ({
  rootPaper: {
    padding: theme.spacing(4),
    borderRadius: theme.spacing(3),
    height: "100%",
    width: "100%",
    display: "flex",
    flexDirection: "column",
    alignItems: "center",

    textAlign: "center",
  },
  link: {
    color: "#000",
    textDecoration: "none",
    textAlign: "center",
  },
  productDesc: {
    display: "flex",
    justifyContent: "center",
  },
  price: {
    display: "flex",
    justifyContent: "center",
    marginRight: theme.spacing(1),
  },
  mrp: {
    textDecoration: "line-through",
    color: colors.grey[500],
    fontSize: "0.9rem",
  },
  name: {
    fontSize: "1rem",
    textAlign: "center",
  },
  sellingPrice: {
    marginRight: theme.spacing(1),
    fontSize: "1.1rem",
    textAlign: "center",
  },
  offPercentage: {
    color: colors.green[500],
    fontSize: "0.9rem",
    textAlign: "center",
  },
}));
