import { makeStyles } from "@material-ui/core";

export const useStyles = makeStyles((theme) => ({
  root: {
    paddingTop: theme.spacing(6),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
  },
  qrcode: {
    display: "flex",
    justifyContent: "center",
    marginBottom: theme.spacing(2),
  },
  timer: {
    display: "flex",
    justifyContent: "center",
  },
  textCenter: {
    textAlign: "center",
  },
  donotRefreshWarning: {
    marginTop: 10,
    marginBottom: 10,
    fontSize: 16,
    color: theme.palette.primary.main,
  },
}));
