import Image from 'next/image';

// import leftArrow from './icons/left-arrow.svg';
// import rightArrow from './icons/right-arrow.svg';

export default function BtnSlider({ direction, moveSlide }) {
  return (
    <button
      onClick={moveSlide}
      className={direction === 'next' ? 'btn-slide next' : 'btn-slide prev'}
    >
      <Image
        alt="AAipay"
        src={
          direction === 'next'
            ? '/assets/images/icons/right-arrow.svg'
            : '/assets/images/icons/left-arrow.svg'
        }
        width="75px"
        height="75px"
      />
    </button>
  );
}
