import { TableCell, TableRow, Typography } from "@material-ui/core";
import React from "react";

const TableRowComponent = ({ heading, detail }) => {
  return (
    <TableRow>
      <TableCell>
        <Typography variant="subtitle2">{heading}</Typography>
      </TableCell>
      <TableCell>{detail}</TableCell>
    </TableRow>
  );
};

export default TableRowComponent;
