import {
  LibraryBooks,
  Person,
  Apps,
  ReportProblem,
  GroupWorkRounded,
  PhoneAndroidRounded,
} from "@material-ui/icons";
export const menuData = [
  {
    id: 1,
    href: "/mobile",
    name: "Home",
    authenticatedRoute: false,
    icon: <Apps />,
  },
  {
    id: 2,
    href: "/passbook",
    name: "Passbook",
    authenticatedRoute: true,
    icon: <LibraryBooks />,
  },
  {
    id: 3,
    href: "/profile",
    name: "Profile Settings",
    authenticatedRoute: true,
    icon: <Person />,
  },
  {
    id: 4,
    href: "/complaints",
    name: "Complaints",
    authenticatedRoute: true,
    icon: <ReportProblem />,
  },
  {
    id: 5,
    href: "/contact",
    name: "Get in Touch",
    authenticatedRoute: false,
    icon: <PhoneAndroidRounded />,
  },
];
