import slugify from "react-slugify";
const navData = [
  {
    id: "929182",
    href: "Cable TV",
  },
  {
    id: "422066",
    href: "FASTag",
  },
  {
    id: "144613",
    href: "Electricity",
  },
  {
    id: "908316",
    href: "LPG Gas",
  },
  {
    id: "635353",
    href: "Credit Card",
  },
  {
    id: "8904",
    href: "Water",
  },
  {
    id: "195184",
    href: "Broadband",
  },
  {
    id: "369717",
    href: "Landline",
  },
  {
    id: "439964",
    href: "Piped Gas",
  },
  {
    id: "771124",
    href: "Education Fees",
  },
  {
    id: "827356",
    href: "Municipal Services",
  },
  {
    id: "879068",
    href: "Municipal Taxes",
  },
  {
    id: "791317",
    href: "Insurance",
  },
  {
    id: "769215",
    href: "DTH",
  },
  {
    id: "643275",
    href: "Hospital and Pathology",
  },
  {
    id: "608959",
    href: "Loan Repayment",
  },
  {
    id: "152945",
    href: "Subscription",
  },
  {
    id: "131770",
    href: "Clubs and Associations",
  },
  {
    id: "107661",
    href: "Mobile Postpaid",
  },
  {
    id: "70786",
    href: "Housing Society",
  },
];

const sluggedNavData = navData.map((item) => {
  return {
    id: item.id,
    href: `/${slugify(item.href)}`,
  };
});
export default sluggedNavData;
