/* eslint-disable jsx-a11y/anchor-is-valid */
import { useEffect } from 'react';
import { useRouter } from 'next/router';
import { Link } from '@/components/Link';
import styles from '@/styles/404.module.css';
function Error() {
  const router = useRouter();
  useEffect(() => {
    setTimeout(() => {
      router.push('/mobile');
    }, 3000);
  });
  return (
    <div className={styles.notfound__container}>
      <div className={styles.notfound}>
        <div className={styles.notfound__404}>
          <h1>404</h1>
        </div>
        <h2>We are sorry, Page not found!</h2>
        <p>
          The page you are looking for might have been removed had its name
          changed or is temporarily unavailable.
        </p>
        <Link href="/mobile">
          <a>Back To Homepage</a>
        </Link>
      </div>
    </div>
  );
}

export default Error;
