import ContainerComponent from "@/components/ContainerComponent/";
import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";
import { makeStyles } from "@material-ui/core";
import { END } from "@redux-saga/core";
import Head from "next/head";
import RefundPolicyComponent from "@/screens/RefundPolicyComponent";
import BackToTop from "@/components/BackToTop";
const useStyles = makeStyles((theme) => ({
  root: {},
  paper: {
    borderRadius: theme.spacing(4),
  },
}));
const RefundPolicy = () => {
  const classes = useStyles();

  return (
    <>
      <Head>
        <title>Aaipay || Privacy Policy</title>
        <meta name="viewport" content="initial-scale=1.0, width=device-width" />
      </Head>
      <ContainerComponent maxWidth="md">
        <RefundPolicyComponent />
      </ContainerComponent>
    </>
  );
};
export const getStaticProps = wrapper.getStaticProps(async ({ store }) => {
  // store.dispatch(getAllCategory());

  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch(getAllCategory());

  store.dispatch(END);
  await store.sagaTask.toPromise();
});

export default RefundPolicy;
