import ContainerComponent from "@/components/ContainerComponent/";
import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";

import { END } from "@redux-saga/core";
import Head from "next/head";

import TermsOfUseComponent from "@/screens/TermsOfUseComponent";

const TermsOfUse = () => {
  return (
    <>
      <Head>
        <title>Aaipay || Terms Of Use</title>
        <meta name="viewport" content="initial-scale=1.0, width=device-width" />
      </Head>
      <ContainerComponent maxWidth="md">
        <TermsOfUseComponent />
      </ContainerComponent>
    </>
  );
};
export const getStaticProps = wrapper.getStaticProps(async ({ store }) => {
  // store.dispatch(getAllCategory());

  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch(getAllCategory());

  store.dispatch(END);
  await store.sagaTask.toPromise();
});

export default TermsOfUse;
