import {
  SEND_UPI_PAYMENT_REQUEST,
  SEND_UPI_PAYMENT_SUCCESS,
  SEND_UPI_PAYMENT_FAILURE,
  CHECK_STATUS_PAYMENT_REQUEST,
  CHECK_STATUS_PAYMENT_SUCCESS,
  CHECK_STATUS_PAYMENT_FAILURE,
} from "@/redux/constants/upi.constants";

export const sendUpiPaymentRequest = (upiData) => {
  return { type: SEND_UPI_PAYMENT_REQUEST, payload: upiData };
};

export const sendUpiPaymentSuccess = (entries) => {
  return { type: SEND_UPI_PAYMENT_SUCCESS, payload: entries };
};
export const sendUpiPaymentFailed = (error) => {
  return { type: SEND_UPI_PAYMENT_FAILURE, payload: error };
};

export const checkStatusOfPayment = (transactionData) => {
  return { type: CHECK_STATUS_PAYMENT_REQUEST, payload: transactionData };
};

export const checkStatusOfPaymentSuccess = (entries) => {
  return { type: CHECK_STATUS_PAYMENT_SUCCESS, payload: entries };
};
export const checkStatusOfPaymentFailed = (error) => {
  return { type: CHECK_STATUS_PAYMENT_FAILURE, payload: error };
};
