import { SET_ALERT } from "../constants/alert.constants";

const initialState = {
  alertOpen: false,
  alertType: "success",
  alertMessage: "",
  loading: true,
};
const alertReducer = (state = initialState, action) => {
  const { alertOpen, alertMessage, alertType } = action;
  switch (action.type) {
    case SET_ALERT:
      return {
        ...state,
        alertOpen,
        alertType,
        alertMessage,
      };
    // case LOCATION_CHANGE:
    //   return {
    //     ...state,
    //     alertOpen: false,
    //   };

    default:
      return state;
  }
};

export default alertReducer;
