import { HYDRATE } from "next-redux-wrapper";
import { OPEN_MODAL, CLOSE_MODAL } from "@/redux/constants/modal.constants";

export default function modalReducer(
  state = {
    modalType: null,
    modalProps: {},
  },
  action
) {
  switch (action.type) {
    // case HYDRATE: {
    //   return { ...state, ...action.payload };
    // }
    case OPEN_MODAL:
      console.log(action);
      return {
        ...state,
        modalType: action.modalType,
        modalProps: action.modalProps,
      };

    case CLOSE_MODAL:
      return {
        modalType: null,
        modalProps: action.modalProps,
      };

    default:
      return state;
  }
}
