import { combineReducers } from "redux";

import alertReducer from "./alert.reducer";
import {
  myProfileReducer,
  otpReducer,
  registerUserReducer,
  setOtpReducer,
  userValidateReducer,
  validateLoginReducer,
} from "./auth.reducers";
import {
  billlersReducer,
  inputFieldsReducer,
  billFetchReducer,
  billPayReducer,
} from "./bbps.reducer";
// import hydrateReducer from './hydrate.reducer';
import categoryReducer from "./category.reducer";
import drawerReducer from "./drawer.reducer";
import modalReducer from "./modal.reducer";
import featuredOffersReducer from "./featured.offers.reducer";
import dthCategoriesReducer from "./dth.category.reducer";
// import hydrateReducer from "./hydrate.reducer";
import operatorReducer from "./operator.reducer";
import {
  passbookReducer,
  razorPayReducer,
  walletReducer,
} from "./passbook.reducers";
import plansReducer from "./plans.reducer";
import {
  complaintsReducer,
  complaintStatusReducer,
  complaintstTransactionReducer,
} from "./complaints.reducer";
import { mobilePlanReducer } from "./mobile.plan.reducer";
import { couponCodeReducer } from "./coupon.reducer";
import { statesReducer, citiesReducer } from "./state.city.reducer";
import { upiPaymentReducer } from "./upi.payment.reducer";

const rootReducer = combineReducers({
  // router: connectRouter(history),
  // hydrate: hydrateReducer,
  category: categoryReducer,
  operators: operatorReducer,
  plans: plansReducer,
  billers: billlersReducer,
  fields: inputFieldsReducer,
  billFetch: billFetchReducer,
  billPay: billPayReducer,
  drawer: drawerReducer,
  modal: modalReducer,
  otp: otpReducer,
  registerUser: registerUserReducer,
  setOtp: setOtpReducer,
  alert: alertReducer,
  myProfile: myProfileReducer,
  validateLogin: validateLoginReducer,
  userValidate: userValidateReducer,
  passbook: passbookReducer,
  wallet: walletReducer,
  featuredOffers: featuredOffersReducer,
  dthCategories: dthCategoriesReducer,
  complaints: complaintsReducer,
  complaintStatus: complaintStatusReducer,
  complaintsTransaction: complaintstTransactionReducer,
  razorPay: razorPayReducer,
  mobilePlan: mobilePlanReducer,
  couponCode: couponCodeReducer,
  states: statesReducer,
  cities: citiesReducer,
  upiPayment: upiPaymentReducer,
});

export default rootReducer;
