"use strict";
exports.id = 1712;
exports.ids = [1712];
exports.modules = {

/***/ 1712:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ components_BbpsComponent)
});

// EXTERNAL MODULE: ./components/Overlay.js + 1 modules
var Overlay = __webpack_require__(2669);
// EXTERNAL MODULE: ./components/Page.jsx + 8 modules
var Page = __webpack_require__(6268);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: ./components/Container/FormAndPreview.js
var FormAndPreview = __webpack_require__(8926);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(7717);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
// EXTERNAL MODULE: external "yup"
var external_yup_ = __webpack_require__(9440);
;// CONCATENATED MODULE: ./screens/BBPSForm/utils.js


/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const initialValues = {
  billerName: "",
  billerId: "",
  amount: null,
  biller_options: "",
  state_options: "",
  city_options: "",
  cust_mbl: "",
  blrStateCode: "",
  blrStateName: "",
  blrCity: "",
  preferredMethod: ""
};
const columns = [{
  id: "Type",
  align: "center",
  minWidth: 90,
  label: "Recharge Type",
  textTransform: "capitalize"
}, {
  id: "validity",
  align: "center",
  minWidth: 120,
  label: "Validity",
  textTransform: "uppercase" // textTransformFirstChar: true,

}, {
  id: "desc",
  align: "left",
  minWidth: 90,
  label: "Description",
  // textTransform: 'lowercase',
  textTransformFirstChar: true
}, {
  id: "rs",
  align: "center",
  minWidth: 90,
  label: "Price",
  textTransform: "lowercase",
  button: true // textTransformFirstChar: true,

}];

// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: ./redux/actions/bbps.actions.js
var bbps_actions = __webpack_require__(4637);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: ./node_modules/@material-ui/lab/esm/Skeleton/Skeleton.js
var Skeleton = __webpack_require__(8365);
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
// EXTERNAL MODULE: ./redux/constants/bbps.constants.js
var bbps_constants = __webpack_require__(7066);
// EXTERNAL MODULE: ./redux/actions/state.city.actions.js
var state_city_actions = __webpack_require__(911);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/BBPSForm/_Form.jsx
const _excluded = ["biller_options", "state_options", "city_options"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }


















const LoadOperators = ({
  serviceId
}) => {
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    states
  } = (0,external_react_redux_.useSelector)(state => state.states);
  const {
    values
  } = (0,external_formik_.useFormikContext)();
  (0,external_react_.useEffect)(() => {
    if (values.billerId) {
      dispatch((0,bbps_actions/* getAllInputFields */.eA)(values.billerId));
    }
  }, [values.billerId, dispatch]);
  (0,external_react_.useEffect)(() => {
    if (values !== null && values !== void 0 && values.blrStateCode) {
      dispatch((0,state_city_actions/* getCityByStateCode */.Qz)(values === null || values === void 0 ? void 0 : values.blrStateCode));
    }
  }, [values === null || values === void 0 ? void 0 : values.blrStateCode, dispatch]);
  (0,external_react_.useEffect)(() => {
    if (values !== null && values !== void 0 && values.blrCity) {
      dispatch((0,bbps_actions/* getAllEducationBillers */.xb)(values === null || values === void 0 ? void 0 : values.blrCity, serviceId));
    }
  }, [values === null || values === void 0 ? void 0 : values.blrCity, serviceId, dispatch]);
  (0,external_react_.useEffect)(() => {
    if (serviceId) {
      if (serviceId === "771124" || serviceId === 771124) {
        dispatch({
          type: bbps_constants/* RESET_BILLERS */._1
        });
        dispatch((0,state_city_actions/* getAllStates */.Rh)());
      } else {
        dispatch((0,bbps_actions/* getAllBillers */.lN)(serviceId));
      }
    }
  }, [dispatch, serviceId]); // useEffect(() => {
  //   if (id && name) {
  //     dispatch(getAllBillers(id));
  //   }
  // }, [id, dispatch, name]);

  return null;
};

const BBPSRechargeForm = ({
  serviceId,
  serviceTypeName
}) => {
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    states,
    loading: loadState
  } = (0,external_react_redux_.useSelector)(state => state.states);
  const {
    cities,
    loading: loadCity
  } = (0,external_react_redux_.useSelector)(state => state.cities);
  const router = (0,router_.useRouter)(); // const {} = router.query;

  const pathname = router.pathname.replace("/", "");
  const {
    loading,
    billers
  } = (0,external_react_redux_.useSelector)(state => state.billers);
  const {
    loadingButton
  } = (0,external_react_redux_.useSelector)(state => state.billFetch);
  const {
    error: errField,
    fields,
    billerInfo
  } = (0,external_react_redux_.useSelector)(state => state.fields);

  const validateFields = (value, field) => {
    const regex = new RegExp(field.validationRegex);
    let errors;

    if (field.paramName) {
      if (field.optional === "0") {
        if (!value) {
          errors = ` ${field.paramName} is Required`;
        } else if (!regex.test(value)) {
          errors = `Invalid ${field.paramName}`;
        }

        return errors;
      }
    }

    return errors;
  }; // const validateMobile = (value, field) => {
  //   let errors;
  //   if (field === "customer_mobile_no") {
  //     if (!value) {
  //       errors = "";
  //     }
  //     return errors;
  //   }
  //   return errors;
  // };


  const validateAmount = (value, field) => {
    let errors;

    if (field === "amount") {
      if (!value || value === "") {
        errors = "Recharge amount is required.";
      } else if (!(0,customFunctions/* checkNumeric */.jd)(value)) {
        errors = "Only Numeric values are allowed.";
      }

      return errors;
    }

    return errors;
  };

  const renderDynamicFields = (values, setFieldValue, handleBlur, errors, touched, handleChange) => {
    if (serviceId !== "771124") {
      if (fields.some(field => field.optional === "1")) {
        return /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
          item: true,
          xs: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(core_.TextField, {
            fullWidth: true,
            className: "",
            variant: "standard",
            name: "preferredMethod",
            id: "Select",
            select: true,
            label: "Select Preferred Method",
            value: values.preferredMethod,
            onChange: handleChange,
            error: touched.preferredMethod && Boolean(errors.preferredMethod),
            helperText: touched.preferredMethod && errors.preferredMethod,
            children: fields.map(option => /*#__PURE__*/jsx_runtime_.jsx(core_.MenuItem, {
              value: option.paramName,
              children: option.paramName
            }, option.paramName))
          }), fields.filter(fieldOuter => {
            return fieldOuter.paramName === values.preferredMethod;
          }).map(field => {
            return /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
              validate: val => validateFields(val, field),
              component: Controls/* default.Input */.Z.Input,
              fullWidth: true,
              id: field.paramName,
              name: field.paramName,
              label: field.paramName,
              value: values[field.paramName] || "",
              onChange: e => setFieldValue(field.paramName, e.target.value),
              error: touched[field.paramName] && Boolean(errors[field.paramName]),
              onBlur: handleBlur,
              helperText: touched[field.paramName] && errors[field.paramName],
              variant: "standard",
              margin: "normal",
              required: field.optional === "0" ? true : false,
              minLength: field.minLength,
              maxLength: field.maxLength,
              type: field.dataType === "ALPHANUMERIC" ? "text" : field.dataType === "NUMERIC" ? "number" : "text"
            }, field.paramName);
          })]
        });
      } else {
        return fields.map((field, index) => /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
            validate: val => validateFields(val, field),
            component: Controls/* default.Input */.Z.Input,
            fullWidth: true,
            id: field.paramName,
            name: field.paramName,
            label: field.paramName,
            value: values[field.paramName] || "",
            onChange: e => setFieldValue(field.paramName, e.target.value),
            error: touched[field.paramName] && Boolean(errors[field.paramName]),
            onBlur: handleBlur,
            helperText: touched[field.paramName] && errors[field.paramName],
            variant: "standard",
            margin: "normal",
            required: field.optional === "0" ? true : false,
            minLength: field.minLength,
            maxLength: field.maxLength,
            type: field.dataType === "ALPHANUMERIC" ? "text" : field.dataType === "NUMERIC" ? "number" : "text"
          })
        }, index));
      }
    } else {
      return fields.map((field, index) => /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
        item: true,
        xs: 12,
        children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
          validate: val => validateFields(val, field),
          component: Controls/* default.Input */.Z.Input,
          fullWidth: true,
          id: field.paramName,
          name: field.paramName,
          label: field.paramName,
          value: values[field.paramName] || "",
          onChange: e => setFieldValue(field.paramName, e.target.value),
          error: touched[field.paramName] && Boolean(errors[field.paramName]),
          onBlur: handleBlur,
          helperText: touched[field.paramName] && errors[field.paramName],
          variant: "standard",
          margin: "normal",
          required: field.optional === "0" ? true : false,
          minLength: field.minLength,
          maxLength: field.maxLength,
          type: field.dataType === "ALPHANUMERIC" ? "text" : field.dataType === "NUMERIC" ? "number" : "text"
        })
      }, index));
    }
  };

  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Formik, {
      validateOnChange: false,
      initialValues: initialValues,
      enableReinitialize: true // validator={validate}
      ,
      onSubmit: (values, actions) => {
        const {
          biller_options,
          state_options,
          city_options
        } = values,
              rest = _objectWithoutProperties(values, _excluded);

        const submitted_values = _objectSpread({}, rest);

        if (billerInfo.billFetchRequired === "MANDATORY") {
          console.log(submitted_values);
          dispatch((0,bbps_actions/* getFetchedBill */.X1)(_objectSpread(_objectSpread({}, submitted_values), {}, {
            billFetch: true,
            billerInfo
          })));
        } else {
          dispatch((0,bbps_actions/* getFetchedBill */.X1)(_objectSpread(_objectSpread({}, submitted_values), {}, {
            billFetch: false
          })));
        }
      },
      children: ({
        setFieldValue,
        values,
        handleSubmit,
        touched,
        errors,
        resetForm,
        handleBlur,
        handleChange
      }) => {
        var _values$amount;

        return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
          children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
            container: true,
            children: loading ? /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
              item: true,
              xs: 12,
              className: "skeleton__wrapper",
              children: [/*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/jsx_runtime_.jsx(Skeleton/* default */.Z, {
                animation: "wave",
                className: "skeleton"
              })]
            }) : /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 8,
                md: 8,
                style: {
                  display: "flex",
                  justifyContent: "flex-start"
                },
                children: /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                  component: "div",
                  variant: "subtitle2",
                  style: {
                    marginBottom: 10
                  },
                  children: `${serviceTypeName} Bill Payment`
                })
              }), pathname !== "dth" && /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                item: true,
                xs: 4,
                md: 4,
                style: {
                  display: "flex",
                  justifyContent: "flex-end",
                  alignItems: "center"
                },
                children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                  src: "/assets/images/Bharat-BillPay-Final-Logo.jpg",
                  alt: "Bharat BillPay",
                  width: "65",
                  height: "22"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Form, {
                onSubmit: handleSubmit,
                style: {
                  display: "contents"
                },
                children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
                  container: true,
                  spacing: 2,
                  children: [!loading && serviceId !== "771124" && /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
                    children: /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                      item: true,
                      xs: 12,
                      children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                        component: Controls/* default.MuiAutoComplete */.Z.MuiAutoComplete,
                        id: "billerName",
                        name: "billerName",
                        label: "Operator",
                        getOptionLabel: option => option.billerName !== undefined ? option.billerName : "",
                        getOptionSelected: (option, values) => option.billerName === values.billerName,
                        className: "scrollbar",
                        value: values.biller_options || null,
                        onChange: (e, value) => {
                          if (value !== null) {
                            resetForm();
                            setFieldValue("biller_options", value);
                            setFieldValue("billerId", value === null || value === void 0 ? void 0 : value.billerId);
                            setFieldValue("billerName", value === null || value === void 0 ? void 0 : value.billerName);
                          }
                        },
                        options: billers,
                        fullWidth: true
                      })
                    })
                  }), !loadState && serviceId === "771124" && /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
                    children: /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                      item: true,
                      xs: 12,
                      children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                        component: Controls/* default.MuiAutoComplete */.Z.MuiAutoComplete,
                        id: "blrStateName",
                        name: "blrStateName",
                        label: "State",
                        getOptionLabel: option => option.blrStateName !== undefined ? option.blrStateName : "",
                        getOptionSelected: (option, values) => option.blrStateName === values.blrStateName,
                        className: "scrollbar",
                        value: values.state_options || null,
                        onChange: (e, value) => {
                          if (value !== null) {
                            resetForm();
                            setFieldValue("state_options", value);
                            setFieldValue("blrStateName", value === null || value === void 0 ? void 0 : value.blrStateName);
                            setFieldValue("blrStateCode", value === null || value === void 0 ? void 0 : value.blrStateCode);
                          }
                        },
                        options: states,
                        fullWidth: true
                      })
                    })
                  }), values.blrStateName !== "" && !loadCity && serviceId === "771124" && /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
                    children: /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                      item: true,
                      xs: 12,
                      children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                        component: Controls/* default.MuiAutoComplete */.Z.MuiAutoComplete,
                        id: "blrCity",
                        name: "blrCity",
                        label: "City",
                        getOptionLabel: option => option.blrCity !== undefined && option.blrCity !== "" ? option.blrCity : "",
                        getOptionSelected: (option, values) => option.blrCity === values.blrCity,
                        className: "scrollbar",
                        value: values.city_options || null,
                        onChange: (e, value) => {
                          if (value !== null) {
                            // resetForm();
                            setFieldValue("city_options", value);
                            setFieldValue("blrCity", value === null || value === void 0 ? void 0 : value.blrCity);
                          }
                        },
                        options: cities,
                        fullWidth: true
                      })
                    })
                  }), !loading && serviceId === "771124" && (values === null || values === void 0 ? void 0 : values.blrCity) && /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
                    children: /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                      item: true,
                      xs: 12,
                      children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                        component: Controls/* default.MuiAutoComplete */.Z.MuiAutoComplete,
                        id: "billerName",
                        name: "billerName",
                        label: "Select Your Institute",
                        getOptionLabel: option => option.billerName !== undefined ? option.billerName : "",
                        getOptionSelected: (option, values) => option.billerName === values.billerName,
                        className: "scrollbar",
                        value: values.biller_options || null,
                        onChange: (e, value) => {
                          if (value !== null) {
                            // resetForm();
                            setFieldValue("biller_options", value);
                            setFieldValue("billerId", value === null || value === void 0 ? void 0 : value.billerId);
                            setFieldValue("billerName", value === null || value === void 0 ? void 0 : value.billerName);
                          }
                        },
                        options: billers,
                        fullWidth: true
                      })
                    })
                  }), errField && /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                    item: true,
                    xs: 12,
                    style: {
                      paddingTop: 0,
                      paddingBottom: 0,
                      color: "red",
                      marginTop: -8,
                      fontSize: 13
                    },
                    children: "Something Went wrong"
                  }), fields.length > 0 && /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
                    children: renderDynamicFields(values, setFieldValue, handleBlur, errors, touched, handleChange)
                  }), billerInfo.billFetchRequired === "NOT_SUPPORTED" && !billerInfo.billFetchRequired === "MANDATORY" ? /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
                    item: true,
                    xs: 12,
                    md: 12,
                    children: /*#__PURE__*/jsx_runtime_.jsx(external_formik_.Field, {
                      component: Controls/* default.Input */.Z.Input,
                      fullWidth: true // required={true}
                      ,
                      validate: val => validateAmount(val, "amount"),
                      type: "number",
                      maxLength: "5",
                      id: "amount",
                      name: "amount",
                      label: "Amount",
                      value: (_values$amount = values.amount) !== null && _values$amount !== void 0 ? _values$amount : "",
                      onChange: e => setFieldValue("amount", e.target.value),
                      error: touched.amount && Boolean(errors.amount),
                      helperText: touched.amount && errors.amount,
                      variant: "standard",
                      margin: "normal"
                    })
                  }) : null, /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
                    color: "primary",
                    variant: "contained",
                    fullWidthButton: true,
                    loadingButton: loadingButton,
                    loadingIndicator: true,
                    type: "submit",
                    disabled: values.billerName ? false : true,
                    text: billerInfo.billFetchRequired === "MANDATORY" ? "Fetch Bill" : "Proceed to Pay",
                    style: {
                      fontSize: 16
                    }
                  })]
                })
              })]
            })
          }), /*#__PURE__*/jsx_runtime_.jsx(LoadOperators, {
            serviceId: serviceId,
            serviceTypeName: serviceTypeName,
            errField: errField
          })]
        });
      }
    })
  });
};

/* harmony default export */ const _Form = (BBPSRechargeForm);
// EXTERNAL MODULE: external "sweetalert2"
var external_sweetalert2_ = __webpack_require__(272);
var external_sweetalert2_default = /*#__PURE__*/__webpack_require__.n(external_sweetalert2_);
// EXTERNAL MODULE: ./components/Slider/Slider.js + 2 modules
var Slider = __webpack_require__(8120);
;// CONCATENATED MODULE: ./screens/BBPSForm/index.jsx









const BBPS = ({
  serviceId,
  serviceTypeName
}) => {
  const {
    error: errorCat
  } = (0,external_react_redux_.useSelector)(state => state.category);
  (0,external_react_.useEffect)(() => {
    errorCat ? external_sweetalert2_default().fire({
      title: "Oops!!",
      text: "Something went wrong, please try again",
      icon: "error",
      confirmButtonText: "CLOSE"
    }) : null;
  }, [errorCat]);
  return /*#__PURE__*/jsx_runtime_.jsx(FormAndPreview/* default */.Z, {
    form: /*#__PURE__*/jsx_runtime_.jsx(_Form, {
      serviceId: serviceId,
      serviceTypeName: serviceTypeName
    }),
    preview: /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
      children: /*#__PURE__*/jsx_runtime_.jsx(Slider/* default */.Z, {
        slider: true
      })
    }) // preview={
    //   !_.isEmpty(plans) ? (
    //     <PreviewPlans
    //       plans={plans}
    //       filterData={filterData}
    //       setAmountValue={pullRechargeAmount}
    //       loading={loading}
    //     />
    //   ) : (
    //     <>
    //       <Slider loading={loading} />
    //     </>
    //   )
    // }

  });
};

/* harmony default export */ const BBPSForm = (BBPS);
// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(3804);
var external_lodash_default = /*#__PURE__*/__webpack_require__.n(external_lodash_);
;// CONCATENATED MODULE: ./components/BbpsComponent.jsx














const BbpsComponent = () => {
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    loading,
    categories
  } = (0,external_react_redux_.useSelector)(state => state.category); // useEffect(() => {
  //   dispatch(getAllCategory());
  // }, [dispatch]);

  const router = (0,router_.useRouter)();
  const result = router.route.replace("/", "").split("-");
  const capitalArray = result.map(a => a.charAt(0).toUpperCase() + a.substr(1));
  const capitalize = capitalArray.join(" ");
  const getCategory = !external_lodash_default().isEmpty(categories) && categories.find(cat => cat.serviceTypeName.toLowerCase() === capitalize.toLowerCase());
  const {
    serviceId,
    serviceTypeName
  } = getCategory;
  const {
    loading: loadBill
  } = (0,external_react_redux_.useSelector)(state => state.billers);
  (0,external_react_.useEffect)(() => {
    const handleRouteChange = () => {
      dispatch((0,bbps_actions/* resetInputFields */.QT)());
      dispatch({
        type: bbps_constants/* RESET_BILLERS */._1
      });
    };

    router.events.on("routeChangeStart", handleRouteChange);
    return () => {
      router.events.off("routeChangeStart", handleRouteChange);
    };
  }, []);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    children: [loading && loadBill && /*#__PURE__*/jsx_runtime_.jsx(Overlay/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(Page/* default */.Z, {
      title: serviceTypeName,
      component: /*#__PURE__*/jsx_runtime_.jsx(BBPSForm, {
        serviceId: serviceId,
        serviceTypeName: serviceTypeName
      })
    })]
  });
};

/* harmony default export */ const components_BbpsComponent = (BbpsComponent);

/***/ })

};
;