"use strict";
exports.id = 5688;
exports.ids = [5688];
exports.modules = {

/***/ 740:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__);


const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  container: {
    paddingTop: theme.spacing(12),
    paddingBottom: theme.spacing(10)
  }
}));

const ContainerComponent = ({
  maxWidth,
  style,
  children
}) => {
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Container, {
    maxWidth: maxWidth,
    className: classes.container,
    style: style,
    children: children
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ContainerComponent);

/***/ }),

/***/ 2669:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ components_Overlay)
});

;// CONCATENATED MODULE: ./public/assets/images/logos/preloader.gif
/* harmony default export */ const preloader = ({"src":"/_next/static/image/public/assets/images/logos/preloader.931af8f328faae935a7ec75aa0946fd5.gif","height":240,"width":303});
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Overlay.js




const Overlay = () => {
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    className: "overlay",
    children: /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: "overlay__inner",
      children: /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: "overlay__content",
        children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default // className="spinner"
        , {
          src: preloader,
          alt: "aaipay",
          width: "100",
          height: "100"
        })
      })
    })
  });
};

/* harmony default export */ const components_Overlay = (Overlay);

/***/ }),

/***/ 5688:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$": () => (/* binding */ PageSecondary)
/* harmony export */ });
/* harmony import */ var next_head__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(701);
/* harmony import */ var next_head__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(next_head__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _ContainerComponent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(740);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _hooks_useWindowSize__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2389);
/* harmony import */ var _Overlay__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2669);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(79);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__);








const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.makeStyles)(theme => ({
  root: {},
  mainComponent: {},
  paper: {
    borderRadius: theme.spacing(4),
    width: props => {
      if (props) {
        if (props.windowWidth < 768 && props.customPage === true) {
          return "100%";
        }

        if (props.customPage === false) {
          return "100%";
        }

        if (props.customPage === true && props.windowWidth > 768) {
          return 600;
        }
      }
    }
  }
}));

function PageSecondary({
  customPage,
  title,
  paper,
  loading: loadingSec,
  children
}) {
  const {
    width: windowWidth
  } = (0,_hooks_useWindowSize__WEBPACK_IMPORTED_MODULE_3__/* .useWindowSize */ .i)();
  const classes = useStyles({
    windowWidth: windowWidth,
    customPage: customPage
  }); // const { loading: loadPass } = useSelector((state) => state.passbook);
  // if (loadPass) {
  //   return <Overlay />;
  // }

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)((next_head__WEBPACK_IMPORTED_MODULE_0___default()), {
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("title", {
        children: ["Aaipay || ", title]
      }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx("meta", {
        name: "description",
        content: "Aaipay Pay with Faith"
      }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx("link", {
        rel: "icon",
        href: "/assets/images/logos/favicon.ico"
      })]
    }), loadingSec && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx(_Overlay__WEBPACK_IMPORTED_MODULE_4__/* .default */ .Z, {}), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx("section", {
      className: classes.mainComponent,
      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx(_ContainerComponent__WEBPACK_IMPORTED_MODULE_1__/* .default */ .Z, {
        maxWidth: "md",
        style: {
          display: "flex",
          justifyContent: "center",
          alignItems: "center"
        },
        children: paper ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.Paper, {
          elevation: 3,
          className: classes.paper,
          children: children
        }) : children
      })
    })]
  });
}

PageSecondary.defaultProps = {
  paper: false,
  title: "Pay with Faith",
  customPage: false
};


/***/ })

};
;