"use strict";
exports.id = 7302;
exports.ids = [7302];
exports.modules = {

/***/ 1630:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5675);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__);
/* eslint-disable jsx-a11y/anchor-is-valid */




const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(8, 0)
  },
  paperGrid: {
    padding: theme.spacing(4),
    borderRadius: theme.spacing(4)
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center"
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  }
}));

const AboutUs = () => {
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx("div", {
    style: {
      backgroundColor: "#fafafa"
    },
    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Container, {
      maxWidth: "lg",
      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx("div", {
        className: classes.root,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
          container: true,
          spacing: 4,
          children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
            item: true,
            xs: 12,
            children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Typography, {
              variant: "h6",
              style: {
                fontSize: 24
              },
              children: "About Aaipay"
            })
          }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
            item: true,
            xs: 12,
            md: 6,
            children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Typography, {
              variant: "body2",
              className: classes.para,
              component: "p",
              children: "The AaiPay wallet can be used across a host of payments services, including bill recharges, utility bill payments, cab bookings, ticket bookings, payments for groceries, as well as payments to online digital and offline retail stores. AaiPay bridges the digital divide between consumers and companies via swift recharges and bill payments at no extra cost for its online transactions. Be it prepaid, postpaid, DTH, data card, electricity, life insurance, landlines, gas, water, broadband, cable, municipality or Metro payments and traffic challans, AaiPay is best for one and all. The app also offers instant money transfer to family and friends with ease."
            })
          }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
            item: true,
            xs: 12,
            md: 6,
            children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx("div", {
              className: classes.imageContainer,
              children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx(next_image__WEBPACK_IMPORTED_MODULE_1__.default, {
                src: "/assets/images/about.svg",
                alt: "About aaipay",
                width: 250,
                height: 250
              })
            })
          })]
        })
      })
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (AboutUs);

/***/ }),

/***/ 6905:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__) => {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _CardComponent_CardComponent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4088);
/* harmony import */ var _CarouselComponentSwiper_CarouselComponentSwiper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2243);
/* harmony import */ var _MainHeading__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1885);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(79);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _redux_actions_dth_category_action__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(5045);
/* harmony import */ var swiper_react__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2156);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([swiper_react__WEBPACK_IMPORTED_MODULE_6__, _CarouselComponentSwiper_CarouselComponentSwiper__WEBPACK_IMPORTED_MODULE_2__]);
([swiper_react__WEBPACK_IMPORTED_MODULE_6__, _CarouselComponentSwiper_CarouselComponentSwiper__WEBPACK_IMPORTED_MODULE_2__] = __webpack_async_dependencies__.then ? await __webpack_async_dependencies__ : __webpack_async_dependencies__);
/* eslint-disable jsx-a11y/anchor-is-valid */











const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  root: {
    flexGrow: 1,
    padding: theme.spacing(4, 0)
  },
  paperGrid: {
    padding: theme.spacing(4),
    borderRadius: theme.spacing(4)
  }
}));

const DTH = ({
  items
}) => {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__.useDispatch)();
  const {
    dth_categories,
    loading
  } = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__.useSelector)(state => state.dthCategories);
  (0,react__WEBPACK_IMPORTED_MODULE_5__.useEffect)(() => {
    dispatch((0,_redux_actions_dth_category_action__WEBPACK_IMPORTED_MODULE_8__/* .getAllDTHCategory */ .dw)());
  }, [dispatch]);
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx("div", {
      style: {
        backgroundColor: "#fafafa"
      },
      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Container, {
        maxWidth: "lg",
        children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx("div", {
          className: classes.root,
          children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
            container: true,
            spacing: 4,
            children: !loading ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Grid, {
              item: true,
              xs: 12,
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Paper, {
                className: classes.paperGrid,
                children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_MainHeading__WEBPACK_IMPORTED_MODULE_3__/* .default */ .Z, {
                  children: "Book at AaiPay"
                }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_CarouselComponentSwiper_CarouselComponentSwiper__WEBPACK_IMPORTED_MODULE_2__/* .default */ .Z, {
                  autoPlay: true,
                  children: dth_categories.map(item => {
                    return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(swiper_react__WEBPACK_IMPORTED_MODULE_6__.SwiperSlide, {
                      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_CardComponent_CardComponent__WEBPACK_IMPORTED_MODULE_1__/* .default */ .Z, {
                        dynamic: true,
                        item: {
                          href: {
                            pathname: "/category/[category_id]",
                            query: {
                              category_id: `${item.id}`
                            }
                          },
                          withPrice: false,
                          title: item.name,
                          description: item.description,
                          image: item.image
                        }
                      }, item.id)
                    }, item.id);
                  })
                })]
              })
            }) : null
          })
        })
      })
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DTH);
});

/***/ }),

/***/ 8815:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ Mobile_PreviewPlans)
});

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Table/index.js





const useStyles = (0,core_.makeStyles)({
  root: {
    width: '100%'
  },
  container: {
    maxHeight: 440
  }
});

const StickyHeadTable = (records, pagination) => {
  const classes = useStyles();
  const [page, setPage] = external_react_default().useState(0);
  const [rowsPerPage, setRowsPerPage] = external_react_default().useState(pagination);

  const handleChangePage = (event, newPage) => {
    setPage(newPage);
  };

  const handleChangeRowsPerPage = event => {
    setRowsPerPage(+event.target.value);
    setPage(0);
  };

  const recordsAfterPagingAndSorting = () => {
    return records.slice(page * rowsPerPage, (page + 1) * rowsPerPage);
  };

  const TblContainer = ({
    children
  }) => {
    return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
      children: [children, pagination === true && /*#__PURE__*/jsx_runtime_.jsx(core_.TablePagination, {
        rowsPerPageOptions: [],
        component: "div",
        count: records.length,
        rowsPerPage: pagination === true ? 15 : records.length,
        page: page,
        onPageChange: handleChangePage,
        onRowsPerPageChange: handleChangeRowsPerPage,
        labelRowsPerPage: ""
      })]
    });
  };

  return {
    TblContainer,
    recordsAfterPagingAndSorting
  };
};

/* harmony default export */ const Table = (StickyHeadTable);
;// CONCATENATED MODULE: ./components/NoRecords.jsx



const NoRecords = ({
  children
}) => {
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    style: {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      minHeight: 230,
      backgroundImage: `url(assets/images/no-records.svg)`,
      backgroundPosition: 'center',
      backgroundSize: '90px',
      backgroundRepeat: 'no-repeat',
      color: '#666'
    },
    children: /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
      className: "overlay-plan",
      children: children
    })
  });
};

/* harmony default export */ const components_NoRecords = (NoRecords);
// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/styles/makeStyles.js
var makeStyles = __webpack_require__(1120);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/AppBar/AppBar.js
var AppBar = __webpack_require__(5258);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/Toolbar/Toolbar.js
var Toolbar = __webpack_require__(8358);
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/Button/Button.js
var Button = __webpack_require__(282);
// EXTERNAL MODULE: external "@material-ui/icons/KeyboardArrowLeft"
var KeyboardArrowLeft_ = __webpack_require__(1969);
var KeyboardArrowLeft_default = /*#__PURE__*/__webpack_require__.n(KeyboardArrowLeft_);
// EXTERNAL MODULE: external "@material-ui/icons/KeyboardArrowRight"
var KeyboardArrowRight_ = __webpack_require__(4953);
var KeyboardArrowRight_default = /*#__PURE__*/__webpack_require__.n(KeyboardArrowRight_);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
;// CONCATENATED MODULE: ./components/Container/Appbar/index.js











const Appbar_useStyles = (0,makeStyles/* default */.Z)(theme => ({
  root: {
    flexGrow: 1
  },
  menuButton: {
    marginRight: theme.spacing(2)
  }
}));

const MuiAppBar = ({
  menuItems,
  handleFilter
}) => {
  const classes = Appbar_useStyles();
  const menuRef = (0,external_react_.useRef)(null);
  const buttonRef = (0,external_react_.useRef)(null);
  const toolbarRef = (0,external_react_.useRef)(null);
  const {
    0: active,
    1: setActive
  } = (0,external_react_.useState)("active-0");
  const {
    0: show,
    1: setShow
  } = (0,external_react_.useState)(true);

  const scroll = (scrollOffset, direction) => {
    if (direction === "right") {
      return menuRef.current.scrollLeft -= scrollOffset;
    } else {
      return menuRef.current.scrollLeft += scrollOffset;
    }
  };

  const handleActive = (e, index) => {
    e.preventDefault();
    const text = e.target.innerText;
    setActive(`${text}-${index}`);
  };

  const windowSize = (0,useWindowSize/* useWindowSize */.i)();
  (0,external_react_.useEffect)(() => {
    const menuWidth = menuRef.current !== null && menuRef.current.scrollWidth;
    const toolwidth = toolbarRef.current !== null && toolbarRef.current.scrollWidth;
    const buttonsWidth = buttonRef.current !== null && buttonRef.current.scrollWidth * (menuItems === null || menuItems === void 0 ? void 0 : menuItems.length) + (menuItems === null || menuItems === void 0 ? void 0 : menuItems.length) * 10;

    if ((menuItems === null || menuItems === void 0 ? void 0 : menuItems.length) >= 10 || menuWidth > toolwidth) {
      setShow(true);
    } else {
      setShow(false);
    }
  }, [windowSize, menuItems]);
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    className: classes.root,
    children: /*#__PURE__*/jsx_runtime_.jsx(AppBar/* default */.Z, {
      position: "static",
      color: "default",
      style: {
        marginBottom: 20
      },
      children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(Toolbar/* default */.Z, {
        variant: "dense",
        ref: toolbarRef,
        children: [show && /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.ActionButton */.Z.ActionButton, {
          style: {
            position: "sticky",
            width: 40,
            height: 40
          },
          onClick: () => scroll(50, "right"),
          children: /*#__PURE__*/jsx_runtime_.jsx((KeyboardArrowLeft_default()), {})
        }), /*#__PURE__*/jsx_runtime_.jsx("div", {
          className: "wrapper__tabs",
          ref: menuRef,
          children: menuItems === null || menuItems === void 0 ? void 0 : menuItems.map((item, index) => /*#__PURE__*/jsx_runtime_.jsx(Button/* default */.Z, {
            ref: buttonRef,
            onClick: e => {
              handleActive(e, index);
              return handleFilter(e);
            },
            style: {
              marginRight: 5,
              marginLeft: 5
            },
            className: index < 10 ? `${index}` === active.charAt(active.length - 1) ? "activeClassNav" : null : `${index}` === `${active.charAt(active.length - 2)}${active.charAt(active.length - 1)}` ? "activeClassNav" : null,
            children: item
          }, index))
        }), show && /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.ActionButton */.Z.ActionButton, {
          style: {
            position: "sticky",
            width: 40,
            height: 40
          },
          onClick: () => scroll(50, "left"),
          children: /*#__PURE__*/jsx_runtime_.jsx((KeyboardArrowRight_default()), {})
        })]
      })
    })
  });
};

/* harmony default export */ const Appbar = (MuiAppBar);
;// CONCATENATED MODULE: ./components/Disclaimer.jsx



const Disclaimer = ({
  children
}) => {
  return /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
    container: true,
    children: /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
      item: true,
      xs: 12,
      children: /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: "disclaimer",
        children: children
      })
    })
  });
};

/* harmony default export */ const components_Disclaimer = (Disclaimer);
// EXTERNAL MODULE: ./screens/Mobile/utils.js
var utils = __webpack_require__(2104);
// EXTERNAL MODULE: ./components/Spinner.js
var Spinner = __webpack_require__(5564);
;// CONCATENATED MODULE: ./screens/Mobile/PreviewPlans.jsx












const PreviewPlans = ({
  plans,
  filterData,
  setAmountValue,
  slider
}) => {
  // const filterValue = filterData?.length > 0 ? filterData[0] : [];
  const filterValue = (0,external_react_.useMemo)(() => (filterData === null || filterData === void 0 ? void 0 : filterData.length) > 0 ? filterData[0] : [], [filterData]);
  const {
    0: records,
    1: setRecords
  } = (0,external_react_.useState)([]);
  const pagination = (plans === null || plans === void 0 ? void 0 : plans.length) || 0;
  const {
    TblContainer
  } = Table(records, pagination);
  const {
    0: filter,
    1: setFilter
  } = (0,external_react_.useState)(filterValue);

  const handleFilter = e => {
    e.preventDefault();
    e.persist();
    let filtered = e.target.innerText;

    if (filtered === "ROMAING") {
      filtered = "Romaing";
    }

    setFilter(filtered);
    plans[filtered] ? setRecords(plans[filtered]) : setRecords([]);
  };

  (0,external_react_.useEffect)(() => {
    plans && filterValue ? setRecords(plans[filterValue]) : setRecords([]);
  }, [setRecords, filterValue, plans]);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    children: [/*#__PURE__*/jsx_runtime_.jsx(Appbar, {
      menuItems: filterData,
      handleFilter: handleFilter
    }), /*#__PURE__*/jsx_runtime_.jsx(TblContainer, {
      records: records,
      pagination: pagination,
      children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.TableContainer, {
        style: {
          maxHeight: 320
        },
        className: "scrollbar",
        children: [slider === true ? /*#__PURE__*/jsx_runtime_.jsx("style", {
          children: `
        .box.box-form.preview {
          padding: 0 !important;
      }
        `
        }) : /*#__PURE__*/jsx_runtime_.jsx("style", {
          children: `
      .box.box-form.preview {
        padding: 40 !important;
    }
      `
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Table, {
          stickyHeader: true,
          "aria-label": "sticky table",
          children: [/*#__PURE__*/jsx_runtime_.jsx(core_.TableHead, {
            children: /*#__PURE__*/jsx_runtime_.jsx(core_.TableRow, {
              children: utils/* columns.map */.zF.map(column => /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                align: column.align,
                style: {
                  minWidth: column.minWidth,
                  fontSize: 12
                },
                children: column.label
              }, column.id))
            })
          }), /*#__PURE__*/jsx_runtime_.jsx(core_.TableBody, {
            children: records.length > 0 ? records.map((item, index) => {
              return /*#__PURE__*/jsx_runtime_.jsx(core_.TableRow, {
                hover: true,
                role: "checkbox",
                tabIndex: -1,
                children: utils/* columns.map */.zF.map(column => {
                  const value = item[column.id];
                  return /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                    align: column.align,
                    style: {
                      textTransform: column.textTransform
                    },
                    children: column.textTransformFirstChar === true ? value.charAt(0).toUpperCase() + value.slice(1, value.length) : column.button === true ? /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
                      text: `₹ ${value}`,
                      variant: "outlined",
                      onClick: () => {
                        setAmountValue(value);
                      },
                      style: {
                        minWidth: 90,
                        fontSize: 13.5,
                        paddingTop: 5,
                        paddingBottom: 5,
                        paddingLeft: 10,
                        paddingRight: 10
                      }
                    }) : value
                  }, column === null || column === void 0 ? void 0 : column.id);
                })
              }, index);
            }) : /*#__PURE__*/jsx_runtime_.jsx(core_.TableRow, {
              children: /*#__PURE__*/jsx_runtime_.jsx(core_.TableCell, {
                colSpan: utils/* columns.length */.zF.length + 1,
                children: /*#__PURE__*/jsx_runtime_.jsx(components_NoRecords, {
                  children: "No Plans at this Moment"
                })
              })
            })
          })]
        })]
      })
    }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(components_Disclaimer, {
      children: [/*#__PURE__*/jsx_runtime_.jsx("strong", {
        children: "Disclaimer: "
      }), "While we support most recharges, we request you to verify with your operator once before proceeding."]
    })]
  });
};

/* harmony default export */ const Mobile_PreviewPlans = (PreviewPlans);

/***/ }),

/***/ 4091:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _components_Spinner__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5564);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3804);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7717);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2104);
/* harmony import */ var _components_Controls_Controls__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2125);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(79);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _redux_actions_mobile_recharge_actions__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(7139);
/* harmony import */ var utils_customFunctions__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(1944);
/* harmony import */ var _material_ui_lab__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4508);
/* harmony import */ var _material_ui_lab__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _screens_LoginComponent__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(9974);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(6731);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(6155);
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(js_cookie__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(2376);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var _redux_actions_drawer_actions__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(9159);
/* harmony import */ var _components_Layout_Drawer_ModalExample__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(3175);
/* harmony import */ var react_toastify__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(2034);
/* harmony import */ var react_toastify__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(react_toastify__WEBPACK_IMPORTED_MODULE_15__);
/* harmony import */ var _components_RequireAuthentication_RequireAuthentication__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(9625);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__);
const _excluded = ["operator_name"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

 // import PropTypes from 'prop-types';























const LoadOperators = ({
  operator,
  circle,
  amount
}) => {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__.useDispatch)();
  const {
    values,
    setFieldValue
  } = (0,formik__WEBPACK_IMPORTED_MODULE_3__.useFormikContext)();
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (values.mbl.length === 10 && (0,utils_customFunctions__WEBPACK_IMPORTED_MODULE_8__/* .checkNumeric */ .jd)(values.mbl)) {
      dispatch((0,_redux_actions_mobile_recharge_actions__WEBPACK_IMPORTED_MODULE_18__/* .getAllPlans */ .T9)(values.mbl));
    }
  }, [values.mbl, dispatch]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (values.mbl.length === 10 && (0,utils_customFunctions__WEBPACK_IMPORTED_MODULE_8__/* .checkNumeric */ .jd)(values.mbl)) {
      setFieldValue("Operator", operator);
      setFieldValue("Circle", circle);
    }
  }, [values.mbl, operator, setFieldValue, circle]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setFieldValue("recharge_amount", amount);
  }, [setFieldValue, amount]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (values.recharge_type) {
      dispatch((0,_redux_actions_mobile_recharge_actions__WEBPACK_IMPORTED_MODULE_18__/* .getAllOperators */ .Y6)(values.recharge_type));
    }
  }, [values.recharge_type, dispatch]);
  return null;
};

const MobileRechargeForm = ({
  amount
}) => {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__.useDispatch)();
  const classes = (0,_utils__WEBPACK_IMPORTED_MODULE_4__/* .useStyles */ .yK)();
  const router = (0,next_router__WEBPACK_IMPORTED_MODULE_11__.useRouter)();
  const {
    operators,
    loading: loadOper
  } = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__.useSelector)(state => state.operators);
  const {
    plans,
    circle,
    operator,
    oprCode,
    loading
  } = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__.useSelector)(state => state.plans);
  const {
    0: disabledProceed,
    1: setDisabledProceed
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx("div", {
    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(formik__WEBPACK_IMPORTED_MODULE_3__.Formik, {
      initialValues: _utils__WEBPACK_IMPORTED_MODULE_4__/* .initialValues */ .Sc // validate={validate}
      ,
      onSubmit: async (values, actions) => {
        // const { operator_name, ...restValues } = values;
        // const { recharge_type, mbl, Operator, Circle, recharge_amount } =
        //   restValues;
        // const { data: isUserValid } = await axios({
        //   method: "POST",
        //   url: "https://aaipay.in:10002/api/apps/v1/user_validate.jsp",
        //   headers: { "content-type": "application/json" },
        //   data: {
        //     mobile: mbl,
        //     device: "1244115844",
        //   },
        // });
        // console.log(isUserValid);
        // if (isUserValid.err === "01") {
        //   Cookies.set(
        //     "plan",
        //     JSON.stringify({
        //       recharge_type,
        //       mbl,
        //       Operator,
        //       Circle,
        //       recharge_amount,
        //       oprCode,
        //     })
        //   );
        //   router.push("/payment-details");
        //   setDisabledProceed(true);
        // } else {
        //   dispatch(closeDrawer({ modalProps: { open: false } }));
        //   toast.error("Please Login to Continue", {
        //     position: "top-center",
        //     autoClose: 5000,
        //     hideProgressBar: false,
        //     closeOnClick: true,
        //     pauseOnHover: true,
        //     draggable: true,
        //     progress: undefined,
        //   });
        //   dispatch(
        //     openDrawer({
        //       modalType: DrawerExample,
        //       modalProps: {
        //         component: <LoginComponent />,
        //         open: true,
        //         // setOpen: setOpen,
        //         widthDrawer: 800,
        //         closeDrawerAction: true,
        //       },
        //     })
        //   );
        //   // yield put(setAlertMessage(true, "error", "Please Login to Continue"));
        //   setDisabledProceed(false);
        //   // dispatch({ type: LOADING_BUTTON_RESET });
        // }
        try {
          const {
            operator_name
          } = values,
                restValues = _objectWithoutProperties(values, _excluded);

          const {
            recharge_type,
            mbl,
            Operator,
            Circle,
            recharge_amount
          } = restValues;
          const ip = js_cookie__WEBPACK_IMPORTED_MODULE_12___default().get("ip");
          const loginKey = js_cookie__WEBPACK_IMPORTED_MODULE_12___default().get("loginKey");
          const password = js_cookie__WEBPACK_IMPORTED_MODULE_12___default().get("password");
          const mobile = js_cookie__WEBPACK_IMPORTED_MODULE_12___default().get("mobile");
          const {
            data
          } = await (0,_components_RequireAuthentication_RequireAuthentication__WEBPACK_IMPORTED_MODULE_16__/* .validateLoginUser */ .s)({
            ip,
            loginKey,
            password,
            mobile
          });

          if ((data === null || data === void 0 ? void 0 : data.err) === "101") {
            js_cookie__WEBPACK_IMPORTED_MODULE_12___default().set("plan", JSON.stringify({
              recharge_type,
              mbl,
              Operator,
              Circle,
              recharge_amount,
              oprCode
            }));
            router.push("/payment-details");
            setDisabledProceed(true);
          } else {
            dispatch((0,_redux_actions_drawer_actions__WEBPACK_IMPORTED_MODULE_19__/* .closeDrawer */ .d)({
              modalProps: {
                open: false
              }
            }));
            react_toastify__WEBPACK_IMPORTED_MODULE_15__.toast.error("Please Login to Continue", {
              position: "top-center",
              autoClose: 5000,
              hideProgressBar: false,
              closeOnClick: true,
              pauseOnHover: true,
              draggable: true,
              progress: undefined
            });
            dispatch((0,_redux_actions_drawer_actions__WEBPACK_IMPORTED_MODULE_19__/* .openDrawer */ .F)({
              modalType: _components_Layout_Drawer_ModalExample__WEBPACK_IMPORTED_MODULE_14__/* .default */ .Z,
              modalProps: {
                component: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_screens_LoginComponent__WEBPACK_IMPORTED_MODULE_10__/* .default */ .Z, {}),
                open: true,
                // setOpen: setOpen,
                widthDrawer: 800,
                closeDrawerAction: true
              }
            }));
            setDisabledProceed(false);
          }
        } catch (error) {
          console.error(error);
        }
      },
      children: ({
        setFieldValue,
        values,
        handleSubmit,
        handleChange,
        touched,
        errors,
        setErrors
      }) => {
        const rechargeTypeCapitalize = `${values.recharge_type.charAt(0).toUpperCase()}${values.recharge_type.slice(1, values.recharge_type.length).toLowerCase()}`;

        const handleServiceChange = e => {
          setFieldValue("recharge_type", e.target.value);
          dispatch((0,_redux_actions_mobile_recharge_actions__WEBPACK_IMPORTED_MODULE_18__/* .getAllOperators */ .Y6)(values.recharge_type));
          setFieldValue("Operator", "");
          setFieldValue("mbl", "");
          setFieldValue("recharge_amount", "");
          setFieldValue("oprCode", "");
          setErrors("");
        };

        const flatOperatorOptions = {
          options: operators.map(option => option.operator)
        };
        return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.Fragment, {
          children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
            container: true,
            children: loadOper ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsxs)(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
              item: true,
              xs: 12,
              className: "skeleton__wrapper",
              children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_lab__WEBPACK_IMPORTED_MODULE_9__.Skeleton, {
                animation: "wave",
                className: "skeleton"
              })]
            }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.Fragment, {
              children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
                item: true,
                xs: 12,
                style: {
                  display: "flex",
                  justifyContent: "flex-start"
                },
                children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Typography, {
                  component: "div",
                  variant: "subtitle2",
                  style: {
                    marginBottom: 10
                  },
                  className: "bill_head",
                  children: operator && values.mbl.length === 10 ? values.recharge_type.toLowerCase() === "PREPAID".toLowerCase() ? `${values.Operator.toLowerCase() || operator.toLowerCase()} ${rechargeTypeCapitalize} Mobile Recharge` : `${values.Operator.toLowerCase() || operator.toLowerCase()} ${rechargeTypeCapitalize} Mobile Bill Payment` : `Mobile Recharge or Bill Payment`
                })
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(formik__WEBPACK_IMPORTED_MODULE_3__.Form, {
                onSubmit: handleSubmit,
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsxs)(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
                  container: true,
                  spacing: 3,
                  children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
                    item: true,
                    xs: 12,
                    md: 12,
                    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(formik__WEBPACK_IMPORTED_MODULE_3__.Field, {
                      component: _components_Controls_Controls__WEBPACK_IMPORTED_MODULE_5__/* .default.RadioGroup */ .Z.RadioGroup,
                      row: true,
                      id: "recharge_type",
                      name: "recharge_type",
                      value: values.recharge_type,
                      onChange: handleServiceChange,
                      items: [{
                        id: "PREPAID",
                        title: "Prepaid"
                      }, {
                        id: "POSTPAID",
                        title: "Postpaid"
                      }]
                    })
                  }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
                    item: true,
                    xs: 12,
                    md: 12,
                    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(formik__WEBPACK_IMPORTED_MODULE_3__.Field, {
                      component: _components_Controls_Controls__WEBPACK_IMPORTED_MODULE_5__/* .default.Input */ .Z.Input,
                      fullWidth: true,
                      id: "mbl",
                      name: "mbl",
                      label: "Mobile Number",
                      value: values.mbl,
                      onChange: handleChange,
                      error: touched.mbl && Boolean(errors.mbl),
                      helperText: touched.mbl && errors.mbl,
                      variant: "standard",
                      margin: "normal"
                    })
                  }), values.mbl.length === 10 && (0,utils_customFunctions__WEBPACK_IMPORTED_MODULE_8__/* .checkNumeric */ .jd)(values.mbl) ? !loading ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.Fragment, {
                    children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
                      item: true,
                      xs: 12,
                      md: 12,
                      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(formik__WEBPACK_IMPORTED_MODULE_3__.Field, _objectSpread(_objectSpread({}, flatOperatorOptions), {}, {
                        component: _components_Controls_Controls__WEBPACK_IMPORTED_MODULE_5__/* .default.AutoCompleteSingle */ .Z.AutoCompleteSingle,
                        id: "Operator",
                        name: "Operator",
                        label: "Operator",
                        getOptionSelected: (option, values) => option.toLowerCase() === values.toLowerCase(),
                        value: (values === null || values === void 0 ? void 0 : values.Operator) || null,
                        onChange: (e, value) => {
                          value !== null && setFieldValue("Operator", value);
                        }
                      }))
                    }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
                      item: true,
                      xs: 12,
                      md: 12,
                      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(formik__WEBPACK_IMPORTED_MODULE_3__.Field, {
                        component: _components_Controls_Controls__WEBPACK_IMPORTED_MODULE_5__/* .default.AutoCompleteSingle */ .Z.AutoCompleteSingle,
                        id: "Circle",
                        name: "Circle",
                        label: "Circle",
                        value: values.Circle || null,
                        onChange: (e, value) => {
                          value !== null && setFieldValue("Circle", value);
                        },
                        getOptionSelected: (option, values) => option.toLowerCase() === values.toLowerCase(),
                        options: ["DELHI", "PUNJAB"]
                      })
                    })]
                  }) : /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_components_Spinner__WEBPACK_IMPORTED_MODULE_1__/* .default */ .Z, {}) : null, /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.Grid, {
                    item: true,
                    xs: 12,
                    md: 12,
                    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(formik__WEBPACK_IMPORTED_MODULE_3__.Field, {
                      component: _components_Controls_Controls__WEBPACK_IMPORTED_MODULE_5__/* .default.Input */ .Z.Input,
                      fullWidth: true,
                      id: "recharge_amount",
                      name: "recharge_amount",
                      label: "Amount",
                      value: values.recharge_amount,
                      onChange: handleChange,
                      error: touched.recharge_amount && Boolean(errors.recharge_amount),
                      helperText: touched.recharge_amount && errors.recharge_amount,
                      variant: "standard",
                      margin: "normal"
                    })
                  }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(_components_Controls_Controls__WEBPACK_IMPORTED_MODULE_5__/* .default.Button */ .Z.Button, {
                    color: "primary",
                    variant: "contained",
                    fullWidth: true,
                    type: "submit",
                    loadingIndicator: true,
                    loadingButton: disabledProceed,
                    fullWidthButton: true,
                    text: "Proceed",
                    className: classes.loadingButton,
                    style: {
                      fontSize: 16
                    },
                    disabled: values.mbl.length !== 10 || !(0,utils_customFunctions__WEBPACK_IMPORTED_MODULE_8__/* .checkNumeric */ .jd)(values.mbl) || values.recharge_amount === "" || !(0,utils_customFunctions__WEBPACK_IMPORTED_MODULE_8__/* .checkNumeric */ .jd)(values.recharge_amount) ? true : false
                  })]
                })
              })]
            })
          }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_17__.jsx(LoadOperators, {
            plans: plans,
            operator: operator,
            circle: circle,
            amount: amount
          })]
        });
      }
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MobileRechargeForm);

/***/ }),

/***/ 7302:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__) => {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _components_Container_FormAndPreview__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8926);
/* harmony import */ var _components_Offers_Offers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4358);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(79);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4091);
/* harmony import */ var _PreviewPlans__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8815);
/* harmony import */ var sweetalert2__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(272);
/* harmony import */ var sweetalert2__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(sweetalert2__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(3804);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _components_Slider_Slider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8120);
/* harmony import */ var _components_DTH_DTH__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(6905);
/* harmony import */ var _components_AboutUS__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1630);
/* harmony import */ var _components_GetOnStore__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(3944);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([_components_DTH_DTH__WEBPACK_IMPORTED_MODULE_9__, _components_Offers_Offers__WEBPACK_IMPORTED_MODULE_2__]);
([_components_DTH_DTH__WEBPACK_IMPORTED_MODULE_9__, _components_Offers_Offers__WEBPACK_IMPORTED_MODULE_2__] = __webpack_async_dependencies__.then ? await __webpack_async_dependencies__ : __webpack_async_dependencies__);
















const Mobile = ({
  categories
}) => {
  const {
    plans,
    error: errorPlan,
    loading,
    main
  } = (0,react_redux__WEBPACK_IMPORTED_MODULE_3__.useSelector)(state => state.plans);
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_3__.useDispatch)(); // const { error: errorCat } = useSelector((state) => state.category);

  const {
    error: errorOp
  } = (0,react_redux__WEBPACK_IMPORTED_MODULE_3__.useSelector)(state => state.operators);
  const {
    0: amount,
    1: setAmount
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)("");
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    errorOp || errorPlan ? sweetalert2__WEBPACK_IMPORTED_MODULE_6___default().fire({
      title: "Oops!!",
      text: "Something went wrong, please try again",
      icon: "error",
      confirmButtonText: "CLOSE"
    }) : null;
  }, [errorOp, errorPlan]);

  const pullRechargeAmount = amount => {
    setAmount(amount);
  };

  const filterData = plans && Object.keys(plans);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.Fragment, {
    children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(_components_Container_FormAndPreview__WEBPACK_IMPORTED_MODULE_1__/* .default */ .Z, {
      form: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(_Form__WEBPACK_IMPORTED_MODULE_4__/* .default */ .Z, {
        amount: amount
      }),
      preview: !lodash__WEBPACK_IMPORTED_MODULE_7___default().isEmpty(plans) && !loading ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(_PreviewPlans__WEBPACK_IMPORTED_MODULE_5__/* .default */ .Z, {
        plans: plans,
        filterData: filterData,
        setAmountValue: pullRechargeAmount,
        loading: loading,
        slider: false
      }) : /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.Fragment, {
        children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(_components_Slider_Slider__WEBPACK_IMPORTED_MODULE_8__/* .default */ .Z, {
          slider: true
        })
      })
    }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(_components_DTH_DTH__WEBPACK_IMPORTED_MODULE_9__/* .default */ .Z, {}), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(_components_AboutUS__WEBPACK_IMPORTED_MODULE_10__/* .default */ .Z, {}), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx(_components_GetOnStore__WEBPACK_IMPORTED_MODULE_11__/* .default */ .Z, {})]
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Mobile);
});

/***/ }),

/***/ 2104:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Sc": () => (/* binding */ initialValues),
/* harmony export */   "zF": () => (/* binding */ columns),
/* harmony export */   "yK": () => (/* binding */ useStyles)
/* harmony export */ });
/* unused harmony export validate */
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var utils_customFunctions__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1944);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9440);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_2__);



/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const validate = values => {
  const errors = {};

  if (values.mbl.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }

  if (!values.recharge_amount || values.recharge_amount === "") {
    errors.recharge_amount = "Recharge amount is required.";
  } else if (!checkNumeric(values.recharge_amount)) {
    errors.recharge_amount = "Only Numeric values are allowed.";
  }

  return errors;
};

const initialValues = {
  recharge_type: "PREPAID",
  mbl: "",
  Operator: "",
  Circle: "",
  operator_name: "",
  recharge_amount: ""
};
const columns = [{
  id: "Type",
  align: "center",
  minWidth: 90,
  label: "Recharge Type",
  textTransform: "capitalize"
}, {
  id: "validity",
  align: "center",
  minWidth: 120,
  label: "Validity",
  textTransform: "uppercase" // textTransformFirstChar: true,

}, {
  id: "desc",
  align: "left",
  minWidth: 90,
  label: "Description",
  // textTransform: 'lowercase',
  textTransformFirstChar: true
}, {
  id: "rs",
  align: "center",
  minWidth: 90,
  label: "Price",
  textTransform: "lowercase",
  button: true // textTransformFirstChar: true,

}];
const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  root: {},
  loadingButton: {
    "&:disabled": {
      cursor: "not-allowed",
      pointerEvents: "all !important"
    }
  }
}));


/***/ })

};
;