"use strict";
exports.id = 8615;
exports.ids = [8615];
exports.modules = {

/***/ 8615:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3804);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6731);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__);






const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.makeStyles)(theme => ({
  root: {
    padding: theme.spacing(2, 0, 2, 0)
  },
  link: {
    color: _material_ui_core__WEBPACK_IMPORTED_MODULE_2__.colors.blue[600],
    cursor: "pointer",
    fontSize: 14,
    textTransform: "capitalize"
  },
  disabledItem: {
    color: _material_ui_core__WEBPACK_IMPORTED_MODULE_2__.colors.grey[500],
    textTransform: "capitalize",
    fontSize: 14
  },
  linkLast: {
    color: _material_ui_core__WEBPACK_IMPORTED_MODULE_2__.colors.grey[500],
    textTransform: "capitalize",
    fontSize: 14
  }
}));

const GeneralBreadcrumbs = ({
  disabledItems
}) => {
  const router = (0,next_router__WEBPACK_IMPORTED_MODULE_3__.useRouter)();
  const classes = useStyles();
  const {
    asPath,
    query
  } = router;
  const pathnames = router.pathname.split("/").filter(x => x);
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx("div", {
    className: classes.root,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.Breadcrumbs, {
      separator: "\u203A",
      "aria-label": "breadcrumb",
      children: [pathnames.length > 0 ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.Link, {
        className: classes.link,
        onClick: () => router.push("/mobile"),
        children: "Home"
      }) : /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.Typography, {
        variant: "body2",
        children: " Home "
      }), pathnames.map((name, index) => {
        let routeTo = `/${pathnames.slice(0, index + 1).join("/")}`;
        const isLast = index === pathnames.length - 1;
        return isLast ? /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.Typography, {
          className: classes.linkLast,
          variant: "body2",
          children: name.replace("-", " ")
        }, name) : /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_2__.Link, {
          className: classes.link,
          onClick: () => router.push(routeTo),
          children: name.replace("-", " ")
        }, name);
      })]
    })
  });
}; // Breadcrumbs.propTypes = {
//   disabledItems: PropTypes.array.isRequired,
// };


/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (GeneralBreadcrumbs);

/***/ })

};
;