(() => {
var exports = {};
exports.id = 2888;
exports.ids = [2888];
exports.modules = {

/***/ 9691:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ _app)
});

// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
;// CONCATENATED MODULE: ./hooks/useMounted.jsx

const useMounted = () => {
  const {
    0: hasMounted,
    1: setHasMounted
  } = (0,external_react_.useState)(false);
  (0,external_react_.useEffect)(() => {
    setHasMounted(true);
  }, []);
  return {
    hasMounted
  };
};
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/Drawer/Drawer.js + 3 modules
var Drawer = __webpack_require__(7159);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/Layout/Drawer/Drawer.js





const MaterialDrawer = ({
  handleDrawerClose,
  open,
  setOpen,
  children
}) => {
  // const drawerState = useSelector((state) => state.drawer);
  // const { modal } = drawerState;
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/jsx_runtime_.jsx(Drawer/* default */.ZP, {
      anchor: 'right',
      open: open,
      onClose: handleDrawerClose,
      children: children
    })
  });
};

/* harmony default export */ const Drawer_Drawer = (MaterialDrawer);
;// CONCATENATED MODULE: external "@material-ui/icons/AccountBalanceWalletOutlined"
const AccountBalanceWalletOutlined_namespaceObject = require("@material-ui/icons/AccountBalanceWalletOutlined");
var AccountBalanceWalletOutlined_default = /*#__PURE__*/__webpack_require__.n(AccountBalanceWalletOutlined_namespaceObject);
// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(3804);
var external_lodash_default = /*#__PURE__*/__webpack_require__.n(external_lodash_);
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
;// CONCATENATED MODULE: ./public/assets/images/logos/logo.png
/* harmony default export */ const logo = ({"src":"/_next/static/image/public/assets/images/logos/logo.9a72b6f4e418ff29a37dc903a25a73c3.png","height":58,"width":225,"blurDataURL":"data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAACCAMAAABSSm3fAAAAIVBMVEWreUp0hXubfFj/YADzaAkGnt0ApPYFnt0/kap6hHWWfV18nW5SAAAAC3RSTlNceTdUaElwUWZciaaBWAkAAAAJcEhZcwAALiMAAC4jAXilP3YAAAAaSURBVAiZY2DkYmJmZmRjZ+BkYGJgYeBgBQACPwA+4PzfWgAAAABJRU5ErkJggg=="});
// EXTERNAL MODULE: ./redux/actions/drawer.actions.js
var drawer_actions = __webpack_require__(9159);
// EXTERNAL MODULE: external "styled-jsx/style"
var style_ = __webpack_require__(3289);
var style_default = /*#__PURE__*/__webpack_require__.n(style_);
// EXTERNAL MODULE: external "@material-ui/icons"
var icons_ = __webpack_require__(7985);
;// CONCATENATED MODULE: ./config/menuData.js


const menuData = [{
  id: 1,
  href: "/mobile",
  name: "Home",
  authenticatedRoute: false,
  icon: /*#__PURE__*/jsx_runtime_.jsx(icons_.Apps, {})
}, {
  id: 2,
  href: "/passbook",
  name: "Passbook",
  authenticatedRoute: true,
  icon: /*#__PURE__*/jsx_runtime_.jsx(icons_.LibraryBooks, {})
}, {
  id: 3,
  href: "/profile",
  name: "Profile Settings",
  authenticatedRoute: true,
  icon: /*#__PURE__*/jsx_runtime_.jsx(icons_.Person, {})
}, {
  id: 4,
  href: "/complaints",
  name: "Complaints",
  authenticatedRoute: true,
  icon: /*#__PURE__*/jsx_runtime_.jsx(icons_.ReportProblem, {})
}, {
  id: 5,
  href: "/contact",
  name: "Get in Touch",
  authenticatedRoute: false,
  icon: /*#__PURE__*/jsx_runtime_.jsx(icons_.PhoneAndroidRounded, {})
}];
// EXTERNAL MODULE: ./components/ActiveLink.jsx
var ActiveLink = __webpack_require__(8634);
// EXTERNAL MODULE: ./redux/constants/auth.constants.js
var auth_constants = __webpack_require__(9597);
// EXTERNAL MODULE: ./redux/actions/auth.actions.js
var auth_actions = __webpack_require__(4859);
// EXTERNAL MODULE: ./screens/MyProfile/MyProfileComponent.jsx + 2 modules
var MyProfileComponent = __webpack_require__(3309);
// EXTERNAL MODULE: ./screens/LoginComponent/index.js + 1 modules
var LoginComponent = __webpack_require__(9974);
// EXTERNAL MODULE: ./components/Layout/Drawer/ModalExample.js
var ModalExample = __webpack_require__(3175);
;// CONCATENATED MODULE: ./components/Layout/Drawer/DrawerList.js


/* eslint-disable jsx-a11y/anchor-is-valid */





 // import logo from "@/images/logos/logo.png";












const useStyles = (0,core_.makeStyles)(theme => ({
  wrapper: {
    width: 266,
    display: "flex",
    justifyContent: "center"
  },
  container: {
    width: 266,
    padding: theme.spacing(2, 0, 0, 2),
    overflow: "hidden",
    display: "flex",
    justifyContent: "center",
    alignItems: "center"
  },
  logo: {
    width: 266,
    padding: theme.spacing(2, 0, 0, 4)
  },
  list: {
    width: 250
  },
  fullList: {
    width: "auto"
  },
  buttons: {
    display: "flex",
    justifyContent: "space-between",
    alignItems: "center",
    width: 250,
    flexDirection: "column",
    flexWrap: "wrap"
  },
  btn: {
    margin: theme.spacing(1)
  },
  imageLogo: {
    cursor: "pointer"
  },
  loginButtonContainer: {
    paddingTop: 16,
    paddingBottom: 16,
    paddingLeft: 16,
    // paddingRight: 16,
    marginRight: -16,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    width: "266px" // backgroundColor: theme.palette.secondary.main,

  },
  loginButtonContainerLoggedIn: {
    paddingTop: 16,
    paddingBottom: 16,
    paddingLeft: 0,
    paddingRight: 16,
    // marginRight: -16,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    width: "266px",
    flexDirection: "row" // backgroundColor: theme.palette.secondary.main,

  },
  profileButton: {
    paddingTop: 8,
    paddingBottom: 16,
    paddingLeft: 16,
    paddingRight: 16,
    // marginRight: -16,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    width: "266px",
    flexDirection: "column" // backgroundColor: theme.palette.secondary.main,

  }
}));

const DrawerList = ({
  setOpen
}) => {
  const router = (0,router_.useRouter)();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const classes = useStyles();
  const {
    userInfo
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
    children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
      className: classes.wrapper,
      children: /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: classes.container,
        children: /*#__PURE__*/jsx_runtime_.jsx("div", {
          className: classes.logo,
          children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
            src: "/assets/images/logos/logo.png",
            alt: "Aaipay : Pay With Faith",
            width: 160,
            height: 50,
            className: classes.imageLogo,
            onClick: e => {
              e.preventDefault();
              router.push("/mobile");
            }
          })
        })
      })
    }), /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: classes.buttons,
      children: userInfo && !external_lodash_default().isEmpty(userInfo) ? /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
        children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
          // style={{
          //   display: "flex",
          //   justifyContent: "flex-start",
          //   alignItems: "center",
          //   width: 250,
          //   paddingRight: theme.spacing(2),
          //   paddingLeft: theme.spacing(2),
          //   marginTop: 20,
          // }}
          className: classes.loginButtonContainerLoggedIn,
          children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Avatar, {
            style: {
              marginRight: 10,
              height: 32,
              width: 32
            },
            children: /*#__PURE__*/jsx_runtime_.jsx(icons_.PersonOutline, {
              color: "primary",
              style: {
                fontSize: 20
              }
            })
          }), /*#__PURE__*/jsx_runtime_.jsx("div", {
            onClick: () => console.log(userInfo),
            "aria-hidden": "true",
            children: /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
              style: {
                fontSize: 14,
                textTransform: "capitalize",
                fontWeight: 500
              },
              children: userInfo.Name
            })
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx("div", {
          className: classes.profileButton,
          children: /*#__PURE__*/jsx_runtime_.jsx(core_.Button, {
            variant: "contained",
            color: "primary",
            fullWidth: true,
            style: {
              width: "80%"
            } // onClick={() => {
            //   dispatch(closeDrawer({ modalProps: { open: false } }));
            //   dispatch(
            //     openDrawer({
            //       modalType: ModalExample,
            //       modalProps: {
            //         component: <MyProfileComponent userInfo={userInfo} />,
            //         open: true,
            //         widthDrawer: 800,
            //         title: "My Profile",
            //         closeDrawerAction: true,
            //       },
            //     })
            //   );
            // }}
            ,
            children: "Complete KYC"
          })
        })]
      }) : /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: classes.loginButtonContainer,
        children: /*#__PURE__*/jsx_runtime_.jsx(core_.Button, {
          variant: "contained",
          color: "primary",
          onClick: () => {
            dispatch((0,drawer_actions/* openDrawer */.F)({
              modalType: ModalExample/* default */.Z,
              modalProps: {
                component: /*#__PURE__*/jsx_runtime_.jsx(LoginComponent/* default */.Z, {}),
                open: true,
                widthDrawer: 800,
                title: "Login",
                closeDrawerAction: true
              }
            }));
            dispatch({
              type: auth_constants/* RESET_OTP_STATUS */.s
            });
            dispatch({
              type: auth_constants/* RESET_REGISTER_STATUS */.CX
            });
          },
          children: "Log in | Sign Up"
        })
      })
    }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {}), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.List, {
      className: classes.fullList,
      children: [external_lodash_default().isEmpty(userInfo) ? menuData.filter(item => {
        return item.authenticatedRoute === false;
      }).map(selList => /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.ListItem, {
        button: true,
        className: classes.list,
        children: [" ", /*#__PURE__*/jsx_runtime_.jsx((style_default()), {
          id: "2889312363",
          children: [".nav-link.jsx-2889312363{-webkit-text-decoration:none;text-decoration:none;}", ".active.jsx-2889312363{font-weight:600;}"]
        }), /*#__PURE__*/jsx_runtime_.jsx(core_.ListItemIcon, {
          children: selList === null || selList === void 0 ? void 0 : selList.icon
        }), /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: selList.href,
          onClick: () => dispatch((0,drawer_actions/* closeDrawer */.d)({
            modalProps: {
              open: false
            }
          })),
          activeclassname: "active",
          children: /*#__PURE__*/jsx_runtime_.jsx("span", {
            href: selList.href,
            className: "jsx-2889312363",
            children: selList.name
          })
        })]
      }, selList.id)) : menuData.map(selList => /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.ListItem, {
        button: true,
        className: classes.list,
        children: [/*#__PURE__*/jsx_runtime_.jsx((style_default()), {
          id: "455281222",
          children: [".nav-link.jsx-455281222{-webkit-text-decoration:none;text-decoration:none;}", ".active.jsx-455281222{font-weight:600;}"]
        }), /*#__PURE__*/jsx_runtime_.jsx(core_.ListItemIcon, {
          children: selList === null || selList === void 0 ? void 0 : selList.icon
        }), /*#__PURE__*/jsx_runtime_.jsx(ActiveLink/* default */.Z, {
          href: selList.href,
          onClick: () => dispatch((0,drawer_actions/* closeDrawer */.d)({
            modalProps: {
              open: false
            }
          })),
          activeclassname: "active",
          children: /*#__PURE__*/jsx_runtime_.jsx("span", {
            href: selList.href,
            className: "jsx-455281222",
            children: selList.name
          })
        })]
      }, selList.id)), !external_lodash_default().isEmpty(userInfo) ? /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.ListItem, {
        button: true,
        style: {
          cursor: "pointer"
        },
        className: classes.list,
        onClick: () => {
          dispatch((0,auth_actions/* logout */.kS)());
          dispatch((0,drawer_actions/* closeDrawer */.d)({
            modalProps: {
              open: false
            }
          }));
          setTimeout(() => {
            if (window.location.href !== `${window.location.origin}/mobile`) {
              // Redirect logic
              setTimeout(() => {
                window.location.href = "/mobile";
              }, 3000);
            }
          }, 1000);
        },
        children: [/*#__PURE__*/jsx_runtime_.jsx(core_.ListItemIcon, {
          children: /*#__PURE__*/jsx_runtime_.jsx(icons_.PowerSettingsNew, {})
        }), /*#__PURE__*/jsx_runtime_.jsx(core_.ListItemText, {
          primary: "Log Out"
        })]
      }) : null]
    })]
  });
};

/* harmony default export */ const Drawer_DrawerList = (DrawerList);
;// CONCATENATED MODULE: ./components/Layout/Header/index.js

 // import { CgUserList } from "react-icons/cg";







 // import MaterialDrawerRedux from "../Drawer/DrawerRedux";


 // import SignUpComponent from "@/components/SignUpComponent";




const Header_useStyles = (0,core_.makeStyles)(() => ({
  imageLogo: {
    flexGrow: 1,
    cursor: "pointer"
  },
  title: {
    flexGrow: 1
  },
  logo: {
    width: "100px"
  }
}));
function Header({
  setOpen
}) {
  const dispatch = (0,external_react_redux_.useDispatch)();
  const classes = Header_useStyles();
  const router = (0,router_.useRouter)();
  const {
    userInfo,
    isAuthenticated,
    loading
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const {
    wallet_balance
  } = (0,external_react_redux_.useSelector)(state => state.passbook);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    className: classes.root,
    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.CssBaseline, {}), /*#__PURE__*/jsx_runtime_.jsx(core_.AppBar, {
      position: "fixed",
      color: "inherit",
      children: /*#__PURE__*/jsx_runtime_.jsx(core_.Container, {
        maxWidth: "lg",
        children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Toolbar, {
          style: {
            width: "100%"
          },
          children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
            item: true,
            xs: 4,
            children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
              src: logo,
              alt: "Aaipay",
              width: 130,
              height: 40,
              className: classes.imageLogo,
              onClick: e => {
                e.preventDefault();
                router.push("/mobile");
              }
            })
          }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
            item: true,
            xs: 8,
            children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
              style: {
                // position: "absolute",
                // right: 20,
                display: "flex",
                alignItems: "center",
                justifyContent: "flex-end"
              },
              children: [isAuthenticated ? /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
                style: {
                  // position: "absolute",
                  // right: 20,
                  display: "flex",
                  alignItems: "center",
                  justifyContent: "center",
                  marginRight: "1.5rem"
                },
                children: [/*#__PURE__*/jsx_runtime_.jsx((AccountBalanceWalletOutlined_default()), {
                  color: "primary",
                  style: {
                    marginRight: "0.4rem"
                  }
                }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                  variant: "subtitle2",
                  color: "primary",
                  children: ["\u20B9", wallet_balance]
                })]
              }) : null, /*#__PURE__*/jsx_runtime_.jsx(core_.Hidden, {
                smDown: true,
                children: userInfo && !external_lodash_default().isEmpty(userInfo) ? /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                  variant: "subtitle2",
                  component: "div" // color="primary"
                  // variant="contained"
                  ,
                  color: "primary",
                  style: {
                    marginRight: 20,
                    textTransform: "capitalize"
                  } // style={{ marginRight: 10 }}
                  ,
                  children: ["Hi , ", userInfo.Name.split(" ")[0]]
                }) : /*#__PURE__*/jsx_runtime_.jsx(core_.Button // variant="outlined"
                // color="primary"
                , {
                  variant: "contained",
                  color: "primary",
                  style: {
                    marginRight: 20
                  },
                  className: external_lodash_default().isEmpty(userInfo) && loading ? `loading` : `loaded`,
                  onClick: () => {
                    dispatch((0,drawer_actions/* openDrawer */.F)({
                      modalType: ModalExample/* default */.Z,
                      modalProps: {
                        component: /*#__PURE__*/jsx_runtime_.jsx(LoginComponent/* default */.Z, {}),
                        open: true,
                        // setOpen: setOpen,
                        widthDrawer: 800,
                        title: "Login",
                        closeDrawerAction: true
                      }
                    }));
                    dispatch({
                      type: auth_constants/* RESET_OTP_STATUS */.s
                    });
                    dispatch({
                      type: auth_constants/* RESET_REGISTER_STATUS */.CX
                    });
                  } // style={{ marginRight: 10 }}
                  ,
                  children: "Log in | Sign Up"
                })
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.IconButton, {
                edge: "start",
                className: classes.menuButton,
                color: "inherit",
                "aria-label": "menu" // onClick={() => setOpen(true)}
                ,
                onClick: () => dispatch((0,drawer_actions/* openDrawer */.F)({
                  modalType: ModalExample/* default */.Z,
                  modalProps: {
                    component: /*#__PURE__*/jsx_runtime_.jsx(Drawer_DrawerList, {}),
                    open: true,
                    // setOpen: setOpen,
                    widthDrawer: 300,
                    closeDrawerAction: false
                  }
                })),
                children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                  src: "https://res.cloudinary.com/dsklvul34/image/upload/v1636443843/userIcon3_hnwbzz.png",
                  alt: "",
                  width: "30",
                  height: "30"
                })
              })]
            })
          })]
        })
      })
    })]
  });
}
// EXTERNAL MODULE: ./config/navData.js
var navData = __webpack_require__(9298);
// EXTERNAL MODULE: ./node_modules/next/link.js
var next_link = __webpack_require__(1664);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
;// CONCATENATED MODULE: ./components/Layout/Footer/FooterItems.jsx
/* eslint-disable jsx-a11y/anchor-is-valid */





const FooterItems = ({
  listHead,
  listItems
}) => {
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    className: "footer-list-wrap",
    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
      variant: "body1",
      component: "div",
      className: "ftr-hdr",
      children: listHead
    }), listItems.map((item, index) => /*#__PURE__*/jsx_runtime_.jsx("ul", {
      className: "ftr-links-sub",
      children: /*#__PURE__*/jsx_runtime_.jsx("li", {
        children: /*#__PURE__*/jsx_runtime_.jsx(next_link.default, {
          href: `${item.href}`,
          children: /*#__PURE__*/jsx_runtime_.jsx("a", {
            children: item.title
          })
        })
      })
    }, index))]
  });
};

/* harmony default export */ const Footer_FooterItems = (FooterItems);
;// CONCATENATED MODULE: ./components/Layout/Footer/SocialIcons/SocialIcon.jsx



const SocialIcon = ({
  href,
  alt,
  src,
  width,
  height
}) => {
  return /*#__PURE__*/jsx_runtime_.jsx("li", {
    children: /*#__PURE__*/jsx_runtime_.jsx("a", {
      href: href,
      target: "_blank",
      rel: "noreferrer",
      children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
        width: width,
        height: height,
        alt: alt,
        src: src,
        title: href
      })
    })
  });
};

/* harmony default export */ const SocialIcons_SocialIcon = (SocialIcon);
;// CONCATENATED MODULE: ./components/Layout/Footer/SocialIcons/index.jsx




const SocialIcons = () => {
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    className: "footer-social",
    children: [/*#__PURE__*/jsx_runtime_.jsx("h6", {
      className: "ftr-hdr",
      children: "Follow Us"
    }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("ul", {
      children: [/*#__PURE__*/jsx_runtime_.jsx(SocialIcons_SocialIcon, {
        href: "https://www.facebook.com/aaipayin",
        width: "28",
        height: "28",
        alt: "Like us on Facebook",
        src: "https://res.cloudinary.com/dsklvul34/image/upload/v1636805925/social-icons/fb_nty9vy.png"
      }), /*#__PURE__*/jsx_runtime_.jsx(SocialIcons_SocialIcon, {
        href: "https://linkedin.com/in/aaipayin",
        width: "28",
        height: "28",
        alt: "Follow us on LinkedIn",
        src: "https://res.cloudinary.com/dsklvul34/image/upload/v1638190509/social-icons/linkedin_nr9zq8.png"
      }), /*#__PURE__*/jsx_runtime_.jsx(SocialIcons_SocialIcon, {
        href: "https://in.pinterest.com/aaipay0076",
        width: 28,
        height: 28,
        alt: "Follow us on Pinterest",
        src: "https://res.cloudinary.com/dsklvul34/image/upload/v1636805922/social-icons/pin-badge_rpaqc4.png"
      }), /*#__PURE__*/jsx_runtime_.jsx(SocialIcons_SocialIcon, {
        href: "https://www.instagram.com/aaipayin",
        width: 28,
        height: 28,
        alt: "Follow us on Instagram",
        src: "https://res.cloudinary.com/dsklvul34/image/upload/v1638190639/social-icons/insta_xrbmdn.png"
      }), /*#__PURE__*/jsx_runtime_.jsx(SocialIcons_SocialIcon, {
        href: "https://twitter.com/aaipayin",
        width: 28,
        height: 28,
        alt: "Follow us on Twitter",
        src: "https://res.cloudinary.com/dsklvul34/image/upload/v1638190919/social-icons/Twitter_x37clr.webp"
      })]
    })]
  });
};

/* harmony default export */ const Footer_SocialIcons = (SocialIcons);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
;// CONCATENATED MODULE: ./config/footerData.js
const footerData = [{
  id: 1,
  title: "About Us",
  href: "/about",
  type: "quick-link"
}, // { id: 2, title: "Our Blogs", href: "javascript:void(0)", type: "quick-link" },
{
  id: 3,
  title: "Contact Us",
  href: "/contact-us",
  type: "quick-link"
}, {
  id: 4,
  title: "Privacy Policy",
  href: "/privacy-policy",
  type: "our-terms"
}, {
  id: 5,
  title: "Terms Of Use",
  href: "/terms-of-use",
  type: "our-terms"
}, {
  id: 6,
  title: "Refund Policy",
  href: "/refund-policy",
  type: "our-terms"
}];
/* harmony default export */ const config_footerData = (footerData);
;// CONCATENATED MODULE: ./components/Layout/Footer/index.js
/* eslint-disable jsx-a11y/anchor-is-valid */















const Footer = () => {
  const {
    categories,
    loading
  } = (0,external_react_redux_.useSelector)(state => state.category);
  const allData = categories.map(item => {
    return {
      id: item.serviceId,
      title: item.serviceTypeName
    };
  });
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();
  const fullNavdata = (0,customFunctions/* mergeArrayObjects */.ge)(allData, navData/* default */.Z);
  const cat1 = fullNavdata.slice(0, 4);
  const cat2 = fullNavdata.slice(4, 8);
  const cat3 = fullNavdata.slice(8, 12);
  const cat4 = fullNavdata.slice(12, 16);
  const cat5 = fullNavdata.slice(16, 20);
  const quickLinks = config_footerData.filter(item => item.type === "quick-link");
  const ourTerms = config_footerData.filter(item => item.type === "our-terms");
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
    children: [/*#__PURE__*/jsx_runtime_.jsx("footer", {
      children: /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: "footer-gray",
        children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
          className: "footer-custom",
          children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            className: "footer-lists",
            children: [/*#__PURE__*/jsx_runtime_.jsx(Footer_FooterItems, {
              listItems: [...quickLinks],
              listHead: "Quick Links"
            }), /*#__PURE__*/jsx_runtime_.jsx(Footer_FooterItems, {
              listItems: [...cat1],
              listHead: "Our Services"
            }), /*#__PURE__*/jsx_runtime_.jsx(Footer_FooterItems, {
              listItems: [...cat3],
              listHead: "Our Services"
            })]
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            className: "footer-lists",
            children: [/*#__PURE__*/jsx_runtime_.jsx(Footer_FooterItems, {
              listItems: [...cat2],
              listHead: "Our Services"
            }), /*#__PURE__*/jsx_runtime_.jsx(Footer_FooterItems, {
              listItems: [...cat5],
              listHead: "Our Services"
            }), /*#__PURE__*/jsx_runtime_.jsx(Footer_FooterItems, {
              listItems: [...ourTerms],
              listHead: "Our Terms"
            })]
          }), /*#__PURE__*/jsx_runtime_.jsx("div", {
            className: "footer-email",
            children: /*#__PURE__*/jsx_runtime_.jsx("div", {
              id: "ftr-email",
              className: "ftr-email-form",
              children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                src: "/assets/images/logos/logo.png",
                width: "225",
                height: "58",
                alt: "Aaipay"
              })
            })
          }), /*#__PURE__*/jsx_runtime_.jsx(Footer_SocialIcons, {})]
        })
      })
    }), /*#__PURE__*/jsx_runtime_.jsx("footer", {
      children: /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: "footer-dark-gray",
        children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
          className: "footer-custom",
          style: {
            textAlign: "center",
            fontSize: "14px"
          },
          children: ["Aaiji Technology \xA9 ", new Date().getFullYear(), " All Rights Reserved."]
        })
      })
    })]
  });
};

/* harmony default export */ const Layout_Footer = (Footer);
;// CONCATENATED MODULE: ./components/Layout/index.js








const Layout_useStyles = (0,core_.makeStyles)(theme => ({
  mainContent: {// minHeight: `calc(100vh - ${65}px) !important`,
    // marginTop: 65,
  }
}));
function Layout(props) {
  const classNamees = Layout_useStyles();
  const {
    hasMounted
  } = useMounted();
  const drawerWidth = 200;
  const {
    0: open,
    1: setOpen
  } = (0,external_react_.useState)(false);

  const handleDrawerClose = () => {
    setOpen(false);
  };

  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    style: {
      display: hasMounted ? "block" : "none"
    },
    children: [/*#__PURE__*/jsx_runtime_.jsx(core_.CssBaseline, {}), /*#__PURE__*/jsx_runtime_.jsx(Header, {
      open: open,
      setOpen: setOpen
    }), /*#__PURE__*/jsx_runtime_.jsx(Drawer_Drawer, {
      open: open,
      setOpen: setOpen,
      handleDrawerClose: handleDrawerClose,
      drawerWidth: drawerWidth
    }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("main", {
      children: [/*#__PURE__*/jsx_runtime_.jsx(core_.CssBaseline, {}), props.children]
    }), /*#__PURE__*/jsx_runtime_.jsx(Layout_Footer, {})]
  });
}
// EXTERNAL MODULE: ./node_modules/@material-ui/core/esm/styles/createTheme.js + 15 modules
var createTheme = __webpack_require__(7850);
// EXTERNAL MODULE: external "@material-ui/styles"
var styles_ = __webpack_require__(4047);
// EXTERNAL MODULE: external "react-transition-group"
var external_react_transition_group_ = __webpack_require__(3810);
// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
;// CONCATENATED MODULE: ./components/Layout/Drawer/DrawerRedux.js
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }











 // Styels




const DrawerRedux_useStyles = (0,core_.makeStyles)(theme => ({
  listTransitionEnter: {
    transform: props => props && props.windowWidth < 768 ? `-${100}vw` : `translateX(-${props.drawerWidth}px)`,
    transitionTimingFunction: "linear",
    transition: `transform 300ms`
  },
  listTransitionEnterActive: {
    transform: `translateX(${0}px)`,
    transition: `transform 300ms`
  },
  listTransitionExit: {
    transform: `translateX(${0}px)`,
    transitionTimingFunction: "linear"
  },
  listTransitionExitActive: {
    // transform: (props) =>
    //   props && props.drawerWidth > props.windowWidth
    //     ? `translateX(${props.drawerWidth}px)`
    //     : `translateX(${100}vw)`,
    transform: props => props && props.windowWidth < 768 ? `${100}vw` : `translateX(${props.drawerWidth}px)`,
    transitionTimingFunction: "linear",
    transition: `transform 300ms`
  },

  /*   -webkit-transition: transform 200ms;
    -webkit-transition: -webkit-transform 200ms */
  // mainContent: {
  //   width: width > 600 ? `70vw` : `100vw`,
  //   padding: 16,
  // },
  drawerTitle: {
    paddingRight: "0px",
    paddingLeft: "10px",
    display: "flex",
    backgroundColor: "#FFFFFF"
  },
  paper: {
    backgroundColor: "#EFF3FB"
  },
  titleBar: {
    backgroundColor: theme.palette.primary.main,
    padding: "5px 5px 5px 16px"
  },
  drawerTitleTypography: {
    flexGrow: 1,
    lineHeight: 3,
    fontSize: "1.2rem",
    fontWeight: 500,
    textTransform: "capitalize"
  },
  actionButton: {
    zIndex: theme.zIndex.drawer - 1 // position: 'relative',
    // right: '10px',

  }
})); // Styles End

const MaterialDrawerRedux = () => {
  const windowWidth = (0,useWindowSize/* useWindowSize */.i)();
  const theme = (0,styles_.useTheme)();
  const drawerState = (0,external_react_redux_.useSelector)(state => state.drawer);
  let {
    modalType,
    modalProps
  } = drawerState;
  const {
    widthDrawer,
    open,
    title,
    btnText,
    btnFunction,
    closeDrawerAction
  } = modalProps;
  const classes = DrawerRedux_useStyles({
    drawerWidth: widthDrawer,
    windowWidth: windowWidth.width
  });
  const {
    0: openDrawer,
    1: setOpenDrawer
  } = (0,external_react_.useState)(open);
  (0,external_react_.useEffect)(() => {
    setOpenDrawer(open);
  }, [open, setOpenDrawer]);

  const toggleDrawer = (anchor, open) => event => {
    if (event && event.type === "keydown" && (event.key === "Tab" || event.key === "Shift")) {
      return;
    }

    setOpenDrawer(_objectSpread(_objectSpread({}, openDrawer), {}, {
      open
    }));
  };

  const dispatch = (0,external_react_redux_.useDispatch)();

  const handleDrawerClose = () => {
    // dispatch(
    //   closeDrawer({
    //     modalProps: { open: false },
    //   })
    // );
    setOpenDrawer(false);
    setTimeout(() => {
      dispatch((0,drawer_actions/* closeDrawer */.d)({
        modalProps: {
          open: false
        }
      }));
    }, 500); // toggleDrawer('right', modalProps.open);
  };

  const SpecificModal = modalType;
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(Drawer/* default */.ZP, {
      classes: {
        paper: classes.paper
      },
      anchor: "right",
      open: openDrawer,
      onClose: handleDrawerClose // BackdropProps={{ invisible: true }}
      // transitionDuration={{ enter: 500, exit: 500 }}
      ,
      children: [closeDrawerAction ? /*#__PURE__*/jsx_runtime_.jsx("div", {
        className: classes.titleBar,
        children: /*#__PURE__*/jsx_runtime_.jsx("div", {
          className: classes.drawerTitle,
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.ActionButton */.Z.ActionButton, {
            style: {
              position: "absolute",
              right: "0px",
              top: "5px",
              width: 40,
              height: 40
            } // color="primary"
            ,
            onClick: () => {
              setOpenDrawer(false);
              setTimeout(() => {
                dispatch((0,drawer_actions/* closeDrawer */.d)({
                  modalProps: {
                    open: false
                  }
                }));
              }, 500); // removeValue && setValues({ removeValue: null });
            },
            children: /*#__PURE__*/jsx_runtime_.jsx(icons_.Close, {})
          })
        })
      }) : null, modalType && /*#__PURE__*/jsx_runtime_.jsx(SpecificModal, _objectSpread({}, drawerState))]
    })
  });
};

/* harmony default export */ const DrawerRedux = (MaterialDrawerRedux);
/*  <Drawer
      classes={{ paper: classes.paper }}
      anchor="right"
      open={openSlider}
      // onClose={onClose}
      disableBackdropClick={true}
    >
      <div className={classes.titleBar}>
        <div className={classes.drawerTitle}>
          <Controls.ActionButton
            style={{
              position: 'relative',
              left: '-10px',
              top: '5px',
              width: 40,
              height: 40
            }}
            color="secondary"
            onClick={() => {
              setOpenSlider(false);
              // removeValue && setValues({ removeValue: null });
            }}
          >
            <CloseIcon />
          </Controls.ActionButton>
          <Typography
            variant="h6"
            component="div"
            className={classes.drawerTitleTypography}
          >
            {title}
          </Typography>
          {btnText && (
            <Controls.Button
              onClick={btnFunction}
              text={btnText}
              style={{
                height: 40
              }}
            />
          )}
        </div>
      </div>
      <Grid container className={classes.mainContent}>
        <Grid item xs={12}>
          {children}
        </Grid>
      </Grid>
    </Drawer> */
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: ./components/Layout/Modal/ModalRedux.js
var ModalRedux = __webpack_require__(9647);
// EXTERNAL MODULE: ./components/BackToTop.js
var BackToTop = __webpack_require__(6999);
// EXTERNAL MODULE: external "react-toastify"
var external_react_toastify_ = __webpack_require__(2034);
// EXTERNAL MODULE: ./node_modules/react-toastify/dist/ReactToastify.css
var ReactToastify = __webpack_require__(8819);
;// CONCATENATED MODULE: ./pages/_app.jsx
function _app_ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _app_objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { _app_ownKeys(Object(source), true).forEach(function (key) { _app_defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { _app_ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _app_defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }


















const theme = (0,createTheme/* default */.Z)({
  palette: {
    primary: {
      main: "#3da3e3",
      contrastText: "#fff"
    },
    secondary: {
      main: "#f46703"
    }
  }
});

function MyApp({
  Component,
  pageProps
}) {
  const dispatch = (0,external_react_redux_.useDispatch)();
  const router = (0,router_.useRouter)();
  const {
    isAuthenticated,
    loading
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const {
    isAuthenticated: auth
  } = (0,external_react_redux_.useSelector)(state => state.setOtp);
  const {
    status,
    isAuthenticated: authValidate
  } = (0,external_react_redux_.useSelector)(state => state.validateLogin);
  const mbl = external_js_cookie_default().get("mobile");
  const reg_id = external_js_cookie_default().get("regId");
  (0,external_react_.useEffect)(() => {
    if (!isAuthenticated && !auth) {
      dispatch((0,auth_actions/* loginValidate */.x4)({
        mobile: external_js_cookie_default().get("mobile"),
        password: external_js_cookie_default().get("password"),
        loginKey: external_js_cookie_default().get("loginKey"),
        ip: external_js_cookie_default().get("ip")
      }));
      dispatch((0,passbook_action/* getWalletBalance */.pd)({
        mbl,
        reg_id
      }));
    }
  }, [dispatch, isAuthenticated, auth, mbl, reg_id]);
  const mobile = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    dispatch((0,auth_actions/* userValidate */.gt)({
      mobile
    }));
  }, [dispatch, mobile]);
  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getWalletBalance */.pd)({
      mbl,
      reg_id
    }));
  }, [dispatch, mbl, reg_id]);
  (0,external_react_.useEffect)(() => {
    if (router.pathname !== "/payment-details") {
      external_js_cookie_default().remove("cpn");
    }
  }, [router]);
  return /*#__PURE__*/jsx_runtime_.jsx(styles_.ThemeProvider, {
    theme: theme,
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(Layout, {
      children: [/*#__PURE__*/jsx_runtime_.jsx(Component, _app_objectSpread({}, pageProps)), /*#__PURE__*/jsx_runtime_.jsx(DrawerRedux, {}), /*#__PURE__*/jsx_runtime_.jsx(ModalRedux/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(external_react_toastify_.ToastContainer, {
        autoClose: 2000
      }), /*#__PURE__*/jsx_runtime_.jsx(BackToTop/* default */.Z, {})]
    })
  });
}

/* harmony default export */ const _app = (store/* wrapper.withRedux */.YS.withRedux(MyApp));

/***/ }),

/***/ 8819:
/***/ (() => {



/***/ }),

/***/ 1172:
/***/ ((module) => {

"use strict";
module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/core");

/***/ }),

/***/ 7985:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/icons");

/***/ }),

/***/ 4508:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/utils");

/***/ }),

/***/ 7060:
/***/ ((module) => {

"use strict";
module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

"use strict";
module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

"use strict";
module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

"use strict";
module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

"use strict";
module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

"use strict";
module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

"use strict";
module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

"use strict";
module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

"use strict";
module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

"use strict";
module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 9325:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/server/denormalize-page-path.js");

/***/ }),

/***/ 822:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 5378:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/i18n/normalize-locale-path.js");

/***/ }),

/***/ 7162:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/mitt.js");

/***/ }),

/***/ 8773:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router-context.js");

/***/ }),

/***/ 2248:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/get-asset-path-from-route.js");

/***/ }),

/***/ 9372:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/is-dynamic.js");

/***/ }),

/***/ 665:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/parse-relative-url.js");

/***/ }),

/***/ 2747:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/querystring.js");

/***/ }),

/***/ 333:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/route-matcher.js");

/***/ }),

/***/ 3456:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/route-regex.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 7620:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/utils.js");

/***/ }),

/***/ 6731:
/***/ ((module) => {

"use strict";
module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

"use strict";
module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

"use strict";
module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

"use strict";
module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

"use strict";
module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

"use strict";
module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

"use strict";
module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

"use strict";
module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

"use strict";
module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

"use strict";
module.exports = require("react-redux");

/***/ }),

/***/ 6419:
/***/ ((module) => {

"use strict";
module.exports = require("react-slugify");

/***/ }),

/***/ 4506:
/***/ ((module) => {

"use strict";
module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

"use strict";
module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

"use strict";
module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

"use strict";
module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

"use strict";
module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

"use strict";
module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

"use strict";
module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

"use strict";
module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

"use strict";
module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

"use strict";
module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,1664,7159,9163,9583,4105,352,3044,2208,6941,8615,1388,3309,6999], () => (__webpack_exec__(9691)));
module.exports = __webpack_exports__;

})();