"use strict";
(() => {
var exports = {};
exports.id = 2521;
exports.ids = [2521];
exports.modules = {

/***/ 9219:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ about),
  "getStaticProps": () => (/* binding */ getStaticProps)
});

// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: external "@redux-saga/core"
var core_ = __webpack_require__(3530);
// EXTERNAL MODULE: ./components/CardComponentNoMedia/index.js
var CardComponentNoMedia = __webpack_require__(180);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: external "@material-ui/core"
var external_material_ui_core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
;// CONCATENATED MODULE: ./screens/AboutUsComponent/utils.js


/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const validate = values => {
  const errors = {};

  if (values.Mobile.length !== 10 || !checkNumeric(values.mbl)) {
    errors.mbl = "Invalid Mobile Number.";
  }

  if (!validateEmail(values.Email)) {
    errors.Email = "Invalid Email Address.";
  }

  if (!values.Email) {
    errors.Email = "Email address is required.";
  }

  if (!values.Name) {
    errors.Name = "Name is required.";
  }

  if (!values.recharge_amount || values.recharge_amount === "") {
    errors.recharge_amount = "Recharge amount is required.";
  }

  return errors;
};
/* initialValues: {
//       Mobile: props?.userInfo?.Mobile ? props?.userInfo?.Mobile : "",
//       Email: props?.userInfo?.Email ? props?.userInfo?.Email : "",
//       Address: props?.userInfo?.Address ? props?.userInfo?.Address : "",
//       gender:
//         props?.userInfo?.gender && props?.userInfo?.gender !== "NA"
//           ? props?.userInfo?.gender
//           : "male",
//       Name: props?.userInfo?.Name ? props?.userInfo?.Name : "",
//       zip: props?.userInfo?.zip ? props?.userInfo?.zip : "",
//       city: props?.userInfo?.city ? props?.userInfo?.city : "",
//       state: props?.userInfo?.state ? props?.userInfo?.state : "",
//       reg_date: props?.userInfo?.reg_date ? props?.userInfo?.reg_date : "",
//     }, */


const initialValues = {
  Mobile: "",
  Email: "",
  Address: "",
  gender: "male",
  Name: "",
  zip: "",
  city: "",
  state: "",
  reg_date: ""
};
const columns = [{
  id: "Type",
  align: "center",
  minWidth: 90,
  label: "Recharge Type",
  textTransform: "capitalize"
}, {
  id: "validity",
  align: "center",
  minWidth: 120,
  label: "Validity",
  textTransform: "uppercase" // textTransformFirstChar: true,

}, {
  id: "desc",
  align: "left",
  minWidth: 90,
  label: "Description",
  // textTransform: 'lowercase',
  textTransformFirstChar: true
}, {
  id: "rs",
  align: "center",
  minWidth: 90,
  label: "Price",
  textTransform: "lowercase",
  button: true // textTransformFirstChar: true,

}];
const useStyles = (0,external_material_ui_core_.makeStyles)(theme => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 500 // color: "#ccc",

  },
  text: {
    marginTop: theme.spacing(2)
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.secondary
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center"
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  },
  para2: {
    lineHeight: 1.8,
    display: "flex",
    alignItems: "center"
  }
}));

// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: external "@material-ui/icons/ArrowForward"
var ArrowForward_ = __webpack_require__(3219);
var ArrowForward_default = /*#__PURE__*/__webpack_require__.n(ArrowForward_);
// EXTERNAL MODULE: ./config/aboutCards.js
var aboutCards = __webpack_require__(2593);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/AboutUsComponent/AboutUsComponent.js
/* eslint-disable jsx-a11y/anchor-is-valid */










 // import MyProfileForm from "./_Form";





const TypographyPromise = ({
  text
}) => {
  const classes = useStyles();
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
    variant: "body1",
    className: classes.para2,
    component: "p",
    children: [/*#__PURE__*/jsx_runtime_.jsx((ArrowForward_default()), {
      style: {
        marginRight: 10,
        marginLeft: 0
      }
    }), text]
  });
};

const AboutUsComponent = () => {
  const classes = useStyles();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    isAuthenticated,
    loading: loadProf
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const {
    loading: loadPass
  } = (0,external_react_redux_.useSelector)(state => state.passbook);
  const reg_id = external_js_cookie_default().get("regId");
  const mobile = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getPassBook */.dp)({
      reg_id,
      mobile
    }));
  }, [dispatch, reg_id, mobile]);
  (0,external_react_.useEffect)(() => {
    isAuthenticated && dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl: mobile
    }));
  }, [dispatch, reg_id, mobile, isAuthenticated]);
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
        variant: "h6",
        style: {
          fontSize: 28,
          textTransform: "uppercase",
          marginBottom: 30
        },
        children: "About AaiPay"
      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
        container: true,
        spacing: 2,
        children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 6,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "The AaiPay wallet can be used across a host of payments services, including bill recharges, utility bill payments, cab bookings, ticket bookings, payments for groceries, as well as payments to online digital and offline retail stores. AaiPay bridges the digital divide between consumers and companies via swift recharges and bill payments at no extra cost for its online transactions. Be it prepaid, postpaid, DTH, data card, electricity, life insurance, landlines, gas, water, broadband, cable, municipality or Metro payments and traffic challans, AaiPay is best for one and all. The app also offers instant money transfer to family and friends with ease."
          }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: ["AaiPay is well known for its product innovation and cutting-edge technology. Earlier this year, it rolled out the first-of-its-kind instant credit product called ", `'Boost'`, " that ensures loan disbursal in a matter of 90 seconds. AaiPay is the first in the industry to give loans in a mobile wallet. It will be adding new products in its lending portfolio in the near future. With an extensive range of offerings in lending, AaiPay is on track to become one of ", `India's`, " largest lenders, in the times to come."]
          }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "We are on a mission to get millions of merchants both in organised and unorganised sector to be a part of the digital payments ecosystem. Our Chat-n-Pay service is all about social payments. It is an engaging and secure way for you to seamlessly Chat-n-Pay to friends, family, and merchants in less than 5 seconds. It also enables merchants, small or large to accept digital payments in less than 1 minute after registering on the Aaipay App."
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          md: 6,
          children: /*#__PURE__*/jsx_runtime_.jsx("div", {
            className: classes.imageContainer,
            children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
              src: "/assets/images/about-page.svg",
              alt: "About aaipay",
              width: 400,
              height: 400
            })
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            variant: "h6",
            style: {
              fontSize: 18,
              textTransform: "uppercase",
              marginBottom: 0
            },
            children: "We Promise"
          })
        }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(TypographyPromise, {
            text: "An easy and instant recharging process"
          }), /*#__PURE__*/jsx_runtime_.jsx(TypographyPromise, {
            text: "Hassle-free online experience"
          }), /*#__PURE__*/jsx_runtime_.jsx(TypographyPromise, {
            text: "Safe and secure payment process"
          }), /*#__PURE__*/jsx_runtime_.jsx(TypographyPromise, {
            text: "Best discounts available in the market"
          }), /*#__PURE__*/jsx_runtime_.jsx(TypographyPromise, {
            text: "Simple voucher redemption with no hidden costs or complex terms and conditions"
          }), /*#__PURE__*/jsx_runtime_.jsx(TypographyPromise, {
            text: "And a totally satisfied you, {`who'll`} want to come back to us again and again"
          }), /*#__PURE__*/jsx_runtime_.jsx(TypographyPromise, {
            text: " After all, you know {`it's`} a smart thing to do!"
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          container: true,
          spacing: 2,
          children: aboutCards/* default.map */.Z.map(about => {
            return /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
              item: true,
              xs: 12,
              sm: 6,
              md: 3,
              children: /*#__PURE__*/jsx_runtime_.jsx(CardComponentNoMedia/* default */.Z, {
                title: about.title,
                icon: about.icon,
                description: about.description,
                btnText: about.btnText
              })
            }, about.id);
          })
        })]
      })]
    })
  });
};

/* harmony default export */ const AboutUsComponent_AboutUsComponent = (AboutUsComponent);
;// CONCATENATED MODULE: ./screens/AboutUsComponent/index.js

// EXTERNAL MODULE: ./components/PageSecondary.jsx
var PageSecondary = __webpack_require__(5688);
;// CONCATENATED MODULE: ./pages/about/index.js







const About = () => {
  return /*#__PURE__*/jsx_runtime_.jsx(PageSecondary/* PageSecondary */.$, {
    title: "About Us",
    paper: false,
    children: /*#__PURE__*/jsx_runtime_.jsx(AboutUsComponent_AboutUsComponent, {})
  });
};

const getStaticProps = store/* wrapper.getStaticProps */.YS.getStaticProps(async ({
  store
}) => {
  // store.dispatch(getAllCategory());
  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  store.dispatch(core_.END);
  await store.sagaTask.toPromise();
});
/* harmony default export */ const about = (About);

/***/ }),

/***/ 1172:
/***/ ((module) => {

module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

module.exports = require("@material-ui/core");

/***/ }),

/***/ 5673:
/***/ ((module) => {

module.exports = require("@material-ui/core/");

/***/ }),

/***/ 7985:
/***/ ((module) => {

module.exports = require("@material-ui/icons");

/***/ }),

/***/ 3219:
/***/ ((module) => {

module.exports = require("@material-ui/icons/ArrowForward");

/***/ }),

/***/ 4508:
/***/ ((module) => {

module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 822:
/***/ ((module) => {

module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,9163,9583,5701,4105,352,2208,6941,8615,5688,4600], () => (__webpack_exec__(9219)));
module.exports = __webpack_exports__;

})();