"use strict";
(() => {
var exports = {};
exports.id = 5168;
exports.ids = [5168];
exports.modules = {

/***/ 8715:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ upi),
  "getServerSideProps": () => (/* binding */ getServerSideProps)
});

// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: external "@redux-saga/core"
var core_ = __webpack_require__(3530);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: external "@material-ui/core"
var external_material_ui_core_ = __webpack_require__(1731);
// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: external "formik"
var external_formik_ = __webpack_require__(7717);
// EXTERNAL MODULE: external "yup"
var external_yup_ = __webpack_require__(9440);
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
// EXTERNAL MODULE: ./components/PageHeader.jsx
var PageHeader = __webpack_require__(1388);
// EXTERNAL MODULE: external "@material-ui/icons"
var icons_ = __webpack_require__(7985);
;// CONCATENATED MODULE: ./components/UPI/utils.js

const useStyles = (0,external_material_ui_core_.makeStyles)(theme => ({
  root: {
    width: props => props && props.windowWidth < 768 ? props.customPage === true ? `100%` : `${props.windowWidth}px` : "600px",
    height: props => props && props.customPage2 === true ? "calc(100vh - 125px)" : "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5)
  },
  displayFlexEnd: {
    display: "flex",
    justifyContent: "flex-end"
  },
  link: {
    color: theme.palette.primary.main,
    "&:hover": {
      textDecoration: "underline",
      cursor: "pointer"
    }
  }
}));
// EXTERNAL MODULE: ./redux/actions/modal.actions.js
var modal_actions = __webpack_require__(2792);
// EXTERNAL MODULE: ./components/Layout/Modal/ModalExample.js
var ModalExample = __webpack_require__(5093);
;// CONCATENATED MODULE: external "react-qr-code"
const external_react_qr_code_namespaceObject = require("react-qr-code");
var external_react_qr_code_default = /*#__PURE__*/__webpack_require__.n(external_react_qr_code_namespaceObject);
;// CONCATENATED MODULE: ./components/QrCodeComponent/utils.js

const utils_useStyles = (0,external_material_ui_core_.makeStyles)(theme => ({
  root: {
    paddingTop: theme.spacing(6),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5)
  },
  qrcode: {
    display: "flex",
    justifyContent: "center",
    marginBottom: theme.spacing(2)
  },
  timer: {
    display: "flex",
    justifyContent: "center"
  },
  textCenter: {
    textAlign: "center"
  },
  donotRefreshWarning: {
    marginTop: 10,
    marginBottom: 10,
    fontSize: 16,
    color: theme.palette.primary.main
  }
}));
// EXTERNAL MODULE: ./components/Timer/index.js
var Timer = __webpack_require__(2163);
// EXTERNAL MODULE: ./redux/config/api.main.js
var api_main = __webpack_require__(4176);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: ./redux/actions/upi.payment.action.js
var upi_payment_action = __webpack_require__(3123);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/QrCodeComponent/index.js















const QrCodeComponent = props => {
  const {
    upi
  } = (0,external_react_redux_.useSelector)(state => state.upiPayment);
  const dispatch = (0,external_react_redux_.useDispatch)();
  const time = new Date();
  time.setSeconds(time.getSeconds() + 300);
  const classes = utils_useStyles();
  const {
    0: qrString,
    1: setQrString
  } = (0,external_react_.useState)("");
  const {
    0: tid,
    1: setTid
  } = (0,external_react_.useState)("");
  const generateTid = (0,external_react_.useCallback)(n => {
    var add = 1,
        max = 12 - add; // 12 is the min safe number Math.random() can generate without it starting to pad the end with zeros.

    if (n > max) {
      return generateTid(max) + generateTid(n - max);
    }

    max = Math.pow(10, n + add);
    var min = max / 10; // Math.pow(10, n) basically

    var number = Math.floor(Math.random() * (max - min + 1)) + min;
    return ("" + number).substring(add);
  }, []);
  const onExpireTimer = (0,external_react_.useCallback)(() => {
    dispatch((0,modal_actions/* closeModal */.M)({
      modalProps: {
        open: false
      }
    }));
  }, [dispatch]); // 320442049308

  (0,external_react_.useEffect)(() => {
    const tidNumber = generateTid(9);
    const tidString = `MNO${tidNumber}`;
    setTid(tidString);
    const str = `upi://pay?pa=aaipaystore@icici&pn=AAIPAY STORE&tr=${tidString}&am=${props.amount}&cu=INR&mc=5499`;
    setQrString(str);
  }, [setQrString, props.amount, generateTid, setTid]);
  (0,external_react_.useEffect)(() => {
    const fetchProducts = async () => {
      if (qrString) {
        await api_main/* default.get */.Z.get(`UPI/qrPaymentApiLogs.jsp?tid=${tid}&amount=${props.amount}&userId=${external_js_cookie_default().get("regId")}`);
      }
    };

    fetchProducts();
  }, [props.amount, qrString, tid]);
  (0,external_react_.useEffect)(() => {
    if (tid) {
      const transactionData = {
        merchantTranId: tid,
        transactionType: "Q",
        amount: props.amount
      };
      dispatch((0,upi_payment_action/* checkStatusOfPayment */.FQ)(transactionData));
    }
  }, [dispatch, tid, props.amount]);
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
    className: classes.root,
    children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Button, {
      variant: "outlined",
      color: "primary",
      size: "small",
      className: classes.button,
      startIcon: /*#__PURE__*/jsx_runtime_.jsx(icons_.ArrowBack, {}),
      onClick: () => dispatch((0,modal_actions/* closeModal */.M)({
        modalProps: {
          open: false,
          payment: true,
          close: true
        }
      })),
      children: "Back"
    }), /*#__PURE__*/jsx_runtime_.jsx(PageHeader/* default */.Z, {
      title: "My Qr Code",
      subTitle: `Scan Qr Code and pay ₹${props.amount} using apps enabled with UPI QR`
    }), /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: classes.qrcode,
      children: /*#__PURE__*/jsx_runtime_.jsx((external_react_qr_code_default()), {
        value: qrString,
        size: 200
      })
    }), /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: classes.timer,
      children: /*#__PURE__*/jsx_runtime_.jsx(Timer/* default */.Z, {
        expiryTimestamp: time,
        text: "Complete Payment within:",
        onExpire: onExpireTimer
      })
    }), /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: classes.textCenter,
      children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Typography, {
        variant: "body1",
        style: {
          marginTop: 20,
          fontSize: 16
        },
        component: "p",
        children: [`Can't`, " Pay with Qr Code ?"]
      })
    }), /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: classes.textCenter,
      children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
        variant: "body1",
        className: classes.donotRefreshWarning,
        component: "p",
        children: "Do not refresh or close this page until you get a transaction here"
      })
    }), /*#__PURE__*/jsx_runtime_.jsx("div", {
      className: classes.textCenter,
      children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
        children: "You can send this QR Code and add money to your wallet"
      })
    })]
  });
};

/* harmony default export */ const components_QrCodeComponent = (QrCodeComponent);
;// CONCATENATED MODULE: ./components/UPI/index.js









 // import { registerUser } from "@/redux/actions/auth.actions";








const upiRegExp = /[a-zA-Z0-9.\-_]{2,256}@[a-zA-Z]{2,64}/;
const validationSchema = external_yup_.object({
  payerVa: external_yup_.string().required("UPI ID is required.").matches(upiRegExp, "UPI Id is not valid")
});

const UPIComponent = props => {
  var _ref, _formik$values$amount;

  const windowWidth = (0,useWindowSize/* useWindowSize */.i)();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const router = (0,router_.useRouter)();
  const {
    width
  } = windowWidth;
  const classes = useStyles({
    windowWidth: width,
    customPage: props.customPage
  });
  const {
    loadingButton
  } = (0,external_react_redux_.useSelector)(state => state.upiPayment);

  const openQrCode = () => {
    dispatch((0,modal_actions/* openModal */.h)({
      modalType: ModalExample/* default */.Z,
      modalProps: {
        component: /*#__PURE__*/jsx_runtime_.jsx(components_QrCodeComponent, {
          amount: props.amount
        }),
        open: true,
        closeDrawerAction: false,
        qrCode: true,
        fullScreenAt: "sm"
      }
    }));
  };

  const formik = (0,external_formik_.useFormik)({
    initialValues: {
      amount: props.amount,
      payerVa: ""
    },
    validationSchema: validationSchema,
    onSubmit: values => {
      dispatch((0,upi_payment_action/* sendUpiPaymentRequest */.Ud)(values));
    }
  });
  return /*#__PURE__*/jsx_runtime_.jsx("div", {
    className: classes.root,
    children: /*#__PURE__*/jsx_runtime_.jsx("form", {
      onSubmit: formik.handleSubmit,
      children: /*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
        container: true,
        spacing: 2,
        children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: [/*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Button, {
            variant: "outlined",
            color: "primary",
            size: "small",
            className: classes.button,
            startIcon: /*#__PURE__*/jsx_runtime_.jsx(icons_.ArrowBack, {}),
            onClick: () => router.back(),
            children: "Back"
          }), /*#__PURE__*/jsx_runtime_.jsx(PageHeader/* default */.Z, {
            title: "UPI Payment",
            subTitle: "Pay using any UPI enabled application"
          })]
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Input */.Z.Input, {
            fullWidth: true,
            label: "Amount",
            name: "amount",
            value: (_ref = (_formik$values$amount = formik.values.amount) !== null && _formik$values$amount !== void 0 ? _formik$values$amount : props === null || props === void 0 ? void 0 : props.mbl) !== null && _ref !== void 0 ? _ref : "",
            error: formik.touched.amount && Boolean(formik.errors.amount),
            helperText: formik.touched.amount && formik.errors.amount,
            disabled: true
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Input */.Z.Input, {
            fullWidth: true,
            label: "UPI ID",
            name: "payerVa",
            placeholder: "Please Enter your UPI ID",
            value: formik.values.payerVa,
            onChange: formik.handleChange,
            error: formik.touched.payerVa && Boolean(formik.errors.payerVa),
            helperText: formik.touched.payerVa && formik.errors.payerVa
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Grid, {
          item: true,
          xs: 12,
          className: classes.displayFlexEnd,
          children: /*#__PURE__*/jsx_runtime_.jsx(external_material_ui_core_.Typography, {
            className: classes.link,
            variant: "subtitle2",
            onClick: openQrCode,
            children: "Generate QR Code?"
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
          fullWidthButton: true,
          text: "Proceed To Pay",
          type: "submit",
          loadingButton: loadingButton,
          loadingIndicator: true
        })]
      })
    })
  });
};

/* harmony default export */ const UPI = (UPIComponent);
// EXTERNAL MODULE: ./components/RequireAuthentication/RequireAuthentication.js
var RequireAuthentication = __webpack_require__(9625);
// EXTERNAL MODULE: ./components/PageSecondary.jsx
var PageSecondary = __webpack_require__(5688);
;// CONCATENATED MODULE: ./pages/passbook/transaction/upi/index.js








const UPIPage = () => {
  return /*#__PURE__*/jsx_runtime_.jsx(PageSecondary/* PageSecondary */.$, {
    title: "Pay Using UPI",
    paper: true,
    customPage: true,
    children: /*#__PURE__*/jsx_runtime_.jsx(UPI, {
      customPage: true,
      amount:  false && 0
    })
  });
};

const getServerSideProps = (0,RequireAuthentication/* requireAuthentication */.Z)(store/* wrapper.getServerSideProps */.YS.getServerSideProps(async ctx => {
  ctx.store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  ctx.store.dispatch(core_.END);
  await ctx.store.sagaTask.toPromise();
  return {
    props: {}
  };
}));
/* harmony default export */ const upi = (UPIPage);

/***/ }),

/***/ 1172:
/***/ ((module) => {

module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

module.exports = require("@material-ui/core");

/***/ }),

/***/ 7985:
/***/ ((module) => {

module.exports = require("@material-ui/icons");

/***/ }),

/***/ 4508:
/***/ ((module) => {

module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 822:
/***/ ((module) => {

module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,9163,4105,352,2208,6941,1388,5688], () => (__webpack_exec__(8715)));
module.exports = __webpack_exports__;

})();