(() => {
var exports = {};
exports.id = 8178;
exports.ids = [8178];
exports.modules = {

/***/ 864:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ components_CouponConfirm)
});

// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: ./redux/actions/modal.actions.js
var modal_actions = __webpack_require__(2792);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
// EXTERNAL MODULE: ./components/Layout/Modal/ModalExample.js
var ModalExample = __webpack_require__(5093);
// EXTERNAL MODULE: ./components/CouponCode/index.js + 1 modules
var CouponCode = __webpack_require__(2491);
// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(3804);
var external_lodash_default = /*#__PURE__*/__webpack_require__.n(external_lodash_);
// EXTERNAL MODULE: ./node_modules/react-icons/fa/index.esm.js
var index_esm = __webpack_require__(9583);
// EXTERNAL MODULE: external "@material-ui/icons"
var icons_ = __webpack_require__(7985);
;// CONCATENATED MODULE: ./components/CouponConfirm/utils.js

const useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    padding: theme.spacing(8, 4) // margin: theme.spacing(2, 0, 0, 0),
    // backgroundColor: "#EFF3FB",
    // minHeight: (props) =>
    //   props && props.windowWidth >= 960
    //     ? "calc(100vh - 158px)"
    //     : "calc(100vh - 90px)",

  },
  card: {
    padding: theme.spacing(8, 4)
  },
  recharge_quote: {
    fontSize: "1.2em"
  },
  promo_link: {
    fontSize: "1.2em",
    cursor: "pointer",
    color: theme.palette.primary.main,
    "&:hover": {
      textDecoration: "underline"
    }
  },
  amount_head: {
    fontSize: "1.2em"
  },
  amount_placeholder: {
    fontSize: "1.2em",
    fontWeight: "bold"
  },
  biller_placeholder: {
    fontSize: "1.2em"
  },
  amount: {
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between"
  },
  couponCodeContainer: {
    display: "flex",
    border: `3px solid ${theme.palette.primary.main}`,
    padding: theme.spacing(1.5, 2, 1.5, 2),
    borderRadius: theme.spacing(1),
    justifyContent: "space-between",
    alignItems: "center",
    backgroundColor: "#c4e8ff"
  },
  recharge_details: {
    display: "flex"
  },
  recharge_company: {
    fontSize: "1.135rem"
  },
  promoLinkContained: {
    display: "flex",
    background: "url('/assets/images/discount-voucher.png')",
    backgroundSize: "40px 40px",
    backgroundRepeat: "no-repeat",
    paddingLeft: 70,
    backgroundPosition: "10px center",
    // backgroundColor: "pink",
    alignItems: "center",
    justifyContent: "space-between",
    paddingRight: theme.spacing(1),
    position: "relative",
    maxWidth: 350
  },
  cross: {
    display: "flex",
    justifyContent: "center",
    position: "absolute",
    top: 0,
    right: 0,
    width: 20,
    height: 20,
    cursor: "pointer",
    fontSize: 16
  },
  amountContainer: {
    display: "flex",
    justifyContent: "space-between",
    flexDirection: "column"
  },
  divider: {
    marginBottom: theme.spacing(0.5),
    marginTop: theme.spacing(0.5)
  }
}));

// EXTERNAL MODULE: ./components/Controls/Controls.js + 12 modules
var Controls = __webpack_require__(2125);
// EXTERNAL MODULE: ./components/PageHeader.jsx
var PageHeader = __webpack_require__(1388);
// EXTERNAL MODULE: ./redux/constants/mobile.recharge.constants.js
var mobile_recharge_constants = __webpack_require__(2856);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "axios"
var external_axios_ = __webpack_require__(2376);
var external_axios_default = /*#__PURE__*/__webpack_require__.n(external_axios_);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
// EXTERNAL MODULE: ./redux/config/api.main.js
var api_main = __webpack_require__(4176);
// EXTERNAL MODULE: external "next/router"
var router_ = __webpack_require__(6731);
var router_default = /*#__PURE__*/__webpack_require__.n(router_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
;// CONCATENATED MODULE: ./hooks/useWarnIfUnsavedChanges.js

 // export const useWarnIfUnsavedChanges = (unsavedChanges, callback) => {
//   useEffect(() => {
//     if (unsavedChanges) {
//       const routeChangeStart = () => {
//         const ok = callback();
//         if (!ok) {
//           Router.events.emit("routeChangeError");
//           throw "Abort route change. Please ignore this error.";
//         }
//       };
//       Router.events.on("routeChangeStart", routeChangeStart);
//       Router.events.on("routeChangeStart", routeChangeStart);
//       return () => {
//         Router.events.off("routeChangeStart", routeChangeStart);
//       };
//     }
//   }, [unsavedChanges]);
// };
// export const useWarnIfUnsavedChanges = (notSaved, callback) => {
//   useEffect(() => {
//     const confirmationMessage = "Changes you made may not be saved.";
//     const beforeUnloadHandler = (e) => {
//       console.log(e);
//       (e || window.event).returnValue = confirmationMessage;
//       return confirmationMessage; // Gecko + Webkit, Safari, Chrome etc.
//     };
//     const beforeRouteHandler = (url) => {
//       const newUrl = url.replace("%7D", "");
//       console.log(newUrl, Router.pathname);
//       if (Router.asPath !== url && notSaved && !confirm(confirmationMessage)) {
//         // to inform NProgress or something ...
//         Router.events.emit("routeChangeError");
//         Router.replace(Router, Router.asPath);
//         // tslint:disable-next-line: no-string-throw
//         throw `Route change to "${url}"  was aborted (this error can be safely ignored). See https://github.com/zeit/next.js/issues/2476.`;
//       }
//     };
//     if (notSaved) {
//       window.addEventListener("beforeunload", beforeUnloadHandler);
//       Router.events.on("routeChangeStart", beforeRouteHandler);
//     } else {
//       window.removeEventListener("beforeunload", beforeUnloadHandler);
//       Router.events.off("routeChangeStart", beforeRouteHandler);
//     }
//     return () => {
//       window.removeEventListener("beforeunload", beforeUnloadHandler);
//       Router.events.off("routeChangeStart", beforeRouteHandler);
//     };
//   }, [notSaved]);
// };
// import { useEffect } from "react";
// import Router from "next/router";

const useWarnIfUnsavedChanges = unsavedChanges => {
  const message = "Do you want to leave?";
  (0,external_react_.useEffect)(() => {
    const routeChangeStart = url => {
      if ((router_default()).asPath !== url && unsavedChanges && !confirm(message)) {
        router_default().events.emit("routeChangeError");
        router_default().replace((router_default()), (router_default()).asPath);
        throw "Abort route change. Please ignore this error.";
      }
    };

    const beforeunload = e => {
      if (unsavedChanges) {
        console.log(message);
        e.preventDefault();
        e.returnValue = message;
        return message;
      }
    };

    window.addEventListener("beforeunload", beforeunload, {
      capture: true
    });
    router_default().events.on("routeChangeStart", routeChangeStart);
    return () => {
      window.removeEventListener("beforeunload", beforeunload);
      router_default().events.off("routeChangeStart", routeChangeStart);
    };
  }, [unsavedChanges]);
};
// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: external "react-toastify"
var external_react_toastify_ = __webpack_require__(2034);
// EXTERNAL MODULE: ./redux/actions/bbps.actions.js
var bbps_actions = __webpack_require__(4637);
// EXTERNAL MODULE: ./screens/BillPaidComponent/index.js + 1 modules
var BillPaidComponent = __webpack_require__(5243);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./components/CouponConfirm/index.js
/* eslint-disable jsx-a11y/no-static-element-interactions */

/* eslint-disable jsx-a11y/click-events-have-key-events */






























const CouponConfirm = () => {
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();
  const classes = useStyles({
    windowWidth
  });
  const {
    plan: {
      recharge_type,
      recharge_amount,
      Operator: operator_name,
      Circle: circle,
      mbl: mobile,
      oprCode,
      bbps,
      billerInfo,
      bill_details,
      fields,
      operator_type
    }
  } = (0,external_react_redux_.useSelector)(state => state.mobilePlan);
  const {
    data: CouponData
  } = (0,external_react_redux_.useSelector)(state => state.couponCode);
  const {
    loadingButton,
    warningOnRefresh
  } = (0,external_react_redux_.useSelector)(state => state.billPay);
  const {
    wallet_balance
  } = (0,external_react_redux_.useSelector)(state => state.passbook);
  const {
    userInfo
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const operator_name_capital = (0,customFunctions/* capitalize */.kC)(operator_name);
  const recharge_type_capital = (0,customFunctions/* capitalize */.kC)(recharge_type);
  const {
    0: changeWarning,
    1: setChangeWarning
  } = (0,external_react_.useState)(true);
  const {
    0: loadingRecharge,
    1: setLoadingRecharge
  } = (0,external_react_.useState)(false);
  const dispatch = (0,external_react_redux_.useDispatch)();
  const router = (0,router_.useRouter)();

  const resetCoupon = () => {
    dispatch({
      type: mobile_recharge_constants/* RESET_COUPON */.Od
    });
    external_js_cookie_default().remove("cpn");
  };

  const amountToAdd = !bbps ? Math.abs(wallet_balance - recharge_amount) : Math.abs(wallet_balance - (bill_details === null || bill_details === void 0 ? void 0 : bill_details.billAmount) * 0.01);

  function loadScript(src) {
    return new Promise(resolve => {
      const script = document.createElement("script");
      script.src = src;

      script.onload = () => {
        resolve(true);
      };

      script.onerror = () => {
        resolve(false);
      };

      document.body.appendChild(script);
    });
  }

  async function displayRazorpay() {
    try {
      const res = await loadScript("https://checkout.razorpay.com/v1/checkout.js");

      if (!res) {
        alert("Razorpay SDK failed to load. Are you online?");
        return;
      } // creating a new order


      const reg_id = external_js_cookie_default().get("regId").trim();
      const mbl = external_js_cookie_default().get("mobile").trim();
      const result = await external_axios_default().post(`https://aaipay.in:10002/api/apps/v1/create_order.jsp?mbl=${mbl}&amount=${amountToAdd}&regId=${reg_id}`, {
        headers: {
          "content-type": "application/json"
        }
      });
      console.log("result", result);
      const order_id = await result.data.razorpayId.trim();
      console.log(order_id); // Getting the order details back

      console.log(`Order details`, result.data, recharge_amount);
      const options = {
        key: "rzp_live_5swXQ3MxLVXsRo",
        // Enter the Key ID generated from the Dashboard
        amount: amountToAdd,
        currency: "INR",
        name: "Aaipay-Pay with Faith",
        description: "Add Money to Wallet",
        image: "/assets/images/logos/logo.png",
        order_id: order_id,
        handler: async function (response) {
          const data = {
            orderCreationId: order_id,
            razorpayPaymentId: response.razorpay_payment_id,
            razorpayOrderId: response.razorpay_order_id,
            razorpaySignature: response.razorpay_signature,
            amount: amountToAdd.toString(),
            currency: "INR"
          };
          const resultB = await external_axios_default().get(`https://aaipay.in:10002/api/apps/v1/create_order_payment_gateway.jsp?reg=${reg_id}&amount=${amountToAdd}&mbl=${mbl}&razorpayOrderId=${response.razorpay_order_id}`);
          console.log(resultB, "resultB");
          const {
            status,
            err_code
          } = resultB;

          const paymentGateWayEntry = async () => {
            const result = await external_axios_default().post(`https://aaipay.in:10002/api/apps/v1/payemntGatway_entry.jsp?reg=${reg_id}&amount=${amountToAdd}&mbl=${mbl}&razorpayOrderId=${response.razorpay_order_id}&paymentStatus=${status}&razorpay_payment_id=${response.razorpay_payment_id}&error=""`, data);
            return result;
          };

          const creditAmount = async resultGateEntry => {
            try {
              const entry = await resultGateEntry.data.entry_id;
              console.log(entry);
              const resultC = await external_axios_default().post(`https://aaipay.in:10002/api/apps/v1/credit_amount.jsp?cust_reg=${reg_id}&amount=${amountToAdd}&mobile=${mbl}&razorPay_orderID=${response.razorpay_order_id}&razorpay_payment_id=${response.razorpay_payment_id}&tid=${entry}`, {
                headers: {
                  "content-type": "application/json"
                }
              });
              return resultC;
            } catch (error) {
              console.error(error);
            }
          };

          await paymentGateWayEntry();
          await creditAmount(resultB);
          err_code === 123 && paymentGateWayEntry();
          dispatch((0,passbook_action/* getWalletBalance */.pd)({
            mbl,
            reg_id
          })); // dispatch(getPassBook({ mbl, reg_id }));
          // dispatch(
          //   setAlertMessage(
          //     true,
          //     "success",
          //     `₹ ${amountToAdd} added to the wallet successfully`
          //   )
          // );

          external_react_toastify_.toast.success(`₹ ${amountToAdd} added to the wallet successfully`, {
            position: "top-center",
            autoClose: 5000,
            hideProgressBar: false,
            closeOnClick: true,
            pauseOnHover: true,
            draggable: true,
            progress: undefined
          }); // if (window.location.href !== `${window.location.origin}/mobile`) {
          //   // Redirect logic
          //   setTimeout(() => {
          //     window.location.replace("/mobile");
          //     localStorage.removeItem("amount");
          //   }, 3000);
          // }
        },
        prefill: {
          name: userInfo.Name,
          email: userInfo.Email,
          contact: mbl
        },
        notes: {
          address: "Soumya Dey Corporate Office"
        },
        theme: {
          color: "#46A7E4"
        }
      };
      const paymentObject = new window.Razorpay(options);
      paymentObject.open();
    } catch (error) {
      var _error$response;

      console.log(error === null || error === void 0 ? void 0 : (_error$response = error.response) === null || _error$response === void 0 ? void 0 : _error$response.data, "error random custom");
    }
  }

  const regId = external_js_cookie_default().get("regId");
  const reg_mobile = external_js_cookie_default().get("mobile");

  const proceedToRecharge = async () => {
    try {
      setLoadingRecharge(true);
      const {
        data
      } = await api_main/* default.get */.Z.get(`utility_recharge.jsp?reg_mbl=${reg_mobile}&mobno=${mobile}&operator=${oprCode}&reg=${regId}&amount=${recharge_amount}`);

      if (data.status !== "FAILED") {
        await api_main/* default.get */.Z.get(`cashBack_credit.jsp?transID=${data.transID}&username=${regId}&reg_mobile=${reg_mobile}&cashbackID=${CouponData === null || CouponData === void 0 ? void 0 : CouponData.cashBackID}`);
        dispatch((0,passbook_action/* getWalletBalance */.pd)({
          mbl: reg_mobile,
          reg_id: regId
        }));
        external_react_toastify_.toast.success(`Recharge of ₹${recharge_amount} is completed`, {
          position: "top-center",
          autoClose: 5000,
          hideProgressBar: false,
          closeOnClick: true,
          pauseOnHover: true,
          draggable: true,
          progress: undefined
        });
        setLoadingRecharge(false);
        setChangeWarning(false);

        if (window.location.href !== `${window.location.origin}/mobile`) {
          // Redirect logic
          setTimeout(() => {
            window.location.href = "/mobile";
            external_js_cookie_default().remove("plan");
            external_js_cookie_default().remove("cpn");
          }, 3000);
        }
      } else {
        // dispatch(setAlertMessage(true, "error", `${data.res_msg}`));
        external_react_toastify_.toast.error(`${(0,customFunctions/* capitalize */.kC)(data.res_msg)}`, {
          position: "top-center",
          autoClose: 5000,
          hideProgressBar: false,
          closeOnClick: true,
          pauseOnHover: true,
          draggable: true,
          progress: undefined
        });
        setChangeWarning(false);
        setLoadingRecharge(false);
      }

      console.log(data);
    } catch (error) {
      var _error$response2;

      console.log(error === null || error === void 0 ? void 0 : (_error$response2 = error.response) === null || _error$response2 === void 0 ? void 0 : _error$response2.data.message, "error random custom");
    }
  };

  const proceedToPayBill = () => {
    const billerId = billerInfo.billerId;
    const customerMobile = external_js_cookie_default().get("mobile");
    const userId = external_js_cookie_default().get("regId");
    const billerResponse = bill_details.billerResponse;
    const addtionalInfo = bill_details.addtionalInfo;
    const requestId = bill_details.requestId;
    const pymtModeQuick = billerInfo.billFetchRequired === "MANDATORY" ? "N" : "Y";
    const amt = bill_details.totalAmount;
    const billerAdhoc = billerInfo.billerAdhoc;
    const marginAmount = bill_details.marginAmount;
    const billPayDetails = {
      billerId,
      customerMobile,
      userId,
      billerResponse,
      addtionalInfo,
      requestId,
      pymtModeQuick,
      amt,
      billerAdhoc,
      marginAmount
    };
    dispatch((0,bbps_actions/* billPayment */.gY)(billPayDetails));
  };

  const remainingWallet = () => {
    const billAmount = (bill_details === null || bill_details === void 0 ? void 0 : bill_details.totalAmount) * 0.01;

    if (bbps === true) {
      if (wallet_balance - billAmount > 0) {
        return wallet_balance - billAmount;
      } else {
        return 0;
      }
    } else {
      if (wallet_balance - recharge_amount > 0) {
        return wallet_balance - recharge_amount;
      } else {
        return 0;
      }
    }
  };

  const proceedToPayDummy = () => {
    setChangeWarning(false);
    dispatch((0,modal_actions/* openModal */.h)({
      modalType: ModalExample/* default */.Z,
      modalProps: {
        component: /*#__PURE__*/jsx_runtime_.jsx(BillPaidComponent/* default */.Z, {}),
        open: true,
        // setOpen: setOpen,
        widthDrawer: 800,
        closeDrawerAction: false
      }
    }));
  };

  (0,external_react_.useEffect)(() => {
    if (typeof warningOnRefresh !== "undefined") {
      setChangeWarning(warningOnRefresh);
    }
  }, [setChangeWarning, warningOnRefresh]);
  useWarnIfUnsavedChanges(changeWarning);
  const billAmount = (bill_details === null || bill_details === void 0 ? void 0 : bill_details.totalAmount) * 0.01;
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Button, {
        variant: "outlined",
        color: "primary",
        size: "small",
        className: classes.button,
        startIcon: /*#__PURE__*/jsx_runtime_.jsx(icons_.ArrowBack, {}),
        onClick: () => router.back(),
        children: "Back"
      }), /*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(PageHeader/* default */.Z, {
        title: "Payment Details"
      }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Grid, {
        container: true,
        spacing: 4,
        children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          md: 4,
          sm: 12,
          children: !bbps ? /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
            variant: "h2",
            className: classes.recharge_quote,
            component: "div",
            children: [`Recharge of ${operator_name_capital} ${recharge_type_capital} ${mobile} for`, /*#__PURE__*/jsx_runtime_.jsx("strong", {
              children: ` Rs. ${recharge_amount}`
            })]
          }) : /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            className: classes.amountContainer,
            children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
              className: classes.amount,
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                className: classes.amount_head,
                component: "div",
                variant: "subtitle2",
                style: {
                  marginBottom: 16
                },
                children: `${(0,customFunctions/* capitalize */.kC)(operator_type === null || operator_type === void 0 ? void 0 : operator_type.replace("-", " "))} Bill Payment`
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                variant: "body2",
                className: classes.biller_placeholder,
                component: "span",
                children: /*#__PURE__*/jsx_runtime_.jsx(next_image.default, {
                  src: "/assets/images/Bharat-BillPay-Final-Logo.jpg",
                  alt: "Bharat BillPay",
                  width: "65",
                  height: "22"
                })
              })]
            }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
              className: classes.amount,
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                variant: "body2",
                className: classes.amount_head,
                component: "span",
                children: "Biller Name"
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                variant: "body2",
                className: classes.biller_placeholder,
                component: "span",
                children: billerInfo === null || billerInfo === void 0 ? void 0 : billerInfo.billerName
              })]
            }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
              className: classes.divider
            }), (bill_details === null || bill_details === void 0 ? void 0 : bill_details.customerName) !== "NA" && /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
              children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                className: classes.amount,
                children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                  variant: "body2",
                  className: classes.amount_head,
                  component: "span",
                  children: "Customer Name"
                }), /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                  variant: "body2",
                  className: classes.biller_placeholder,
                  component: "span",
                  children: bill_details === null || bill_details === void 0 ? void 0 : bill_details.customerName
                })]
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
                className: classes.divider
              })]
            }), (fields === null || fields === void 0 ? void 0 : fields.length) > 0 && (fields === null || fields === void 0 ? void 0 : fields.map((field, index) => bill_details[`${field === null || field === void 0 ? void 0 : field.paramName}`] && /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
              children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                className: classes.amount,
                children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                  variant: "body2",
                  className: classes.amount_head,
                  component: "span",
                  children: field === null || field === void 0 ? void 0 : field.paramName
                }), /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                  variant: "body2",
                  className: classes.biller_placeholder,
                  component: "span",
                  children: bill_details[`${field === null || field === void 0 ? void 0 : field.paramName}`]
                })]
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
                className: classes.divider
              })]
            }, index)))]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          md: 4,
          sm: 12,
          children: external_lodash_default().isEmpty(CouponData) || CouponData.status === false ? /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
            variant: "body1",
            className: classes.promo_link,
            component: "p",
            onClick: () => dispatch((0,modal_actions/* openModal */.h)({
              modalType: ModalExample/* default */.Z,
              modalProps: {
                component: /*#__PURE__*/jsx_runtime_.jsx(CouponCode/* default */.Z, {}),
                open: true,
                noFullScreen: true,
                maxWidth: "sm",
                widthDrawer: 800,
                closeDrawerAction: true,
                titleBackground: "#EFF3FB",
                fullScreenAt: "sm"
              }
            })),
            children: "Have a Coupon Code ?"
          }) : /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            className: classes.promoLinkContained,
            children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
              className: classes.couponDetails,
              children: [/*#__PURE__*/jsx_runtime_.jsx("div", {
                children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
                  style: {
                    textTransform: "uppercase",
                    fontWeight: "bold"
                  },
                  children: [CouponData.cpn, " "]
                })
              }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                  variant: "body2",
                  className: classes.coupon_quote,
                  component: "div",
                  children: ["Cashback: Rs. ", parseFloat(CouponData.cashback).toFixed(2)]
                }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                  variant: "body2",
                  className: classes.coupon_quote,
                  component: "div",
                  children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("span", {
                    style: {
                      textTransform: "uppercase",
                      fontWeight: "bold"
                    },
                    children: [CouponData.cpn, " "]
                  }), "Promocode Applied!"]
                })]
              })]
            }), /*#__PURE__*/jsx_runtime_.jsx("div", {
              className: classes.cross,
              onClick: resetCoupon,
              children: /*#__PURE__*/jsx_runtime_.jsx(index_esm/* FaTimes */.aHS, {})
            })]
          })
        }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          md: 4,
          sm: 12,
          children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
            className: classes.amountContainer,
            children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
              className: classes.amount,
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                variant: "body2",
                className: classes.amount_head,
                component: "span",
                children: "Wallet Money"
              }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                variant: "body2",
                className: classes.amount_placeholder,
                component: "span",
                children: ["Rs. ", wallet_balance]
              })]
            }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
              className: classes.divider
            }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
              className: classes.amount,
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                variant: "body2",
                className: classes.amount_head,
                component: "span",
                children: "To be Paid"
              }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                variant: "body2",
                className: classes.amount_placeholder,
                component: "span",
                children: ["Rs. ", bbps === true ? billAmount : recharge_amount]
              })]
            }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
              className: classes.divider
            }), /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
              className: classes.amount,
              children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                variant: "body2",
                className: classes.amount_head,
                component: "span",
                children: "Remaining Amount in Wallet"
              }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                variant: "body2",
                className: classes.amount_placeholder,
                component: "span",
                children: ["Rs. ", remainingWallet()]
              })]
            }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
              className: classes.divider
            }), wallet_balance - billAmount <= 0 || wallet_balance - recharge_amount <= 0 ? /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
              children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
                className: classes.amount,
                children: [/*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
                  variant: "body2",
                  className: classes.amount_head,
                  component: "span",
                  children: "Amount to put into the Wallet"
                }), /*#__PURE__*/(0,jsx_runtime_.jsxs)(core_.Typography, {
                  variant: "body2",
                  className: classes.amount_placeholder,
                  component: "span",
                  children: ["Rs. ", parseFloat(amountToAdd).toFixed(2)]
                })]
              }), /*#__PURE__*/jsx_runtime_.jsx(core_.Divider, {
                className: classes.divider
              })]
            }) : null]
          })
        }), bbps === true ? /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          md: 4,
          sm: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
            text: wallet_balance - bill_details.totalAmount * 0.01 >= 0 ? `Proceed To Pay` : `Pay  ₹${parseFloat(amountToAdd).toFixed(2)}`,
            fullWidthButton: true,
            loadingIndicator: true,
            loadingButton: loadingButton,
            margin: false,
            borderRadius: true,
            onClick: wallet_balance - bill_details.totalAmount * 0.01 >= 0 ? proceedToPayBill : displayRazorpay
          })
        }) : /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          md: 4,
          sm: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(Controls/* default.Button */.Z.Button, {
            text: wallet_balance - recharge_amount >= 0 ? `Proceed To Recharge` : `Pay  ₹${parseFloat(amountToAdd).toFixed(2)}`,
            fullWidthButton: true,
            loadingIndicator: true,
            loadingButton: loadingRecharge,
            margin: false,
            borderRadius: true,
            onClick: wallet_balance - recharge_amount >= 0 ? proceedToRecharge : displayRazorpay
          })
        })]
      })]
    })
  });
};

/* harmony default export */ const components_CouponConfirm = (CouponConfirm);

/***/ }),

/***/ 9355:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.a(module, async (__webpack_handle_async_dependencies__) => {
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getServerSideProps": () => (/* binding */ getServerSideProps),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _components_CouponConfirm__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(864);
/* harmony import */ var _components_GetOnStore__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3944);
/* harmony import */ var _components_Offers_Offers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4358);
/* harmony import */ var _components_PageSecondary__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5688);
/* harmony import */ var _components_RequireAuthentication_RequireAuthentication__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9625);
/* harmony import */ var _redux_actions_categories_actions__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(9564);
/* harmony import */ var _redux_actions_mobile_recharge_actions__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(7139);
/* harmony import */ var _redux_actions_passbook_action__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(1506);
/* harmony import */ var _redux_store__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6941);
/* harmony import */ var _redux_saga_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(3530);
/* harmony import */ var _redux_saga_core__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_redux_saga_core__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(6155);
/* harmony import */ var js_cookie__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(js_cookie__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(79);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([_components_Offers_Offers__WEBPACK_IMPORTED_MODULE_2__]);
_components_Offers_Offers__WEBPACK_IMPORTED_MODULE_2__ = (__webpack_async_dependencies__.then ? await __webpack_async_dependencies__ : __webpack_async_dependencies__)[0];

















const CouponRechargePage = () => {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_9__.useDispatch)();
  const mbl = js_cookie__WEBPACK_IMPORTED_MODULE_7___default().get("mobile");
  const reg_id = js_cookie__WEBPACK_IMPORTED_MODULE_7___default().get("regId");
  (0,react__WEBPACK_IMPORTED_MODULE_8__.useEffect)(() => {
    dispatch((0,_redux_actions_passbook_action__WEBPACK_IMPORTED_MODULE_11__/* .getWalletBalance */ .pd)({
      mbl,
      reg_id
    }));
  }, [dispatch, mbl, reg_id]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.Fragment, {
    children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_components_PageSecondary__WEBPACK_IMPORTED_MODULE_3__/* .PageSecondary */ .$, {
      title: "Payment Details",
      paper: true,
      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_components_CouponConfirm__WEBPACK_IMPORTED_MODULE_0__/* .default */ .Z, {})
    }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_components_Offers_Offers__WEBPACK_IMPORTED_MODULE_2__/* .default */ .Z, {}), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_components_GetOnStore__WEBPACK_IMPORTED_MODULE_1__/* .default */ .Z, {})]
  });
};

const getServerSideProps = _redux_store__WEBPACK_IMPORTED_MODULE_5__/* .wrapper.getServerSideProps */ .YS.getServerSideProps(async ctx => {
  const {
    req
  } = ctx;

  if (typeof req.headers.cookie !== "undefined") {
    var _tokens$find, _tokens$find2, _tokens$find3;

    const tokens = req.headers.cookie.split(";");
    const plan = (_tokens$find = tokens.find(token => token.includes("plan"))) === null || _tokens$find === void 0 ? void 0 : _tokens$find.split("=")[1];
    const cpn = (_tokens$find2 = tokens.find(token => token.includes("cpn"))) === null || _tokens$find2 === void 0 ? void 0 : _tokens$find2.split("=")[1];
    const regId = (_tokens$find3 = tokens.find(token => token.includes("regId"))) === null || _tokens$find3 === void 0 ? void 0 : _tokens$find3.split("=")[1];
    const decoded = decodeURIComponent(`${plan}`); //NOTE decodeURIComponent is used to remove %20 or any other character oter than object form urls

    const decodedCpn = decodeURIComponent(`${cpn}`); //NOTE decodeURIComponent is used to remove %20 or any other character oter than object form urls

    ctx.store.dispatch((0,_redux_actions_mobile_recharge_actions__WEBPACK_IMPORTED_MODULE_12__/* .setPlan */ .cu)(decoded));
    const planFromStore = ctx.store.getState().mobilePlan.plan;
    const couponData = {
      amount: planFromStore.recharge_amount,
      userid: regId,
      cpn: decodedCpn,
      serviceType: planFromStore.recharge_type,
      operator: planFromStore.oprCode
    };

    if (typeof cpn !== "undefined") {
      ctx.store.dispatch((0,_redux_actions_mobile_recharge_actions__WEBPACK_IMPORTED_MODULE_12__/* .validateCoupon */ .hD)(couponData));
    }

    if (typeof plan === "undefined") {
      return {
        redirect: {
          permanent: false,
          destination: "/mobile"
        }
      };
    } // ctx.store.dispatch(getWalletBalance({ mbl: mobile, reg_id: regId }));

  } else {
    return {
      redirect: {
        permanent: false,
        destination: "/mobile"
      }
    };
  }

  ctx.store.dispatch((0,_redux_actions_categories_actions__WEBPACK_IMPORTED_MODULE_13__/* .getAllCategory */ .KQ)());
  ctx.store.dispatch(_redux_saga_core__WEBPACK_IMPORTED_MODULE_6__.END);
  await ctx.store.sagaTask.toPromise();
  return {
    props: {}
  };
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CouponRechargePage);
});

/***/ }),

/***/ 1172:
/***/ ((module) => {

"use strict";
module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/core");

/***/ }),

/***/ 5673:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/core/");

/***/ }),

/***/ 7985:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/icons");

/***/ }),

/***/ 4508:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

"use strict";
module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

"use strict";
module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

"use strict";
module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

"use strict";
module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

"use strict";
module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

"use strict";
module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

"use strict";
module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

"use strict";
module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

"use strict";
module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

"use strict";
module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

"use strict";
module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

"use strict";
module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 9325:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/server/denormalize-page-path.js");

/***/ }),

/***/ 822:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 5378:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/i18n/normalize-locale-path.js");

/***/ }),

/***/ 7162:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/mitt.js");

/***/ }),

/***/ 8773:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router-context.js");

/***/ }),

/***/ 2248:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/get-asset-path-from-route.js");

/***/ }),

/***/ 9372:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/is-dynamic.js");

/***/ }),

/***/ 665:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/parse-relative-url.js");

/***/ }),

/***/ 2747:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/querystring.js");

/***/ }),

/***/ 333:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/route-matcher.js");

/***/ }),

/***/ 3456:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/router/utils/route-regex.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 7620:
/***/ ((module) => {

"use strict";
module.exports = require("next/dist/shared/lib/utils.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

"use strict";
module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

"use strict";
module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

"use strict";
module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

"use strict";
module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

"use strict";
module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

"use strict";
module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

"use strict";
module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

"use strict";
module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

"use strict";
module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

"use strict";
module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

"use strict";
module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

"use strict";
module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

"use strict";
module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

"use strict";
module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

"use strict";
module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

"use strict";
module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

"use strict";
module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

"use strict";
module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

"use strict";
module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

"use strict";
module.exports = require("sweetalert2");

/***/ }),

/***/ 4074:
/***/ ((module) => {

"use strict";
module.exports = import("swiper");;

/***/ }),

/***/ 2156:
/***/ ((module) => {

"use strict";
module.exports = import("swiper/react");;

/***/ }),

/***/ 9440:
/***/ ((module) => {

"use strict";
module.exports = require("yup");

/***/ }),

/***/ 2431:
/***/ (() => {

/* (ignored) */

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,1664,9163,9583,4105,352,2208,6941,8615,1388,5688,2063,4946], () => (__webpack_exec__(9355)));
module.exports = __webpack_exports__;

})();