"use strict";
(() => {
var exports = {};
exports.id = 4606;
exports.ids = [4606];
exports.modules = {

/***/ 740:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1731);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5282);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__);


const useStyles = (0,_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.makeStyles)(theme => ({
  container: {
    paddingTop: theme.spacing(12),
    paddingBottom: theme.spacing(10)
  }
}));

const ContainerComponent = ({
  maxWidth,
  style,
  children
}) => {
  const classes = useStyles();
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_0__.Container, {
    maxWidth: maxWidth,
    className: classes.container,
    style: style,
    children: children
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ContainerComponent);

/***/ }),

/***/ 2857:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ refund_policy),
  "getStaticProps": () => (/* binding */ getStaticProps)
});

// EXTERNAL MODULE: ./components/ContainerComponent.jsx
var ContainerComponent = __webpack_require__(740);
// EXTERNAL MODULE: ./redux/actions/categories.actions.js
var categories_actions = __webpack_require__(9564);
// EXTERNAL MODULE: ./redux/store.js + 40 modules
var store = __webpack_require__(6941);
// EXTERNAL MODULE: external "@material-ui/core"
var core_ = __webpack_require__(1731);
// EXTERNAL MODULE: external "@redux-saga/core"
var external_redux_saga_core_ = __webpack_require__(3530);
// EXTERNAL MODULE: external "next/head"
var head_ = __webpack_require__(701);
var head_default = /*#__PURE__*/__webpack_require__.n(head_);
// EXTERNAL MODULE: ./redux/actions/passbook.action.js
var passbook_action = __webpack_require__(1506);
// EXTERNAL MODULE: external "js-cookie"
var external_js_cookie_ = __webpack_require__(6155);
var external_js_cookie_default = /*#__PURE__*/__webpack_require__.n(external_js_cookie_);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(9297);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(79);
// EXTERNAL MODULE: ./utils/customFunctions.js
var customFunctions = __webpack_require__(1944);
;// CONCATENATED MODULE: ./screens/RefundPolicyComponent/utils.js


const useStyles = (0,core_.makeStyles)(theme => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",
    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 520 // color: "#ccc",

  },
  text: {
    marginTop: theme.spacing(2)
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.primary
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center"
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  },
  para3: {
    lineHeight: 1.8,
    marginLeft: theme.spacing(1.5),
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center"
  },
  para2: {
    lineHeight: 1.8,
    display: "flex",
    alignItems: "center"
  }
}));

// EXTERNAL MODULE: ./components/GeneralBreadcrumbs.js
var GeneralBreadcrumbs = __webpack_require__(8615);
// EXTERNAL MODULE: ./hooks/useWindowSize.jsx
var useWindowSize = __webpack_require__(2389);
// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(5282);
;// CONCATENATED MODULE: ./screens/RefundPolicyComponent/RefundPolicyComponent.js
/* eslint-disable jsx-a11y/anchor-is-valid */







 // import MyProfileForm from "./_Form";





const RefundPolicyComponent = () => {
  const classes = useStyles();
  const dispatch = (0,external_react_redux_.useDispatch)();
  const {
    isAuthenticated,
    loadProf
  } = (0,external_react_redux_.useSelector)(state => state.myProfile);
  const reg_id = external_js_cookie_default().get("regId");
  const mobile = external_js_cookie_default().get("mobile");
  (0,external_react_.useEffect)(() => {
    dispatch((0,passbook_action/* getPassBook */.dp)({
      reg_id,
      mobile
    }));
  }, [dispatch, reg_id, mobile]);
  (0,external_react_.useEffect)(() => {
    isAuthenticated && dispatch((0,passbook_action/* getWalletBalance */.pd)({
      reg_id,
      mbl: mobile
    }));
  }, [dispatch, reg_id, mobile, isAuthenticated]);
  const {
    width: windowWidth
  } = (0,useWindowSize/* useWindowSize */.i)();
  return /*#__PURE__*/jsx_runtime_.jsx(jsx_runtime_.Fragment, {
    children: /*#__PURE__*/(0,jsx_runtime_.jsxs)("div", {
      className: classes.root,
      children: [/*#__PURE__*/jsx_runtime_.jsx(GeneralBreadcrumbs/* default */.Z, {}), /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
        variant: "h6",
        style: {
          fontSize: 28,
          textTransform: "uppercase",
          marginBottom: 30
        },
        children: "REFUND POLICY"
      }), /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
        container: true,
        spacing: 2,
        children: /*#__PURE__*/jsx_runtime_.jsx(core_.Grid, {
          item: true,
          xs: 12,
          md: 12,
          children: /*#__PURE__*/jsx_runtime_.jsx(core_.Typography, {
            variant: "body1",
            className: classes.para,
            component: "p",
            children: "All sales are final with no refund or exchange permitted. You are responsible for the payment of the mobile number or DTH account number or bill payment and all charges that result from these payments. We shall not be responsible for any payment for an incorrect mobile number or DTH account number or bill payment number. In case, money has been charged to your card or bank account or pre-paid payment instrument and a payment/service is not delivered by the service provider within 24 hours of your completion of the transaction then you may inform us regarding the same by sending an email to care@Aaipay.in. Please include in the email the following details: the mobile number or DTH account number or bill payment number, service provider name, payment value, transaction date and order number. We shall investigate such incidents and if it is found that money was indeed charged to your card or bank account or pre-paid payment instrument without delivery of the payment/service then you will be refunded the money within 21 working days from the date of receipt of your email. All refunds will be credited to your card or bank account or the Aaipay Balance Account. We shall have the sole discretion to determine the mode of reversal from the above-mentioned options."
          })
        })
      })]
    })
  });
};

/* harmony default export */ const RefundPolicyComponent_RefundPolicyComponent = (RefundPolicyComponent);
;// CONCATENATED MODULE: ./screens/RefundPolicyComponent/index.js

// EXTERNAL MODULE: ./components/BackToTop.js
var BackToTop = __webpack_require__(6999);
;// CONCATENATED MODULE: ./pages/refund-policy/index.js











const refund_policy_useStyles = (0,core_.makeStyles)(theme => ({
  root: {},
  paper: {
    borderRadius: theme.spacing(4)
  }
}));

const RefundPolicy = () => {
  const classes = refund_policy_useStyles();
  return /*#__PURE__*/(0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
    children: [/*#__PURE__*/(0,jsx_runtime_.jsxs)((head_default()), {
      children: [/*#__PURE__*/jsx_runtime_.jsx("title", {
        children: "Aaipay || Privacy Policy"
      }), /*#__PURE__*/jsx_runtime_.jsx("meta", {
        name: "viewport",
        content: "initial-scale=1.0, width=device-width"
      })]
    }), /*#__PURE__*/jsx_runtime_.jsx(ContainerComponent/* default */.Z, {
      maxWidth: "md",
      children: /*#__PURE__*/jsx_runtime_.jsx(RefundPolicyComponent_RefundPolicyComponent, {})
    })]
  });
};

const getStaticProps = store/* wrapper.getStaticProps */.YS.getStaticProps(async ({
  store
}) => {
  // store.dispatch(getAllCategory());
  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch((0,categories_actions/* getAllCategory */.KQ)());
  store.dispatch(external_redux_saga_core_.END);
  await store.sagaTask.toPromise();
});
/* harmony default export */ const refund_policy = (RefundPolicy);

/***/ }),

/***/ 1172:
/***/ ((module) => {

module.exports = require("@date-io/date-fns");

/***/ }),

/***/ 1731:
/***/ ((module) => {

module.exports = require("@material-ui/core");

/***/ }),

/***/ 7985:
/***/ ((module) => {

module.exports = require("@material-ui/icons");

/***/ }),

/***/ 4508:
/***/ ((module) => {

module.exports = require("@material-ui/lab");

/***/ }),

/***/ 7164:
/***/ ((module) => {

module.exports = require("@material-ui/pickers");

/***/ }),

/***/ 4047:
/***/ ((module) => {

module.exports = require("@material-ui/styles");

/***/ }),

/***/ 9137:
/***/ ((module) => {

module.exports = require("@material-ui/system");

/***/ }),

/***/ 2958:
/***/ ((module) => {

module.exports = require("@material-ui/utils");

/***/ }),

/***/ 3530:
/***/ ((module) => {

module.exports = require("@redux-saga/core");

/***/ }),

/***/ 7060:
/***/ ((module) => {

module.exports = require("@redux-saga/core/effects");

/***/ }),

/***/ 4070:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/match");

/***/ }),

/***/ 8780:
/***/ ((module) => {

module.exports = require("autosuggest-highlight/parse");

/***/ }),

/***/ 2376:
/***/ ((module) => {

module.exports = require("axios");

/***/ }),

/***/ 3536:
/***/ ((module) => {

module.exports = require("clsx");

/***/ }),

/***/ 7717:
/***/ ((module) => {

module.exports = require("formik");

/***/ }),

/***/ 6155:
/***/ ((module) => {

module.exports = require("js-cookie");

/***/ }),

/***/ 2981:
/***/ ((module) => {

module.exports = require("js-file-download");

/***/ }),

/***/ 3804:
/***/ ((module) => {

module.exports = require("lodash");

/***/ }),

/***/ 2744:
/***/ ((module) => {

module.exports = require("next-redux-wrapper");

/***/ }),

/***/ 822:
/***/ ((module) => {

module.exports = require("next/dist/server/image-config.js");

/***/ }),

/***/ 6695:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/head.js");

/***/ }),

/***/ 556:
/***/ ((module) => {

module.exports = require("next/dist/shared/lib/to-base-64.js");

/***/ }),

/***/ 701:
/***/ ((module) => {

module.exports = require("next/head");

/***/ }),

/***/ 6731:
/***/ ((module) => {

module.exports = require("next/router");

/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = require("next/script");

/***/ }),

/***/ 921:
/***/ ((module) => {

module.exports = require("popper.js");

/***/ }),

/***/ 4229:
/***/ ((module) => {

module.exports = require("prop-types");

/***/ }),

/***/ 9297:
/***/ ((module) => {

module.exports = require("react");

/***/ }),

/***/ 2268:
/***/ ((module) => {

module.exports = require("react-dom");

/***/ }),

/***/ 3857:
/***/ ((module) => {

module.exports = require("react-is");

/***/ }),

/***/ 2194:
/***/ ((module) => {

module.exports = require("react-lottie-player");

/***/ }),

/***/ 3818:
/***/ ((module) => {

module.exports = require("react-moment");

/***/ }),

/***/ 79:
/***/ ((module) => {

module.exports = require("react-redux");

/***/ }),

/***/ 4506:
/***/ ((module) => {

module.exports = require("react-timer-hook");

/***/ }),

/***/ 2034:
/***/ ((module) => {

module.exports = require("react-toastify");

/***/ }),

/***/ 3810:
/***/ ((module) => {

module.exports = require("react-transition-group");

/***/ }),

/***/ 5282:
/***/ ((module) => {

module.exports = require("react/jsx-runtime");

/***/ }),

/***/ 7561:
/***/ ((module) => {

module.exports = require("redux");

/***/ }),

/***/ 7765:
/***/ ((module) => {

module.exports = require("redux-saga");

/***/ }),

/***/ 5060:
/***/ ((module) => {

module.exports = require("redux-saga/effects");

/***/ }),

/***/ 3289:
/***/ ((module) => {

module.exports = require("styled-jsx/style");

/***/ }),

/***/ 272:
/***/ ((module) => {

module.exports = require("sweetalert2");

/***/ }),

/***/ 9440:
/***/ ((module) => {

module.exports = require("yup");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [5582,1555,9163,9583,4105,352,2208,6941,8615,6999], () => (__webpack_exec__(2857)));
module.exports = __webpack_exports__;

})();