import Drawer from '@material-ui/core/Drawer';
import DrawerCardList from '@/components/Container/Drawers/DrawerCardList';

const MaterialDrawerBox = ({
  handleDrawerClose,
  open,
  setOpen,
  anchor,
  secondaryItems,
}) => {
  return (
    <div>
      <>
        <Drawer anchor={anchor} open={open} onClose={handleDrawerClose}>
          <DrawerCardList
            open={open}
            setOpen={setOpen}
            secondaryItems={secondaryItems}
          />
        </Drawer>
      </>
    </div>
  );
};

export default MaterialDrawerBox;

// export const getStaticProps = () => {
//   return {
//     props: {
//       handleDrawerClose,
//       open,
//       setOpen,
//     },
//   };
// };
