import Drawer from '@material-ui/core/Drawer';
import DrawerList from '@/components/Layout/Drawer/DrawerList';

const MaterialDrawer = ({ handleDrawerClose, open, setOpen }) => {
  return (
    <div>
      <>
        <Drawer anchor={'right'} open={open} onClose={handleDrawerClose}>
          <DrawerList open={open} setOpen={setOpen} />
        </Drawer>
      </>
    </div>
  );
};

export default MaterialDrawer;
