import Drawer from '@material-ui/core/Drawer';
import { useSelector } from 'react-redux';

const MaterialDrawer = ({ handleDrawerClose, open, setOpen, children }) => {
  // const drawerState = useSelector((state) => state.drawer);
  // const { modal } = drawerState;

  return (
    <>
      <Drawer anchor={'right'} open={open} onClose={handleDrawerClose}>
        {children}
      </Drawer>
    </>
  );
};

export default MaterialDrawer;
