import { Paper, makeStyles } from "@material-ui/core";
import ContainerComponent from "./ContainerComponent";

const useStyles = makeStyles((theme) => ({
  notAuthorizedContainer: {
    padding: theme.spacing(4),
    minHeight: `300px`,
  },
}));

const NotAuthorized = () => {
  const classes = useStyles();
  return (
    <ContainerComponent
      maxWidth="md"
      style={{ display: process.browser ? "block" : "none" }}
    >
      <Paper elevation={1} className={classes.notAuthorizedContainer}>
        You are not Authorized to access this page . Please Login to get started
      </Paper>
    </ContainerComponent>
  );
};

export default NotAuthorized;
