import { colors, makeStyles } from "@material-ui/core";

export const useStyles = makeStyles((theme) => ({
  root: { padding: theme.spacing(5) },
  productDesc: {
    display: "flex",
    justifyContent: "flex-start",
  },
  price: {
    display: "flex",
    justifyContent: "flex-start",
    marginRight: theme.spacing(1),
  },
  mrp: {
    textDecoration: "line-through",
    color: colors.grey[500],
    fontSize: "1rem",
    justifyContent: "center",
    alignItems: "center",
    display: "flex",
    marginLeft: theme.spacing(2),
  },
  name: {
    fontSize: "1.2rem",
  },
  sellingPrice: {
    marginRight: theme.spacing(1),
    fontSize: "1.5rem",
  },
  descriptionPara: {
    marginTop: theme.spacing(2),
    fontSize: "1.1rem",
  },
  offPercentage: {
    color: colors.green[600],
    marginLeft: theme.spacing(2),
    fontSize: "1rem",
    display: "flex",
    alignItems: "center",
  },
  smallDetails: {
    marginTop: theme.spacing(4),
    display: "flex",
    justifyContent: "flex-start",
    alignItems: "flex-start",
  },
  smallDetailsGen: {
    display: "flex",
    justifyContent: "flex-start",
    alignItems: "flex-start",
  },
  descriptionSmall: {
    display: "flex",
    justifyContent: "space-between",
    alignItems: "flex-start",
    flexDirection: "column",
    marginLeft: theme.spacing(2),
  },
  smallDetailsContent: {
    display: "flex",
    justifyContent: "flex-start",
    alignItems: "center",
    flexDirection: "row",
    marginBottom: theme.spacing(1),
  },
  icon: {
    marginRight: theme.spacing(2),
    color: colors.green[700],
    // color: theme.palette.primary.main,
    fontSize: "1.1rem",
  },
  specification: {
    marginTop: theme.spacing(2),
  },
  specificationHeading: {
    fontSize: "1rem",
    marginBottom: theme.spacing(1),
  },
  specificationContent: {
    marginBottom: theme.spacing(1),
  },
  divider: {
    marginTop: theme.spacing(2),
    marginBottom: theme.spacing(2),
  },
  divider2: {
    marginTop: theme.spacing(1),
    marginBottom: theme.spacing(1),
  },
  smallDetailsContentHead: {
    minWidth: 160,
  },
}));
