import { makeStyles } from "@material-ui/core";

export const useStyles = makeStyles((theme) => ({
  root: {
    width: (props) =>
      props && props.windowWidth < 768
        ? props.customPage === true
          ? `100%`
          : `${props.windowWidth}px`
        : "600px",

    height: (props) =>
      props && props.customPage2 === true
        ? "calc(100vh - 125px)"
        : "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
  },

  displayFlexEnd: {
    display: "flex",
    justifyContent: "flex-end",
  },
  link: {
    color: theme.palette.primary.main,
    "&:hover": {
      textDecoration: "underline",
      cursor: "pointer",
    },
  },
}));
