import { makeStyles } from "@material-ui/core";

export const useStyles = makeStyles((theme) => ({
  root: {
    paddingTop: theme.spacing(6),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 400,
  },
  qrcode: {
    display: "flex",
    justifyContent: "center",
    marginBottom: theme.spacing(2),
  },
  timer: {
    display: "flex",
    justifyContent: "center",
  },
  textCenter: {
    textAlign: "center",
  },
  donotRefreshWarning: {
    marginTop: 10,
    marginBottom: 10,
    fontSize: 16,
    color: theme.palette.primary.main,
  },
  poweredByContainer: {
    position: "absolute",
    bottom: theme.spacing(5),
    textAlign: "center",
    right: 0,
    left: 0,
  },
  imagesContainer: {
    display: "flex",
    justifyContent: "center",
    marginTop: theme.spacing(2),
    alignItems: "center",
  },
  image1: {
    marginRight: theme.spacing(3),
  },
}));
