import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";

import { END } from "@redux-saga/core";

import AboutUsComponent from "@/screens/AboutUsComponent";
import { PageSecondary } from "@/components/PageSecondary";

const About = () => {
  return (
    <PageSecondary title="About Us" paper={false}>
      <AboutUsComponent />
    </PageSecondary>
  );
};
export const getStaticProps = wrapper.getStaticProps(async ({ store }) => {
  // store.dispatch(getAllCategory());

  // if (!store.getState().Category) {
  //   store.dispatch(getAllCategory());
  //   store.dispatch(END);
  // }
  store.dispatch(getAllCategory());

  store.dispatch(END);
  await store.sagaTask.toPromise();
});

export default About;
