import { PageSecondary } from "@/components/PageSecondary";
import { requireAuthentication } from "@/components/RequireAuthentication/RequireAuthentication";

import { getAllCategory } from "@/redux/actions/categories.actions";
import { wrapper } from "@/redux/store";
import ComplaintsComponent from "@/screens/ComplaintsComponent";
import { END } from "@redux-saga/core";
const Complaints = () => {
  return (
    <PageSecondary paper={true}>
      <ComplaintsComponent />
    </PageSecondary>
  );
};
export const getServerSideProps = requireAuthentication(
  wrapper.getServerSideProps(async (ctx) => {
    ctx.store.dispatch(getAllCategory());
    ctx.store.dispatch(END);
    await ctx.store.sagaTask.toPromise();
    // return {
    //   props: {},
    // };
  })
);
export default Complaints;
