import Overlay from "@/components/Overlay";
import Page from "@/components/Page";
import dynamic from "next/dynamic";
import Mobile from "@/screens/Mobile";
// const Mobile = dynamic(() => import("../../screens/Mobile/index"));

import { useSelector } from "react-redux";

const MobilePage = () => {
  const { loading } = useSelector((state) => state.category);

  return (
    <div>
      {loading && <Overlay />}
      <Page title="Mobile Recharge or Bill Payment" component={<Mobile />} />
    </div>
  );
};
// export const getStaticProps = async () => {
//   return {};
// };

export default MobilePage;
