/*-----------------------
      PASSBOOK 
========================*/

import {
  GET_PASSBOOK_FAILED,
  GET_PASSBOOK_REQUEST,
  GET_PASSBOOK_SUCCESS,
  GET_WALLET_FAILED,
  GET_WALLET_REQUEST,
  GET_WALLET_SUCCESS,
  GO_RAZORPAY,
} from "../constants/passbook.constants";

export const getPassBook = (payload) => {
  return { type: GET_PASSBOOK_REQUEST, payload };
};

export const populatePassBook = (passbook) => {
  console.log(passbook, "action success");
  return { type: GET_PASSBOOK_SUCCESS, payload: passbook.data };
};
export const populatePassBookFailed = (error) => {
  return { type: GET_PASSBOOK_FAILED, payload: error };
};

/*------------------------
     WALLET
=========================*/
export const getWalletBalance = (payload) => {
  return { type: GET_WALLET_REQUEST, payload };
};

export const populateWalletBalance = (wallet) => {
  return { type: GET_WALLET_SUCCESS, payload: wallet };
};
export const populateWalletBalanceFailed = (error) => {
  return { type: GET_WALLET_FAILED, payload: error };
};

/*------------------------
     GO RAZORPAY
=========================*/
export const goToRazorPay = (payload) => {
  return { type: GO_RAZORPAY, payload };
};
