import {
  LOAD_STATE_FAILURE,
  LOAD_STATE_REQUEST,
  LOAD_STATE_SUCCESS,
  LOAD_CITY_FAILURE,
  LOAD_CITY_REQUEST,
  LOAD_CITY_SUCCESS,
} from "@/redux/constants/state.city.constants";

export const getAllStates = () => {
  return { type: LOAD_STATE_REQUEST };
};

export const populateStates = (entries) => {
  return { type: LOAD_STATE_SUCCESS, payload: entries };
};
export const populateStatesFailed = (error) => {
  return { type: LOAD_STATE_FAILURE, payload: error };
};

export const getCityByStateCode = (state_code) => {
  return { type: LOAD_CITY_REQUEST, payload: state_code };
};

export const populateCityByStateCode = (entries) => {
  return { type: LOAD_CITY_SUCCESS, payload: entries };
};
export const populateCityByStateCodeFailed = (error) => {
  return { type: LOAD_CITY_FAILURE, payload: error };
};
