import { checkNumeric } from "utils/customFunctions";
import * as yup from "yup";

/*----------------------------------
    NORMAL VALIDATION SCHEMA          
==================================*/
// const validationSchema = yup.object().shape({
//   mbl: yup
//     .string()
//     .matches(/^[0-9]+$/, ' Mobile Number must be only digits')
//     .min(10, 'Mobile Number must be exactly 10 digits')
//     .max(10, 'Mobile Number must be exactly 10 digits')
//     .required('Mobile Number is required'),
//   Operator_Options: yup
//     .string('Enter your Operator')
//     .required('Operator is required'),
//   Circle_Options: yup
//     .string('Enter your Circle')
//     .required('Circle is required'),
//   recharge_amount: yup.string('Enter Amount').required('Amount is required'),
// });

/*----------------------------------
    FORMIK CONTEXT VALIDATION          
==================================*/

const initialValues = {
  billerName: "",
  billerId: "",
  amount: null,
  biller_options: "",
  state_options: "",
  city_options: "",
  cust_mbl: "",
  blrStateCode: "",
  blrStateName: "",
  blrCity: "",
  preferredMethod: "",
};
const columns = [
  {
    id: "Type",
    align: "center",
    minWidth: 90,
    label: "Recharge Type",
    textTransform: "capitalize",
  },
  {
    id: "validity",
    align: "center",
    minWidth: 120,
    label: "Validity",
    textTransform: "uppercase",
    // textTransformFirstChar: true,
  },
  {
    id: "desc",
    align: "left",
    minWidth: 90,
    label: "Description",
    // textTransform: 'lowercase',
    textTransformFirstChar: true,
  },
  {
    id: "rs",
    align: "center",
    minWidth: 90,
    label: "Price",
    textTransform: "lowercase",
    button: true,
    // textTransformFirstChar: true,
  },
];

export { initialValues, columns };
