import ComplaintTrackForm from "./_Form";
import React from "react";
import PageHeader from "@/components/PageHeader";
import { Grid } from "@material-ui/core";
import Image from "next/image";
import { useStyles } from "./utils";
import GeneralBreadcrumbs from "@/components/GeneralBreadcrumbs";

const ComplaintsTrackComponent = () => {
  const classes = useStyles();
  return (
    <div className={classes.root}>
      <GeneralBreadcrumbs />
      <Grid container>
        <Grid
          item
          xs={8}
          md={8}
          style={{ display: "flex", justifyContent: "flex-start" }}
        >
          <PageHeader
            title="Complaint Track"
            subTitle="Check your complaints Status"
          />
        </Grid>
        <Grid item xs={4} md={4} className={classes.billPayIcon}>
          <Image
            src="/assets/images/Bharat-BillPay-Final-Logo.jpg"
            alt="Bharat BillPay"
            width="78"
            height="27"
          />
        </Grid>
      </Grid>
      <ComplaintTrackForm />
    </div>
  );
};

export default ComplaintsTrackComponent;
/*      <Grid container>
                <Grid
                  item
                  xs={8}
                  md={8}
                  style={{ display: "flex", justifyContent: "flex-start" }}
                >
                  <PageHeader
                    title="Complaint Track"
                    subTitle="Check your complaints Status"
                  />
                </Grid>
                <Grid
                  item
                  xs={4}
                  md={4}
                  style={{
                    display: "flex",
                    justifyContent: "flex-end",
                    alignItems: "center",
                    position: "relative",
                    top: -25,
                  }}
                >
                  <Image
                    src="/assets/images/Bharat-BillPay-Final-Logo.jpg"
                    alt="Bharat BillPay"
                    width="78"
                    height="27"
                  />
                </Grid>
              </Grid> */
