import { makeStyles } from "@material-ui/core";
import { checkNumeric, validateEmail } from "utils/customFunctions";

const useStyles = makeStyles((theme) => ({
  root: {
    // width: (props) =>
    // props && props.windowWidth < 768 ? `${props.windowWidth}px` : "600px",

    // height: "calc(100vh - 75px)",
    overflowY: "auto",
    paddingTop: theme.spacing(5),
    paddingBottom: theme.spacing(5),
    paddingLeft: theme.spacing(5),
    paddingRight: theme.spacing(5),
    minHeight: 520,
    // color: "#ccc",
  },
  text: {
    marginTop: theme.spacing(2),
  },
  link: {
    textDecoration: "none",
    color: theme.palette.text.primary,
  },
  imageContainer: {
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
  },
  para: {
    lineHeight: 1.8,
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center",
  },
  para3: {
    lineHeight: 1.8,
    marginLeft: theme.spacing(1.5),
    marginBottom: theme.spacing(2),
    display: "flex",
    alignItems: "center",
  },
  para2: {
    lineHeight: 1.8,
    display: "flex",
    alignItems: "center",
  },
}));
export { useStyles };
